import * as msRest from "@azure/ms-rest-js";
import { TokenCredential } from "@azure/core-auth";
import * as Models from "./models";
import * as Mappers from "./models/mappers";
import * as operations from "./operations";
import { AuthorizationManagementClientContext } from "./authorizationManagementClientContext";
declare class AuthorizationManagementClient extends AuthorizationManagementClientContext {
    classicAdministrators: operations.ClassicAdministrators;
    globalAdministrator: operations.GlobalAdministrator;
    providerOperationsMetadata: operations.ProviderOperationsMetadataOperations;
    roleAssignments: operations.RoleAssignments;
    permissions: operations.Permissions;
    roleDefinitions: operations.RoleDefinitions;
    denyAssignments: operations.DenyAssignments;
    /**
     * Initializes a new instance of the AuthorizationManagementClient class.
     * @param credentials Credentials needed for the client to connect to Azure. Credentials
     * implementing the TokenCredential interface from the @azure/identity package are recommended. For
     * more information about these credentials, see
     * {@link https://www.npmjs.com/package/@azure/identity}. Credentials implementing the
     * ServiceClientCredentials interface from the older packages @azure/ms-rest-nodeauth and
     * @azure/ms-rest-browserauth are also supported.
     * @param subscriptionId The ID of the target subscription.
     * @param [options] The parameter options
     */
    constructor(credentials: msRest.ServiceClientCredentials | TokenCredential, subscriptionId: string, options?: Models.AuthorizationManagementClientOptions);
}
export { AuthorizationManagementClient, AuthorizationManagementClientContext, Models as AuthorizationManagementModels, Mappers as AuthorizationManagementMappers };
export * from "./operations";
//# sourceMappingURL=authorizationManagementClient.d.ts.map