/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import { __extends } from "tslib";
import * as Models from "./models";
import * as Mappers from "./models/mappers";
import * as operations from "./operations";
import { AuthorizationManagementClientContext } from "./authorizationManagementClientContext";
var AuthorizationManagementClient = /** @class */ (function (_super) {
    __extends(AuthorizationManagementClient, _super);
    /**
     * Initializes a new instance of the AuthorizationManagementClient class.
     * @param credentials Credentials needed for the client to connect to Azure. Credentials
     * implementing the TokenCredential interface from the @azure/identity package are recommended. For
     * more information about these credentials, see
     * {@link https://www.npmjs.com/package/@azure/identity}. Credentials implementing the
     * ServiceClientCredentials interface from the older packages @azure/ms-rest-nodeauth and
     * @azure/ms-rest-browserauth are also supported.
     * @param subscriptionId The ID of the target subscription.
     * @param [options] The parameter options
     */
    function AuthorizationManagementClient(credentials, subscriptionId, options) {
        var _this = _super.call(this, credentials, subscriptionId, options) || this;
        _this.classicAdministrators = new operations.ClassicAdministrators(_this);
        _this.globalAdministrator = new operations.GlobalAdministrator(_this);
        _this.providerOperationsMetadata = new operations.ProviderOperationsMetadataOperations(_this);
        _this.roleAssignments = new operations.RoleAssignments(_this);
        _this.permissions = new operations.Permissions(_this);
        _this.roleDefinitions = new operations.RoleDefinitions(_this);
        _this.denyAssignments = new operations.DenyAssignments(_this);
        return _this;
    }
    return AuthorizationManagementClient;
}(AuthorizationManagementClientContext));
// Operation Specifications
export { AuthorizationManagementClient, AuthorizationManagementClientContext, Models as AuthorizationManagementModels, Mappers as AuthorizationManagementMappers };
export * from "./operations";
//# sourceMappingURL=authorizationManagementClient.js.map