import * as msRest from "@azure/ms-rest-js";
import * as Models from "../models";
import { AuthorizationManagementClientContext } from "../authorizationManagementClientContext";
/** Class representing a ClassicAdministrators. */
export declare class ClassicAdministrators {
    private readonly client;
    /**
     * Create a ClassicAdministrators.
     * @param {AuthorizationManagementClientContext} client Reference to the service client.
     */
    constructor(client: AuthorizationManagementClientContext);
    /**
     * Gets service administrator, account administrator, and co-administrators for the subscription.
     * @param [options] The optional parameters
     * @returns Promise<Models.ClassicAdministratorsListResponse>
     */
    list(options?: msRest.RequestOptionsBase): Promise<Models.ClassicAdministratorsListResponse>;
    /**
     * @param callback The callback
     */
    list(callback: msRest.ServiceCallback<Models.ClassicAdministratorListResult>): void;
    /**
     * @param options The optional parameters
     * @param callback The callback
     */
    list(options: msRest.RequestOptionsBase, callback: msRest.ServiceCallback<Models.ClassicAdministratorListResult>): void;
    /**
     * Gets service administrator, account administrator, and co-administrators for the subscription.
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param [options] The optional parameters
     * @returns Promise<Models.ClassicAdministratorsListNextResponse>
     */
    listNext(nextPageLink: string, options?: msRest.RequestOptionsBase): Promise<Models.ClassicAdministratorsListNextResponse>;
    /**
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param callback The callback
     */
    listNext(nextPageLink: string, callback: msRest.ServiceCallback<Models.ClassicAdministratorListResult>): void;
    /**
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param options The optional parameters
     * @param callback The callback
     */
    listNext(nextPageLink: string, options: msRest.RequestOptionsBase, callback: msRest.ServiceCallback<Models.ClassicAdministratorListResult>): void;
}
//# sourceMappingURL=classicAdministrators.d.ts.map