import * as msRest from "@azure/ms-rest-js";
import { AuthorizationManagementClientContext } from "../authorizationManagementClientContext";
/** Class representing a GlobalAdministrator. */
export declare class GlobalAdministrator {
    private readonly client;
    /**
     * Create a GlobalAdministrator.
     * @param {AuthorizationManagementClientContext} client Reference to the service client.
     */
    constructor(client: AuthorizationManagementClientContext);
    /**
     * Elevates access for a Global Administrator.
     * @param [options] The optional parameters
     * @returns Promise<msRest.RestResponse>
     */
    elevateAccess(options?: msRest.RequestOptionsBase): Promise<msRest.RestResponse>;
    /**
     * @param callback The callback
     */
    elevateAccess(callback: msRest.ServiceCallback<void>): void;
    /**
     * @param options The optional parameters
     * @param callback The callback
     */
    elevateAccess(options: msRest.RequestOptionsBase, callback: msRest.ServiceCallback<void>): void;
}
//# sourceMappingURL=globalAdministrator.d.ts.map