/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import * as msRest from "@azure/ms-rest-js";
import * as Mappers from "../models/globalAdministratorMappers";
import * as Parameters from "../models/parameters";
/** Class representing a GlobalAdministrator. */
var GlobalAdministrator = /** @class */ (function () {
    /**
     * Create a GlobalAdministrator.
     * @param {AuthorizationManagementClientContext} client Reference to the service client.
     */
    function GlobalAdministrator(client) {
        this.client = client;
    }
    GlobalAdministrator.prototype.elevateAccess = function (options, callback) {
        return this.client.sendOperationRequest({
            options: options
        }, elevateAccessOperationSpec, callback);
    };
    return GlobalAdministrator;
}());
export { GlobalAdministrator };
// Operation Specifications
var serializer = new msRest.Serializer(Mappers);
var elevateAccessOperationSpec = {
    httpMethod: "POST",
    path: "providers/Microsoft.Authorization/elevateAccess",
    queryParameters: [
        Parameters.apiVersion1
    ],
    headerParameters: [
        Parameters.acceptLanguage
    ],
    responses: {
        200: {},
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
//# sourceMappingURL=globalAdministrator.js.map