import * as msRest from "@azure/ms-rest-js";
import * as Models from "../models";
import { AuthorizationManagementClientContext } from "../authorizationManagementClientContext";
/** Class representing a ProviderOperationsMetadataOperations. */
export declare class ProviderOperationsMetadataOperations {
    private readonly client;
    /**
     * Create a ProviderOperationsMetadataOperations.
     * @param {AuthorizationManagementClientContext} client Reference to the service client.
     */
    constructor(client: AuthorizationManagementClientContext);
    /**
     * Gets provider operations metadata for the specified resource provider.
     * @param resourceProviderNamespace The namespace of the resource provider.
     * @param [options] The optional parameters
     * @returns Promise<Models.ProviderOperationsMetadataGetResponse>
     */
    get(resourceProviderNamespace: string, options?: Models.ProviderOperationsMetadataGetOptionalParams): Promise<Models.ProviderOperationsMetadataGetResponse>;
    /**
     * @param resourceProviderNamespace The namespace of the resource provider.
     * @param callback The callback
     */
    get(resourceProviderNamespace: string, callback: msRest.ServiceCallback<Models.ProviderOperationsMetadata>): void;
    /**
     * @param resourceProviderNamespace The namespace of the resource provider.
     * @param options The optional parameters
     * @param callback The callback
     */
    get(resourceProviderNamespace: string, options: Models.ProviderOperationsMetadataGetOptionalParams, callback: msRest.ServiceCallback<Models.ProviderOperationsMetadata>): void;
    /**
     * Gets provider operations metadata for all resource providers.
     * @param [options] The optional parameters
     * @returns Promise<Models.ProviderOperationsMetadataListResponse>
     */
    list(options?: Models.ProviderOperationsMetadataListOptionalParams): Promise<Models.ProviderOperationsMetadataListResponse>;
    /**
     * @param callback The callback
     */
    list(callback: msRest.ServiceCallback<Models.ProviderOperationsMetadataListResult>): void;
    /**
     * @param options The optional parameters
     * @param callback The callback
     */
    list(options: Models.ProviderOperationsMetadataListOptionalParams, callback: msRest.ServiceCallback<Models.ProviderOperationsMetadataListResult>): void;
    /**
     * Gets provider operations metadata for all resource providers.
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param [options] The optional parameters
     * @returns Promise<Models.ProviderOperationsMetadataListNextResponse>
     */
    listNext(nextPageLink: string, options?: msRest.RequestOptionsBase): Promise<Models.ProviderOperationsMetadataListNextResponse>;
    /**
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param callback The callback
     */
    listNext(nextPageLink: string, callback: msRest.ServiceCallback<Models.ProviderOperationsMetadataListResult>): void;
    /**
     * @param nextPageLink The NextLink from the previous successful call to List operation.
     * @param options The optional parameters
     * @param callback The callback
     */
    listNext(nextPageLink: string, options: msRest.RequestOptionsBase, callback: msRest.ServiceCallback<Models.ProviderOperationsMetadataListResult>): void;
}
//# sourceMappingURL=providerOperationsMetadataOperations.d.ts.map