/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */
import * as msRest from "@azure/ms-rest-js";
import * as Mappers from "../models/providerOperationsMetadataOperationsMappers";
import * as Parameters from "../models/parameters";
/** Class representing a ProviderOperationsMetadataOperations. */
var ProviderOperationsMetadataOperations = /** @class */ (function () {
    /**
     * Create a ProviderOperationsMetadataOperations.
     * @param {AuthorizationManagementClientContext} client Reference to the service client.
     */
    function ProviderOperationsMetadataOperations(client) {
        this.client = client;
    }
    ProviderOperationsMetadataOperations.prototype.get = function (resourceProviderNamespace, options, callback) {
        return this.client.sendOperationRequest({
            resourceProviderNamespace: resourceProviderNamespace,
            options: options
        }, getOperationSpec, callback);
    };
    ProviderOperationsMetadataOperations.prototype.list = function (options, callback) {
        return this.client.sendOperationRequest({
            options: options
        }, listOperationSpec, callback);
    };
    ProviderOperationsMetadataOperations.prototype.listNext = function (nextPageLink, options, callback) {
        return this.client.sendOperationRequest({
            nextPageLink: nextPageLink,
            options: options
        }, listNextOperationSpec, callback);
    };
    return ProviderOperationsMetadataOperations;
}());
export { ProviderOperationsMetadataOperations };
// Operation Specifications
var serializer = new msRest.Serializer(Mappers);
var getOperationSpec = {
    httpMethod: "GET",
    path: "providers/Microsoft.Authorization/providerOperations/{resourceProviderNamespace}",
    urlParameters: [
        Parameters.resourceProviderNamespace
    ],
    queryParameters: [
        Parameters.apiVersion2,
        Parameters.expand
    ],
    headerParameters: [
        Parameters.acceptLanguage
    ],
    responses: {
        200: {
            bodyMapper: Mappers.ProviderOperationsMetadata
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var listOperationSpec = {
    httpMethod: "GET",
    path: "providers/Microsoft.Authorization/providerOperations",
    queryParameters: [
        Parameters.apiVersion2,
        Parameters.expand
    ],
    headerParameters: [
        Parameters.acceptLanguage
    ],
    responses: {
        200: {
            bodyMapper: Mappers.ProviderOperationsMetadataListResult
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
var listNextOperationSpec = {
    httpMethod: "GET",
    baseUrl: "https://management.azure.com",
    path: "{nextLink}",
    urlParameters: [
        Parameters.nextPageLink
    ],
    headerParameters: [
        Parameters.acceptLanguage
    ],
    responses: {
        200: {
            bodyMapper: Mappers.ProviderOperationsMetadataListResult
        },
        default: {
            bodyMapper: Mappers.CloudError
        }
    },
    serializer: serializer
};
//# sourceMappingURL=providerOperationsMetadataOperations.js.map