/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Retrieves information about a dedicated host group.
 *
 * @summary Retrieves information about a dedicated host group.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2022-03-01/ComputeRP/examples/dedicatedHostExamples/DedicatedHostGroup_Get.json
 */
function createADedicatedHostGroup() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscriptionId}";
        const resourceGroupName = "myResourceGroup";
        const hostGroupName = "myDedicatedHostGroup";
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.dedicatedHostGroups.get(resourceGroupName, hostGroupName);
        console.log(result);
    });
}
createADedicatedHostGroup().catch(console.error);
/**
 * This sample demonstrates how to Retrieves information about a dedicated host group.
 *
 * @summary Retrieves information about a dedicated host group.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2022-03-01/ComputeRP/examples/dedicatedHostExamples/DedicatedHostGroup_Get_UltraSSDEnabledDedicatedHostGroup.json
 */
function createAnUltraSsdEnabledDedicatedHostGroup() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscriptionId}";
        const resourceGroupName = "myResourceGroup";
        const hostGroupName = "myDedicatedHostGroup";
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.dedicatedHostGroups.get(resourceGroupName, hostGroupName);
        console.log(result);
    });
}
createAnUltraSsdEnabledDedicatedHostGroup().catch(console.error);
//# sourceMappingURL=dedicatedHostGroupsGetSample.js.map