/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Create or update a proximity placement group.
 *
 * @summary Create or update a proximity placement group.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2022-03-01/ComputeRP/examples/proximityPlacementGroupExamples/ProximityPlacementGroup_CreateOrUpdate.json
 */
function createOrUpdateAProximityPlacementGroup() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const proximityPlacementGroupName = "myProximityPlacementGroup";
        const parameters = {
            intent: { vmSizes: ["Basic_A0", "Basic_A2"] },
            location: "westus",
            proximityPlacementGroupType: "Standard",
            zones: ["1"]
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.proximityPlacementGroups.createOrUpdate(resourceGroupName, proximityPlacementGroupName, parameters);
        console.log(result);
    });
}
createOrUpdateAProximityPlacementGroup().catch(console.error);
//# sourceMappingURL=proximityPlacementGroupsCreateOrUpdateSample.js.map