/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Update a proximity placement group.
 *
 * @summary Update a proximity placement group.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2022-03-01/ComputeRP/examples/proximityPlacementGroupExamples/ProximityPlacementGroup_Patch.json
 */
function createAProximityPlacementGroup() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const proximityPlacementGroupName = "myProximityPlacementGroup";
        const parameters = {
            tags: { additionalProp1: "string" }
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.proximityPlacementGroups.update(resourceGroupName, proximityPlacementGroupName, parameters);
        console.log(result);
    });
}
createAProximityPlacementGroup().catch(console.error);
//# sourceMappingURL=proximityPlacementGroupsUpdateSample.js.map