/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Run command on a virtual machine in a VM scale set.
 *
 * @summary Run command on a virtual machine in a VM scale set.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2022-03-01/ComputeRP/examples/runCommandExamples/VirtualMachineScaleSetVMRunCommand.json
 */
function virtualMachineScaleSetVMSRunCommand() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "myResourceGroup";
        const vmScaleSetName = "myVirtualMachineScaleSet";
        const instanceId = "0";
        const parameters = {
            commandId: "RunPowerShellScript",
            script: ["Write-Host Hello World!"]
        };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachineScaleSetVMs.beginRunCommandAndWait(resourceGroupName, vmScaleSetName, instanceId, parameters);
        console.log(result);
    });
}
virtualMachineScaleSetVMSRunCommand().catch(console.error);
//# sourceMappingURL=virtualMachineScaleSetVMSRunCommandSample.js.map