/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
import { ComputeManagementClient } from "@azure/arm-compute";
import { DefaultAzureCredential } from "@azure/identity";
/**
 * This sample demonstrates how to Run command on the VM.
 *
 * @summary Run command on the VM.
 * x-ms-original-file: specification/compute/resource-manager/Microsoft.Compute/stable/2022-03-01/ComputeRP/examples/runCommandExamples/VirtualMachineRunCommand.json
 */
function virtualMachineRunCommand() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "24fb23e3-6ba3-41f0-9b6e-e41131d5d61e";
        const resourceGroupName = "crptestar98131";
        const vmName = "vm3036";
        const parameters = { commandId: "RunPowerShellScript" };
        const credential = new DefaultAzureCredential();
        const client = new ComputeManagementClient(credential, subscriptionId);
        const result = yield client.virtualMachines.beginRunCommandAndWait(resourceGroupName, vmName, parameters);
        console.log(result);
    });
}
virtualMachineRunCommand().catch(console.error);
//# sourceMappingURL=virtualMachinesRunCommandSample.js.map