import { CommunityGalleries } from "../operationsInterfaces";
import { ComputeManagementClient } from "../computeManagementClient";
import { CommunityGalleriesGetOptionalParams, CommunityGalleriesGetResponse } from "../models";
/** Class containing CommunityGalleries operations. */
export declare class CommunityGalleriesImpl implements CommunityGalleries {
    private readonly client;
    /**
     * Initialize a new instance of the class CommunityGalleries class.
     * @param client Reference to the service client
     */
    constructor(client: ComputeManagementClient);
    /**
     * Get a community gallery by gallery public name.
     * @param location Resource location.
     * @param publicGalleryName The public name of the community gallery.
     * @param options The options parameters.
     */
    get(location: string, publicGalleryName: string, options?: CommunityGalleriesGetOptionalParams): Promise<CommunityGalleriesGetResponse>;
}
//# sourceMappingURL=communityGalleries.d.ts.map