/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
import { __awaiter } from "tslib";
// Copyright (c) Microsoft Corporation.
// Licensed under the MIT License.
/**
 * This sample demonstrates how to Create or update the object replication policy of the storage account.
 *
 * @summary Create or update the object replication policy of the storage account.
 * x-ms-original-file: specification/storage/resource-manager/Microsoft.Storage/stable/2021-08-01/examples/StorageAccountCreateObjectReplicationPolicyOnDestination.json
 */
import { StorageManagementClient } from "@azure/arm-storage";
import { DefaultAzureCredential } from "@azure/identity";
function storageAccountCreateObjectReplicationPolicyOnDestination() {
    return __awaiter(this, void 0, void 0, function* () {
        const subscriptionId = "{subscription-id}";
        const resourceGroupName = "res7687";
        const accountName = "dst112";
        const objectReplicationPolicyId = "default";
        const properties = {
            destinationAccount: "dst112",
            rules: [
                {
                    destinationContainer: "dcont139",
                    filters: { prefixMatch: ["blobA", "blobB"] },
                    sourceContainer: "scont139"
                }
            ],
            sourceAccount: "src1122"
        };
        const credential = new DefaultAzureCredential();
        const client = new StorageManagementClient(credential, subscriptionId);
        const result = yield client.objectReplicationPoliciesOperations.createOrUpdate(resourceGroupName, accountName, objectReplicationPolicyId, properties);
        console.log(result);
    });
}
storageAccountCreateObjectReplicationPolicyOnDestination().catch(console.error);
//# sourceMappingURL=storageAccountCreateObjectReplicationPolicyOnDestination.js.map