/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */
export const Resource = {
    type: {
        name: "Composite",
        className: "Resource",
        modelProperties: {
            id: {
                serializedName: "id",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            name: {
                serializedName: "name",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            type: {
                serializedName: "type",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ErrorResponse = {
    type: {
        name: "Composite",
        className: "ErrorResponse",
        modelProperties: {
            error: {
                serializedName: "error",
                type: {
                    name: "Composite",
                    className: "ErrorDetail"
                }
            }
        }
    }
};
export const ErrorDetail = {
    type: {
        name: "Composite",
        className: "ErrorDetail",
        modelProperties: {
            code: {
                serializedName: "code",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            message: {
                serializedName: "message",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            target: {
                serializedName: "target",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            details: {
                serializedName: "details",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ErrorDetail"
                        }
                    }
                }
            },
            additionalInfo: {
                serializedName: "additionalInfo",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ErrorAdditionalInfo"
                        }
                    }
                }
            }
        }
    }
};
export const ErrorAdditionalInfo = {
    type: {
        name: "Composite",
        className: "ErrorAdditionalInfo",
        modelProperties: {
            type: {
                serializedName: "type",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            info: {
                serializedName: "info",
                readOnly: true,
                type: {
                    name: "Dictionary",
                    value: { type: { name: "any" } }
                }
            }
        }
    }
};
export const AzureADOnlyAuthenticationListResult = {
    type: {
        name: "Composite",
        className: "AzureADOnlyAuthenticationListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "AzureADOnlyAuthentication"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const CheckNameAvailabilityRequest = {
    type: {
        name: "Composite",
        className: "CheckNameAvailabilityRequest",
        modelProperties: {
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            type: {
                serializedName: "type",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const CheckNameAvailabilityResponse = {
    type: {
        name: "Composite",
        className: "CheckNameAvailabilityResponse",
        modelProperties: {
            message: {
                serializedName: "message",
                type: {
                    name: "String"
                }
            },
            available: {
                serializedName: "available",
                type: {
                    name: "Boolean"
                }
            },
            reason: {
                serializedName: "reason",
                type: {
                    name: "String"
                }
            },
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const IpFirewallRuleInfoListResult = {
    type: {
        name: "Composite",
        className: "IpFirewallRuleInfoListResult",
        modelProperties: {
            nextLink: {
                serializedName: "nextLink",
                type: {
                    name: "String"
                }
            },
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "IpFirewallRuleInfo"
                        }
                    }
                }
            }
        }
    }
};
export const IpFirewallRuleProperties = {
    type: {
        name: "Composite",
        className: "IpFirewallRuleProperties",
        modelProperties: {
            endIpAddress: {
                serializedName: "endIpAddress",
                type: {
                    name: "String"
                }
            },
            provisioningState: {
                serializedName: "provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            startIpAddress: {
                serializedName: "startIpAddress",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ReplaceAllIpFirewallRulesRequest = {
    type: {
        name: "Composite",
        className: "ReplaceAllIpFirewallRulesRequest",
        modelProperties: {
            ipFirewallRules: {
                serializedName: "ipFirewallRules",
                type: {
                    name: "Dictionary",
                    value: {
                        type: { name: "Composite", className: "IpFirewallRuleProperties" }
                    }
                }
            }
        }
    }
};
export const ReplaceAllFirewallRulesOperationResponse = {
    type: {
        name: "Composite",
        className: "ReplaceAllFirewallRulesOperationResponse",
        modelProperties: {
            operationId: {
                serializedName: "operationId",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const KeyInfoListResult = {
    type: {
        name: "Composite",
        className: "KeyInfoListResult",
        modelProperties: {
            nextLink: {
                serializedName: "nextLink",
                type: {
                    name: "String"
                }
            },
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "Key"
                        }
                    }
                }
            }
        }
    }
};
export const AvailableRpOperation = {
    type: {
        name: "Composite",
        className: "AvailableRpOperation",
        modelProperties: {
            display: {
                serializedName: "display",
                type: {
                    name: "Composite",
                    className: "AvailableRpOperationDisplayInfo"
                }
            },
            isDataAction: {
                serializedName: "isDataAction",
                type: {
                    name: "String"
                }
            },
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            origin: {
                serializedName: "origin",
                type: {
                    name: "String"
                }
            },
            serviceSpecification: {
                serializedName: "properties.serviceSpecification",
                type: {
                    name: "Composite",
                    className: "OperationMetaServiceSpecification"
                }
            }
        }
    }
};
export const AvailableRpOperationDisplayInfo = {
    type: {
        name: "Composite",
        className: "AvailableRpOperationDisplayInfo",
        modelProperties: {
            description: {
                serializedName: "description",
                type: {
                    name: "String"
                }
            },
            resource: {
                serializedName: "resource",
                type: {
                    name: "String"
                }
            },
            provider: {
                serializedName: "provider",
                type: {
                    name: "String"
                }
            },
            operation: {
                serializedName: "operation",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const OperationMetaServiceSpecification = {
    type: {
        name: "Composite",
        className: "OperationMetaServiceSpecification",
        modelProperties: {
            metricSpecifications: {
                serializedName: "metricSpecifications",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "OperationMetaMetricSpecification"
                        }
                    }
                }
            },
            logSpecifications: {
                serializedName: "logSpecifications",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "OperationMetaLogSpecification"
                        }
                    }
                }
            }
        }
    }
};
export const OperationMetaMetricSpecification = {
    type: {
        name: "Composite",
        className: "OperationMetaMetricSpecification",
        modelProperties: {
            sourceMdmNamespace: {
                serializedName: "sourceMdmNamespace",
                type: {
                    name: "String"
                }
            },
            displayName: {
                serializedName: "displayName",
                type: {
                    name: "String"
                }
            },
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            aggregationType: {
                serializedName: "aggregationType",
                type: {
                    name: "String"
                }
            },
            displayDescription: {
                serializedName: "displayDescription",
                type: {
                    name: "String"
                }
            },
            sourceMdmAccount: {
                serializedName: "sourceMdmAccount",
                type: {
                    name: "String"
                }
            },
            enableRegionalMdmAccount: {
                serializedName: "enableRegionalMdmAccount",
                type: {
                    name: "Boolean"
                }
            },
            unit: {
                serializedName: "unit",
                type: {
                    name: "String"
                }
            },
            dimensions: {
                serializedName: "dimensions",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "OperationMetaMetricDimensionSpecification"
                        }
                    }
                }
            },
            supportsInstanceLevelAggregation: {
                serializedName: "supportsInstanceLevelAggregation",
                type: {
                    name: "Boolean"
                }
            },
            metricFilterPattern: {
                serializedName: "metricFilterPattern",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const OperationMetaMetricDimensionSpecification = {
    type: {
        name: "Composite",
        className: "OperationMetaMetricDimensionSpecification",
        modelProperties: {
            displayName: {
                serializedName: "displayName",
                type: {
                    name: "String"
                }
            },
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            toBeExportedForShoebox: {
                serializedName: "toBeExportedForShoebox",
                type: {
                    name: "Boolean"
                }
            }
        }
    }
};
export const OperationMetaLogSpecification = {
    type: {
        name: "Composite",
        className: "OperationMetaLogSpecification",
        modelProperties: {
            displayName: {
                serializedName: "displayName",
                type: {
                    name: "String"
                }
            },
            blobDuration: {
                serializedName: "blobDuration",
                type: {
                    name: "String"
                }
            },
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const OperationResource = {
    type: {
        name: "Composite",
        className: "OperationResource",
        modelProperties: {
            id: {
                serializedName: "id",
                type: {
                    name: "String"
                }
            },
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            status: {
                serializedName: "status",
                type: {
                    name: "String"
                }
            },
            properties: {
                serializedName: "properties",
                type: {
                    name: "Dictionary",
                    value: { type: { name: "any" } }
                }
            },
            error: {
                serializedName: "error",
                type: {
                    name: "Composite",
                    className: "ErrorDetail"
                }
            },
            startTime: {
                serializedName: "startTime",
                type: {
                    name: "DateTime"
                }
            },
            endTime: {
                serializedName: "endTime",
                type: {
                    name: "DateTime"
                }
            },
            percentComplete: {
                serializedName: "percentComplete",
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export const PrivateEndpointConnectionProperties = {
    type: {
        name: "Composite",
        className: "PrivateEndpointConnectionProperties",
        modelProperties: {
            privateEndpoint: {
                serializedName: "privateEndpoint",
                type: {
                    name: "Composite",
                    className: "PrivateEndpoint"
                }
            },
            privateLinkServiceConnectionState: {
                serializedName: "privateLinkServiceConnectionState",
                type: {
                    name: "Composite",
                    className: "PrivateLinkServiceConnectionState"
                }
            },
            provisioningState: {
                serializedName: "provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const PrivateEndpoint = {
    type: {
        name: "Composite",
        className: "PrivateEndpoint",
        modelProperties: {
            id: {
                serializedName: "id",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const PrivateLinkServiceConnectionState = {
    type: {
        name: "Composite",
        className: "PrivateLinkServiceConnectionState",
        modelProperties: {
            status: {
                serializedName: "status",
                type: {
                    name: "String"
                }
            },
            description: {
                serializedName: "description",
                type: {
                    name: "String"
                }
            },
            actionsRequired: {
                serializedName: "actionsRequired",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const PrivateEndpointConnectionList = {
    type: {
        name: "Composite",
        className: "PrivateEndpointConnectionList",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "PrivateEndpointConnection"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const PrivateLinkResourceListResult = {
    type: {
        name: "Composite",
        className: "PrivateLinkResourceListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "PrivateLinkResource"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const PrivateLinkResourceProperties = {
    type: {
        name: "Composite",
        className: "PrivateLinkResourceProperties",
        modelProperties: {
            groupId: {
                serializedName: "groupId",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            requiredMembers: {
                serializedName: "requiredMembers",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            },
            requiredZoneNames: {
                serializedName: "requiredZoneNames",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }
        }
    }
};
export const PrivateLinkHubInfoListResult = {
    type: {
        name: "Composite",
        className: "PrivateLinkHubInfoListResult",
        modelProperties: {
            nextLink: {
                serializedName: "nextLink",
                type: {
                    name: "String"
                }
            },
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "PrivateLinkHub"
                        }
                    }
                }
            }
        }
    }
};
export const PrivateEndpointConnectionForPrivateLinkHubBasic = {
    type: {
        name: "Composite",
        className: "PrivateEndpointConnectionForPrivateLinkHubBasic",
        modelProperties: {
            id: {
                serializedName: "id",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            privateEndpoint: {
                serializedName: "properties.privateEndpoint",
                type: {
                    name: "Composite",
                    className: "PrivateEndpoint"
                }
            },
            privateLinkServiceConnectionState: {
                serializedName: "properties.privateLinkServiceConnectionState",
                type: {
                    name: "Composite",
                    className: "PrivateLinkServiceConnectionState"
                }
            },
            provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const PrivateLinkHubPatchInfo = {
    type: {
        name: "Composite",
        className: "PrivateLinkHubPatchInfo",
        modelProperties: {
            tags: {
                serializedName: "tags",
                type: {
                    name: "Dictionary",
                    value: { type: { name: "String" } }
                }
            }
        }
    }
};
export const PrivateEndpointConnectionForPrivateLinkHubResourceCollectionResponse = {
    type: {
        name: "Composite",
        className: "PrivateEndpointConnectionForPrivateLinkHubResourceCollectionResponse",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "PrivateEndpointConnectionForPrivateLinkHub"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const PrivateEndpointConnectionForPrivateLinkHubBasicAutoGenerated = {
    type: {
        name: "Composite",
        className: "PrivateEndpointConnectionForPrivateLinkHubBasicAutoGenerated",
        modelProperties: {
            id: {
                serializedName: "id",
                type: {
                    name: "String"
                }
            },
            properties: {
                serializedName: "properties",
                type: {
                    name: "Composite",
                    className: "PrivateEndpointConnectionProperties"
                }
            }
        }
    }
};
export const Sku = {
    type: {
        name: "Composite",
        className: "Sku",
        modelProperties: {
            tier: {
                serializedName: "tier",
                type: {
                    name: "String"
                }
            },
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            capacity: {
                serializedName: "capacity",
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export const SqlPoolPatchInfo = {
    type: {
        name: "Composite",
        className: "SqlPoolPatchInfo",
        modelProperties: {
            tags: {
                serializedName: "tags",
                type: {
                    name: "Dictionary",
                    value: { type: { name: "String" } }
                }
            },
            location: {
                serializedName: "location",
                type: {
                    name: "String"
                }
            },
            sku: {
                serializedName: "sku",
                type: {
                    name: "Composite",
                    className: "Sku"
                }
            },
            maxSizeBytes: {
                serializedName: "properties.maxSizeBytes",
                type: {
                    name: "Number"
                }
            },
            collation: {
                defaultValue: "",
                serializedName: "properties.collation",
                type: {
                    name: "String"
                }
            },
            sourceDatabaseId: {
                serializedName: "properties.sourceDatabaseId",
                type: {
                    name: "String"
                }
            },
            recoverableDatabaseId: {
                serializedName: "properties.recoverableDatabaseId",
                type: {
                    name: "String"
                }
            },
            provisioningState: {
                serializedName: "properties.provisioningState",
                type: {
                    name: "String"
                }
            },
            status: {
                serializedName: "properties.status",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            restorePointInTime: {
                serializedName: "properties.restorePointInTime",
                type: {
                    name: "DateTime"
                }
            },
            createMode: {
                serializedName: "properties.createMode",
                type: {
                    name: "String"
                }
            },
            creationDate: {
                serializedName: "properties.creationDate",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            storageAccountType: {
                defaultValue: "GRS",
                serializedName: "properties.storageAccountType",
                type: {
                    name: "String"
                }
            },
            sourceDatabaseDeletionDate: {
                serializedName: "properties.sourceDatabaseDeletionDate",
                type: {
                    name: "DateTime"
                }
            }
        }
    }
};
export const SqlPoolInfoListResult = {
    type: {
        name: "Composite",
        className: "SqlPoolInfoListResult",
        modelProperties: {
            nextLink: {
                serializedName: "nextLink",
                type: {
                    name: "String"
                }
            },
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SqlPool"
                        }
                    }
                }
            }
        }
    }
};
export const ResourceMoveDefinition = {
    type: {
        name: "Composite",
        className: "ResourceMoveDefinition",
        modelProperties: {
            id: {
                serializedName: "id",
                required: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const GeoBackupPolicyListResult = {
    type: {
        name: "Composite",
        className: "GeoBackupPolicyListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "GeoBackupPolicy"
                        }
                    }
                }
            }
        }
    }
};
export const RestorePointListResult = {
    type: {
        name: "Composite",
        className: "RestorePointListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "RestorePoint"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const CreateSqlPoolRestorePointDefinition = {
    type: {
        name: "Composite",
        className: "CreateSqlPoolRestorePointDefinition",
        modelProperties: {
            restorePointLabel: {
                serializedName: "restorePointLabel",
                required: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ReplicationLinkListResult = {
    type: {
        name: "Composite",
        className: "ReplicationLinkListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ReplicationLink"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const MaintenanceWindowTimeRange = {
    type: {
        name: "Composite",
        className: "MaintenanceWindowTimeRange",
        modelProperties: {
            dayOfWeek: {
                serializedName: "dayOfWeek",
                type: {
                    name: "String"
                }
            },
            startTime: {
                serializedName: "startTime",
                type: {
                    name: "String"
                }
            },
            duration: {
                serializedName: "duration",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const TransparentDataEncryptionListResult = {
    type: {
        name: "Composite",
        className: "TransparentDataEncryptionListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "TransparentDataEncryption"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SqlPoolBlobAuditingPolicySqlPoolOperationListResult = {
    type: {
        name: "Composite",
        className: "SqlPoolBlobAuditingPolicySqlPoolOperationListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SqlPoolOperation"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SqlPoolUsageListResult = {
    type: {
        name: "Composite",
        className: "SqlPoolUsageListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                required: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SqlPoolUsage"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SqlPoolUsage = {
    type: {
        name: "Composite",
        className: "SqlPoolUsage",
        modelProperties: {
            name: {
                serializedName: "name",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            resourceName: {
                serializedName: "resourceName",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            displayName: {
                serializedName: "displayName",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            currentValue: {
                serializedName: "currentValue",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            limit: {
                serializedName: "limit",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            unit: {
                serializedName: "unit",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            nextResetTime: {
                serializedName: "nextResetTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }
        }
    }
};
export const SensitivityLabelListResult = {
    type: {
        name: "Composite",
        className: "SensitivityLabelListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SensitivityLabel"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SensitivityLabelUpdateList = {
    type: {
        name: "Composite",
        className: "SensitivityLabelUpdateList",
        modelProperties: {
            operations: {
                serializedName: "operations",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SensitivityLabelUpdate"
                        }
                    }
                }
            }
        }
    }
};
export const RecommendedSensitivityLabelUpdateList = {
    type: {
        name: "Composite",
        className: "RecommendedSensitivityLabelUpdateList",
        modelProperties: {
            operations: {
                serializedName: "operations",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "RecommendedSensitivityLabelUpdate"
                        }
                    }
                }
            }
        }
    }
};
export const SqlPoolSchemaListResult = {
    type: {
        name: "Composite",
        className: "SqlPoolSchemaListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SqlPoolSchema"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SqlPoolTableListResult = {
    type: {
        name: "Composite",
        className: "SqlPoolTableListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SqlPoolTable"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SqlPoolColumnListResult = {
    type: {
        name: "Composite",
        className: "SqlPoolColumnListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SqlPoolColumn"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SqlPoolVulnerabilityAssessmentListResult = {
    type: {
        name: "Composite",
        className: "SqlPoolVulnerabilityAssessmentListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SqlPoolVulnerabilityAssessment"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const VulnerabilityAssessmentRecurringScansProperties = {
    type: {
        name: "Composite",
        className: "VulnerabilityAssessmentRecurringScansProperties",
        modelProperties: {
            isEnabled: {
                serializedName: "isEnabled",
                type: {
                    name: "Boolean"
                }
            },
            emailSubscriptionAdmins: {
                defaultValue: true,
                serializedName: "emailSubscriptionAdmins",
                type: {
                    name: "Boolean"
                }
            },
            emails: {
                serializedName: "emails",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }
        }
    }
};
export const VulnerabilityAssessmentScanRecordListResult = {
    type: {
        name: "Composite",
        className: "VulnerabilityAssessmentScanRecordListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "VulnerabilityAssessmentScanRecord"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const VulnerabilityAssessmentScanError = {
    type: {
        name: "Composite",
        className: "VulnerabilityAssessmentScanError",
        modelProperties: {
            code: {
                serializedName: "code",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            message: {
                serializedName: "message",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ListSqlPoolSecurityAlertPolicies = {
    type: {
        name: "Composite",
        className: "ListSqlPoolSecurityAlertPolicies",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SqlPoolSecurityAlertPolicy"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SqlPoolVulnerabilityAssessmentRuleBaselineItem = {
    type: {
        name: "Composite",
        className: "SqlPoolVulnerabilityAssessmentRuleBaselineItem",
        modelProperties: {
            result: {
                serializedName: "result",
                required: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }
        }
    }
};
export const ExtendedSqlPoolBlobAuditingPolicyListResult = {
    type: {
        name: "Composite",
        className: "ExtendedSqlPoolBlobAuditingPolicyListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ExtendedSqlPoolBlobAuditingPolicy"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const DataMaskingRuleListResult = {
    type: {
        name: "Composite",
        className: "DataMaskingRuleListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "DataMaskingRule"
                        }
                    }
                }
            }
        }
    }
};
export const SqlPoolBlobAuditingPolicyListResult = {
    type: {
        name: "Composite",
        className: "SqlPoolBlobAuditingPolicyListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SqlPoolBlobAuditingPolicy"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const WorkloadGroupListResult = {
    type: {
        name: "Composite",
        className: "WorkloadGroupListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "WorkloadGroup"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const WorkloadClassifierListResult = {
    type: {
        name: "Composite",
        className: "WorkloadClassifierListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "WorkloadClassifier"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ServerBlobAuditingPolicyListResult = {
    type: {
        name: "Composite",
        className: "ServerBlobAuditingPolicyListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ServerBlobAuditingPolicy"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ExtendedServerBlobAuditingPolicyListResult = {
    type: {
        name: "Composite",
        className: "ExtendedServerBlobAuditingPolicyListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ExtendedServerBlobAuditingPolicy"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ServerSecurityAlertPolicyListResult = {
    type: {
        name: "Composite",
        className: "ServerSecurityAlertPolicyListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ServerSecurityAlertPolicy"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ServerVulnerabilityAssessmentListResult = {
    type: {
        name: "Composite",
        className: "ServerVulnerabilityAssessmentListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ServerVulnerabilityAssessment"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const EncryptionProtectorListResult = {
    type: {
        name: "Composite",
        className: "EncryptionProtectorListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "EncryptionProtector"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ServerUsageListResult = {
    type: {
        name: "Composite",
        className: "ServerUsageListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                required: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ServerUsage"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ServerUsage = {
    type: {
        name: "Composite",
        className: "ServerUsage",
        modelProperties: {
            name: {
                serializedName: "name",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            resourceName: {
                serializedName: "resourceName",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            displayName: {
                serializedName: "displayName",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            currentValue: {
                serializedName: "currentValue",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            limit: {
                serializedName: "limit",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            unit: {
                serializedName: "unit",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            nextResetTime: {
                serializedName: "nextResetTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }
        }
    }
};
export const RecoverableSqlPoolListResult = {
    type: {
        name: "Composite",
        className: "RecoverableSqlPoolListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "RecoverableSqlPool"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const WorkspaceInfoListResult = {
    type: {
        name: "Composite",
        className: "WorkspaceInfoListResult",
        modelProperties: {
            nextLink: {
                serializedName: "nextLink",
                type: {
                    name: "String"
                }
            },
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "Workspace"
                        }
                    }
                }
            }
        }
    }
};
export const DataLakeStorageAccountDetails = {
    type: {
        name: "Composite",
        className: "DataLakeStorageAccountDetails",
        modelProperties: {
            accountUrl: {
                serializedName: "accountUrl",
                type: {
                    name: "String"
                }
            },
            filesystem: {
                serializedName: "filesystem",
                type: {
                    name: "String"
                }
            },
            resourceId: {
                serializedName: "resourceId",
                type: {
                    name: "String"
                }
            },
            createManagedPrivateEndpoint: {
                serializedName: "createManagedPrivateEndpoint",
                type: {
                    name: "Boolean"
                }
            }
        }
    }
};
export const VirtualNetworkProfile = {
    type: {
        name: "Composite",
        className: "VirtualNetworkProfile",
        modelProperties: {
            computeSubnetId: {
                serializedName: "computeSubnetId",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const EncryptionDetails = {
    type: {
        name: "Composite",
        className: "EncryptionDetails",
        modelProperties: {
            doubleEncryptionEnabled: {
                serializedName: "doubleEncryptionEnabled",
                readOnly: true,
                type: {
                    name: "Boolean"
                }
            },
            cmk: {
                serializedName: "cmk",
                type: {
                    name: "Composite",
                    className: "CustomerManagedKeyDetails"
                }
            }
        }
    }
};
export const CustomerManagedKeyDetails = {
    type: {
        name: "Composite",
        className: "CustomerManagedKeyDetails",
        modelProperties: {
            status: {
                serializedName: "status",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            key: {
                serializedName: "key",
                type: {
                    name: "Composite",
                    className: "WorkspaceKeyDetails"
                }
            },
            kekIdentity: {
                serializedName: "kekIdentity",
                type: {
                    name: "Composite",
                    className: "KekIdentityProperties"
                }
            }
        }
    }
};
export const WorkspaceKeyDetails = {
    type: {
        name: "Composite",
        className: "WorkspaceKeyDetails",
        modelProperties: {
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            keyVaultUrl: {
                serializedName: "keyVaultUrl",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const KekIdentityProperties = {
    type: {
        name: "Composite",
        className: "KekIdentityProperties",
        modelProperties: {
            userAssignedIdentity: {
                serializedName: "userAssignedIdentity",
                type: {
                    name: "String"
                }
            },
            useSystemAssignedIdentity: {
                serializedName: "useSystemAssignedIdentity",
                type: {
                    name: "any"
                }
            }
        }
    }
};
export const ManagedVirtualNetworkSettings = {
    type: {
        name: "Composite",
        className: "ManagedVirtualNetworkSettings",
        modelProperties: {
            preventDataExfiltration: {
                serializedName: "preventDataExfiltration",
                type: {
                    name: "Boolean"
                }
            },
            linkedAccessCheckOnTargetResource: {
                serializedName: "linkedAccessCheckOnTargetResource",
                type: {
                    name: "Boolean"
                }
            },
            allowedAadTenantIdsForLinking: {
                serializedName: "allowedAadTenantIdsForLinking",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }
        }
    }
};
export const WorkspaceRepositoryConfiguration = {
    type: {
        name: "Composite",
        className: "WorkspaceRepositoryConfiguration",
        modelProperties: {
            type: {
                serializedName: "type",
                type: {
                    name: "String"
                }
            },
            hostName: {
                serializedName: "hostName",
                type: {
                    name: "String"
                }
            },
            accountName: {
                serializedName: "accountName",
                type: {
                    name: "String"
                }
            },
            projectName: {
                serializedName: "projectName",
                type: {
                    name: "String"
                }
            },
            repositoryName: {
                serializedName: "repositoryName",
                type: {
                    name: "String"
                }
            },
            collaborationBranch: {
                serializedName: "collaborationBranch",
                type: {
                    name: "String"
                }
            },
            rootFolder: {
                serializedName: "rootFolder",
                type: {
                    name: "String"
                }
            },
            lastCommitId: {
                serializedName: "lastCommitId",
                type: {
                    name: "String"
                }
            },
            tenantId: {
                serializedName: "tenantId",
                type: {
                    name: "Uuid"
                }
            }
        }
    }
};
export const PurviewConfiguration = {
    type: {
        name: "Composite",
        className: "PurviewConfiguration",
        modelProperties: {
            purviewResourceId: {
                serializedName: "purviewResourceId",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const CspWorkspaceAdminProperties = {
    type: {
        name: "Composite",
        className: "CspWorkspaceAdminProperties",
        modelProperties: {
            initialWorkspaceAdminObjectId: {
                serializedName: "initialWorkspaceAdminObjectId",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ManagedIdentity = {
    type: {
        name: "Composite",
        className: "ManagedIdentity",
        modelProperties: {
            principalId: {
                serializedName: "principalId",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            tenantId: {
                serializedName: "tenantId",
                readOnly: true,
                type: {
                    name: "Uuid"
                }
            },
            type: {
                serializedName: "type",
                type: {
                    name: "Enum",
                    allowedValues: [
                        "None",
                        "SystemAssigned",
                        "SystemAssigned,UserAssigned"
                    ]
                }
            },
            userAssignedIdentities: {
                serializedName: "userAssignedIdentities",
                type: {
                    name: "Dictionary",
                    value: {
                        type: {
                            name: "Composite",
                            className: "UserAssignedManagedIdentity"
                        }
                    }
                }
            }
        }
    }
};
export const UserAssignedManagedIdentity = {
    type: {
        name: "Composite",
        className: "UserAssignedManagedIdentity",
        modelProperties: {
            clientId: {
                serializedName: "clientId",
                readOnly: true,
                nullable: true,
                type: {
                    name: "Uuid"
                }
            },
            principalId: {
                serializedName: "principalId",
                readOnly: true,
                nullable: true,
                type: {
                    name: "Uuid"
                }
            }
        }
    }
};
export const WorkspacePatchInfo = {
    type: {
        name: "Composite",
        className: "WorkspacePatchInfo",
        modelProperties: {
            tags: {
                serializedName: "tags",
                type: {
                    name: "Dictionary",
                    value: { type: { name: "String" } }
                }
            },
            identity: {
                serializedName: "identity",
                type: {
                    name: "Composite",
                    className: "ManagedIdentity"
                }
            },
            sqlAdministratorLoginPassword: {
                serializedName: "properties.sqlAdministratorLoginPassword",
                type: {
                    name: "String"
                }
            },
            managedVirtualNetworkSettings: {
                serializedName: "properties.managedVirtualNetworkSettings",
                type: {
                    name: "Composite",
                    className: "ManagedVirtualNetworkSettings"
                }
            },
            workspaceRepositoryConfiguration: {
                serializedName: "properties.workspaceRepositoryConfiguration",
                type: {
                    name: "Composite",
                    className: "WorkspaceRepositoryConfiguration"
                }
            },
            purviewConfiguration: {
                serializedName: "properties.purviewConfiguration",
                type: {
                    name: "Composite",
                    className: "PurviewConfiguration"
                }
            },
            provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            encryption: {
                serializedName: "properties.encryption",
                type: {
                    name: "Composite",
                    className: "EncryptionDetails"
                }
            },
            publicNetworkAccess: {
                serializedName: "properties.publicNetworkAccess",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ManagedIdentitySqlControlSettingsModelPropertiesGrantSqlControlToManagedIdentity = {
    type: {
        name: "Composite",
        className: "ManagedIdentitySqlControlSettingsModelPropertiesGrantSqlControlToManagedIdentity",
        modelProperties: {
            desiredState: {
                serializedName: "desiredState",
                type: {
                    name: "String"
                }
            },
            actualState: {
                serializedName: "actualState",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const RestorableDroppedSqlPoolListResult = {
    type: {
        name: "Composite",
        className: "RestorableDroppedSqlPoolListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                required: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "RestorableDroppedSqlPool"
                        }
                    }
                }
            }
        }
    }
};
export const AutoScaleProperties = {
    type: {
        name: "Composite",
        className: "AutoScaleProperties",
        modelProperties: {
            minNodeCount: {
                serializedName: "minNodeCount",
                type: {
                    name: "Number"
                }
            },
            enabled: {
                serializedName: "enabled",
                type: {
                    name: "Boolean"
                }
            },
            maxNodeCount: {
                serializedName: "maxNodeCount",
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export const AutoPauseProperties = {
    type: {
        name: "Composite",
        className: "AutoPauseProperties",
        modelProperties: {
            delayInMinutes: {
                serializedName: "delayInMinutes",
                type: {
                    name: "Number"
                }
            },
            enabled: {
                serializedName: "enabled",
                type: {
                    name: "Boolean"
                }
            }
        }
    }
};
export const DynamicExecutorAllocation = {
    type: {
        name: "Composite",
        className: "DynamicExecutorAllocation",
        modelProperties: {
            enabled: {
                serializedName: "enabled",
                type: {
                    name: "Boolean"
                }
            },
            minExecutors: {
                serializedName: "minExecutors",
                type: {
                    name: "Number"
                }
            },
            maxExecutors: {
                serializedName: "maxExecutors",
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export const LibraryRequirements = {
    type: {
        name: "Composite",
        className: "LibraryRequirements",
        modelProperties: {
            time: {
                serializedName: "time",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            content: {
                serializedName: "content",
                type: {
                    name: "String"
                }
            },
            filename: {
                serializedName: "filename",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const LibraryInfo = {
    type: {
        name: "Composite",
        className: "LibraryInfo",
        modelProperties: {
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            path: {
                serializedName: "path",
                type: {
                    name: "String"
                }
            },
            containerName: {
                serializedName: "containerName",
                type: {
                    name: "String"
                }
            },
            uploadedTimestamp: {
                serializedName: "uploadedTimestamp",
                type: {
                    name: "DateTime"
                }
            },
            type: {
                serializedName: "type",
                type: {
                    name: "String"
                }
            },
            provisioningStatus: {
                serializedName: "provisioningStatus",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            creatorId: {
                serializedName: "creatorId",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SparkConfigProperties = {
    type: {
        name: "Composite",
        className: "SparkConfigProperties",
        modelProperties: {
            time: {
                serializedName: "time",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            content: {
                serializedName: "content",
                type: {
                    name: "String"
                }
            },
            filename: {
                serializedName: "filename",
                type: {
                    name: "String"
                }
            },
            configurationType: {
                serializedName: "configurationType",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const BigDataPoolPatchInfo = {
    type: {
        name: "Composite",
        className: "BigDataPoolPatchInfo",
        modelProperties: {
            tags: {
                serializedName: "tags",
                type: {
                    name: "Dictionary",
                    value: { type: { name: "String" } }
                }
            }
        }
    }
};
export const BigDataPoolResourceInfoListResult = {
    type: {
        name: "Composite",
        className: "BigDataPoolResourceInfoListResult",
        modelProperties: {
            nextLink: {
                serializedName: "nextLink",
                type: {
                    name: "String"
                }
            },
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "BigDataPoolResourceInfo"
                        }
                    }
                }
            }
        }
    }
};
export const LibraryListResponse = {
    type: {
        name: "Composite",
        className: "LibraryListResponse",
        modelProperties: {
            value: {
                serializedName: "value",
                required: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "LibraryResource"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const UpdateIntegrationRuntimeRequest = {
    type: {
        name: "Composite",
        className: "UpdateIntegrationRuntimeRequest",
        modelProperties: {
            autoUpdate: {
                serializedName: "autoUpdate",
                type: {
                    name: "String"
                }
            },
            updateDelayOffset: {
                serializedName: "updateDelayOffset",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const IntegrationRuntime = {
    serializedName: "IntegrationRuntime",
    type: {
        name: "Composite",
        className: "IntegrationRuntime",
        uberParent: "IntegrationRuntime",
        additionalProperties: { type: { name: "Object" } },
        polymorphicDiscriminator: {
            serializedName: "type",
            clientName: "type"
        },
        modelProperties: {
            type: {
                serializedName: "type",
                required: true,
                type: {
                    name: "String"
                }
            },
            description: {
                serializedName: "description",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const IntegrationRuntimeNodeIpAddress = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeNodeIpAddress",
        modelProperties: {
            ipAddress: {
                serializedName: "ipAddress",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const GetSsisObjectMetadataRequest = {
    type: {
        name: "Composite",
        className: "GetSsisObjectMetadataRequest",
        modelProperties: {
            metadataPath: {
                serializedName: "metadataPath",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SsisObjectMetadataListResponse = {
    type: {
        name: "Composite",
        className: "SsisObjectMetadataListResponse",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SsisObjectMetadata"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SsisObjectMetadata = {
    type: {
        name: "Composite",
        className: "SsisObjectMetadata",
        uberParent: "SsisObjectMetadata",
        polymorphicDiscriminator: {
            serializedName: "type",
            clientName: "type"
        },
        modelProperties: {
            type: {
                serializedName: "type",
                required: true,
                type: {
                    name: "String"
                }
            },
            id: {
                serializedName: "id",
                type: {
                    name: "Number"
                }
            },
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            description: {
                serializedName: "description",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SelfHostedIntegrationRuntimeNode = {
    type: {
        name: "Composite",
        className: "SelfHostedIntegrationRuntimeNode",
        additionalProperties: { type: { name: "Object" } },
        modelProperties: {
            nodeName: {
                serializedName: "nodeName",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            machineName: {
                serializedName: "machineName",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            hostServiceUri: {
                serializedName: "hostServiceUri",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            status: {
                serializedName: "status",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            capabilities: {
                serializedName: "capabilities",
                readOnly: true,
                type: {
                    name: "Dictionary",
                    value: { type: { name: "String" } }
                }
            },
            versionStatus: {
                serializedName: "versionStatus",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            version: {
                serializedName: "version",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            registerTime: {
                serializedName: "registerTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            lastConnectTime: {
                serializedName: "lastConnectTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            expiryTime: {
                serializedName: "expiryTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            lastStartTime: {
                serializedName: "lastStartTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            lastStopTime: {
                serializedName: "lastStopTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            lastUpdateResult: {
                serializedName: "lastUpdateResult",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            lastStartUpdateTime: {
                serializedName: "lastStartUpdateTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            lastEndUpdateTime: {
                serializedName: "lastEndUpdateTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            isActiveDispatcher: {
                serializedName: "isActiveDispatcher",
                readOnly: true,
                type: {
                    name: "Boolean"
                }
            },
            concurrentJobsLimit: {
                serializedName: "concurrentJobsLimit",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            maxConcurrentJobs: {
                serializedName: "maxConcurrentJobs",
                readOnly: true,
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export const UpdateIntegrationRuntimeNodeRequest = {
    type: {
        name: "Composite",
        className: "UpdateIntegrationRuntimeNodeRequest",
        modelProperties: {
            concurrentJobsLimit: {
                constraints: {
                    InclusiveMinimum: 1
                },
                serializedName: "concurrentJobsLimit",
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export const IntegrationRuntimeListResponse = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeListResponse",
        modelProperties: {
            value: {
                serializedName: "value",
                required: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "IntegrationRuntimeResource"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const IntegrationRuntimeConnectionInfo = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeConnectionInfo",
        additionalProperties: { type: { name: "Object" } },
        modelProperties: {
            serviceToken: {
                serializedName: "serviceToken",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            identityCertThumbprint: {
                serializedName: "identityCertThumbprint",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            hostServiceUri: {
                serializedName: "hostServiceUri",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            version: {
                serializedName: "version",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            publicKey: {
                serializedName: "publicKey",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            isIdentityCertExprired: {
                serializedName: "isIdentityCertExprired",
                readOnly: true,
                type: {
                    name: "Boolean"
                }
            }
        }
    }
};
export const IntegrationRuntimeStatusResponse = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeStatusResponse",
        modelProperties: {
            name: {
                serializedName: "name",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            properties: {
                serializedName: "properties",
                type: {
                    name: "Composite",
                    className: "IntegrationRuntimeStatus"
                }
            }
        }
    }
};
export const IntegrationRuntimeStatus = {
    serializedName: "IntegrationRuntimeStatus",
    type: {
        name: "Composite",
        className: "IntegrationRuntimeStatus",
        uberParent: "IntegrationRuntimeStatus",
        additionalProperties: { type: { name: "Object" } },
        polymorphicDiscriminator: {
            serializedName: "type",
            clientName: "type"
        },
        modelProperties: {
            type: {
                serializedName: "type",
                required: true,
                type: {
                    name: "String"
                }
            },
            dataFactoryName: {
                serializedName: "dataFactoryName",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            state: {
                serializedName: "state",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const IntegrationRuntimeRegenerateKeyParameters = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeRegenerateKeyParameters",
        modelProperties: {
            keyName: {
                serializedName: "keyName",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const IntegrationRuntimeAuthKeys = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeAuthKeys",
        modelProperties: {
            authKey1: {
                serializedName: "authKey1",
                type: {
                    name: "String"
                }
            },
            authKey2: {
                serializedName: "authKey2",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const IntegrationRuntimeMonitoringData = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeMonitoringData",
        modelProperties: {
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            nodes: {
                serializedName: "nodes",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "IntegrationRuntimeNodeMonitoringData"
                        }
                    }
                }
            }
        }
    }
};
export const IntegrationRuntimeNodeMonitoringData = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeNodeMonitoringData",
        additionalProperties: { type: { name: "Object" } },
        modelProperties: {
            nodeName: {
                serializedName: "nodeName",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            availableMemoryInMB: {
                serializedName: "availableMemoryInMB",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            cpuUtilization: {
                serializedName: "cpuUtilization",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            concurrentJobsLimit: {
                serializedName: "concurrentJobsLimit",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            concurrentJobsRunning: {
                serializedName: "concurrentJobsRunning",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            maxConcurrentJobs: {
                serializedName: "maxConcurrentJobs",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            sentBytes: {
                serializedName: "sentBytes",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            receivedBytes: {
                serializedName: "receivedBytes",
                readOnly: true,
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export const SsisObjectMetadataStatusResponse = {
    type: {
        name: "Composite",
        className: "SsisObjectMetadataStatusResponse",
        modelProperties: {
            status: {
                serializedName: "status",
                type: {
                    name: "String"
                }
            },
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            properties: {
                serializedName: "properties",
                type: {
                    name: "String"
                }
            },
            error: {
                serializedName: "error",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const IntegrationRuntimeOutboundNetworkDependenciesEndpointsResponse = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeOutboundNetworkDependenciesEndpointsResponse",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "IntegrationRuntimeOutboundNetworkDependenciesCategoryEndpoint"
                        }
                    }
                }
            }
        }
    }
};
export const IntegrationRuntimeOutboundNetworkDependenciesCategoryEndpoint = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeOutboundNetworkDependenciesCategoryEndpoint",
        modelProperties: {
            category: {
                serializedName: "category",
                type: {
                    name: "String"
                }
            },
            endpoints: {
                serializedName: "endpoints",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "IntegrationRuntimeOutboundNetworkDependenciesEndpoint"
                        }
                    }
                }
            }
        }
    }
};
export const IntegrationRuntimeOutboundNetworkDependenciesEndpoint = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeOutboundNetworkDependenciesEndpoint",
        modelProperties: {
            domainName: {
                serializedName: "domainName",
                type: {
                    name: "String"
                }
            },
            endpointDetails: {
                serializedName: "endpointDetails",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "IntegrationRuntimeOutboundNetworkDependenciesEndpointDetails"
                        }
                    }
                }
            }
        }
    }
};
export const IntegrationRuntimeOutboundNetworkDependenciesEndpointDetails = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeOutboundNetworkDependenciesEndpointDetails",
        modelProperties: {
            port: {
                serializedName: "port",
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export const SparkConfigurationListResponse = {
    type: {
        name: "Composite",
        className: "SparkConfigurationListResponse",
        modelProperties: {
            value: {
                serializedName: "value",
                required: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SparkConfigurationResource"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const OperationListResult = {
    type: {
        name: "Composite",
        className: "OperationListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "Operation"
                        }
                    }
                }
            },
            nextLink: {
                serializedName: "nextLink",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const Operation = {
    type: {
        name: "Composite",
        className: "Operation",
        modelProperties: {
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            display: {
                serializedName: "display",
                type: {
                    name: "Composite",
                    className: "OperationDisplay"
                }
            },
            origin: {
                serializedName: "origin",
                type: {
                    name: "String"
                }
            },
            properties: {
                serializedName: "properties",
                type: {
                    name: "Dictionary",
                    value: { type: { name: "any" } }
                }
            }
        }
    }
};
export const OperationDisplay = {
    type: {
        name: "Composite",
        className: "OperationDisplay",
        modelProperties: {
            provider: {
                serializedName: "provider",
                type: {
                    name: "String"
                }
            },
            operation: {
                serializedName: "operation",
                type: {
                    name: "String"
                }
            },
            resource: {
                serializedName: "resource",
                type: {
                    name: "String"
                }
            },
            description: {
                serializedName: "description",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SkuDescriptionList = {
    type: {
        name: "Composite",
        className: "SkuDescriptionList",
        modelProperties: {
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SkuDescription"
                        }
                    }
                }
            }
        }
    }
};
export const SkuDescription = {
    type: {
        name: "Composite",
        className: "SkuDescription",
        modelProperties: {
            resourceType: {
                serializedName: "resourceType",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            name: {
                serializedName: "name",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            size: {
                serializedName: "size",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            locations: {
                serializedName: "locations",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            },
            locationInfo: {
                serializedName: "locationInfo",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SkuLocationInfoItem"
                        }
                    }
                }
            },
            restrictions: {
                serializedName: "restrictions",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Dictionary",
                            value: { type: { name: "any" } }
                        }
                    }
                }
            }
        }
    }
};
export const SkuLocationInfoItem = {
    type: {
        name: "Composite",
        className: "SkuLocationInfoItem",
        modelProperties: {
            location: {
                serializedName: "location",
                required: true,
                type: {
                    name: "String"
                }
            },
            zones: {
                serializedName: "zones",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }
        }
    }
};
export const KustoPoolCheckNameRequest = {
    type: {
        name: "Composite",
        className: "KustoPoolCheckNameRequest",
        modelProperties: {
            name: {
                serializedName: "name",
                required: true,
                type: {
                    name: "String"
                }
            },
            type: {
                defaultValue: "Microsoft.Synapse/workspaces/kustoPools",
                isConstant: true,
                serializedName: "type",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const CheckNameResult = {
    type: {
        name: "Composite",
        className: "CheckNameResult",
        modelProperties: {
            nameAvailable: {
                serializedName: "nameAvailable",
                type: {
                    name: "Boolean"
                }
            },
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            message: {
                serializedName: "message",
                type: {
                    name: "String"
                }
            },
            reason: {
                serializedName: "reason",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const KustoPoolListResult = {
    type: {
        name: "Composite",
        className: "KustoPoolListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "KustoPool"
                        }
                    }
                }
            }
        }
    }
};
export const AzureSku = {
    type: {
        name: "Composite",
        className: "AzureSku",
        modelProperties: {
            name: {
                serializedName: "name",
                required: true,
                type: {
                    name: "String"
                }
            },
            capacity: {
                serializedName: "capacity",
                type: {
                    name: "Number"
                }
            },
            size: {
                serializedName: "size",
                required: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const OptimizedAutoscale = {
    type: {
        name: "Composite",
        className: "OptimizedAutoscale",
        modelProperties: {
            version: {
                serializedName: "version",
                required: true,
                type: {
                    name: "Number"
                }
            },
            isEnabled: {
                serializedName: "isEnabled",
                required: true,
                type: {
                    name: "Boolean"
                }
            },
            minimum: {
                serializedName: "minimum",
                required: true,
                type: {
                    name: "Number"
                }
            },
            maximum: {
                serializedName: "maximum",
                required: true,
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export const LanguageExtensionsList = {
    type: {
        name: "Composite",
        className: "LanguageExtensionsList",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "LanguageExtension"
                        }
                    }
                }
            }
        }
    }
};
export const LanguageExtension = {
    type: {
        name: "Composite",
        className: "LanguageExtension",
        modelProperties: {
            languageExtensionName: {
                serializedName: "languageExtensionName",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SystemData = {
    type: {
        name: "Composite",
        className: "SystemData",
        modelProperties: {
            createdBy: {
                serializedName: "createdBy",
                type: {
                    name: "String"
                }
            },
            createdByType: {
                serializedName: "createdByType",
                type: {
                    name: "String"
                }
            },
            createdAt: {
                serializedName: "createdAt",
                type: {
                    name: "DateTime"
                }
            },
            lastModifiedBy: {
                serializedName: "lastModifiedBy",
                type: {
                    name: "String"
                }
            },
            lastModifiedByType: {
                serializedName: "lastModifiedByType",
                type: {
                    name: "String"
                }
            },
            lastModifiedAt: {
                serializedName: "lastModifiedAt",
                type: {
                    name: "DateTime"
                }
            }
        }
    }
};
export const ListResourceSkusResult = {
    type: {
        name: "Composite",
        className: "ListResourceSkusResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "AzureResourceSku"
                        }
                    }
                }
            }
        }
    }
};
export const AzureResourceSku = {
    type: {
        name: "Composite",
        className: "AzureResourceSku",
        modelProperties: {
            resourceType: {
                serializedName: "resourceType",
                type: {
                    name: "String"
                }
            },
            sku: {
                serializedName: "sku",
                type: {
                    name: "Composite",
                    className: "AzureSku"
                }
            },
            capacity: {
                serializedName: "capacity",
                type: {
                    name: "Composite",
                    className: "AzureCapacity"
                }
            }
        }
    }
};
export const AzureCapacity = {
    type: {
        name: "Composite",
        className: "AzureCapacity",
        modelProperties: {
            scaleType: {
                serializedName: "scaleType",
                required: true,
                type: {
                    name: "String"
                }
            },
            minimum: {
                serializedName: "minimum",
                required: true,
                type: {
                    name: "Number"
                }
            },
            maximum: {
                serializedName: "maximum",
                required: true,
                type: {
                    name: "Number"
                }
            },
            default: {
                serializedName: "default",
                required: true,
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export const DatabaseCheckNameRequest = {
    type: {
        name: "Composite",
        className: "DatabaseCheckNameRequest",
        modelProperties: {
            name: {
                serializedName: "name",
                required: true,
                type: {
                    name: "String"
                }
            },
            type: {
                serializedName: "type",
                required: true,
                type: {
                    name: "Enum",
                    allowedValues: [
                        "Microsoft.Synapse/workspaces/kustoPools/databases",
                        "Microsoft.Synapse/workspaces/kustoPools/attachedDatabaseConfigurations"
                    ]
                }
            }
        }
    }
};
export const FollowerDatabaseListResult = {
    type: {
        name: "Composite",
        className: "FollowerDatabaseListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "FollowerDatabaseDefinition"
                        }
                    }
                }
            }
        }
    }
};
export const FollowerDatabaseDefinition = {
    type: {
        name: "Composite",
        className: "FollowerDatabaseDefinition",
        modelProperties: {
            kustoPoolResourceId: {
                serializedName: "clusterResourceId",
                required: true,
                type: {
                    name: "String"
                }
            },
            attachedDatabaseConfigurationName: {
                serializedName: "attachedDatabaseConfigurationName",
                required: true,
                type: {
                    name: "String"
                }
            },
            databaseName: {
                serializedName: "databaseName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const AttachedDatabaseConfigurationListResult = {
    type: {
        name: "Composite",
        className: "AttachedDatabaseConfigurationListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "AttachedDatabaseConfiguration"
                        }
                    }
                }
            }
        }
    }
};
export const TableLevelSharingProperties = {
    type: {
        name: "Composite",
        className: "TableLevelSharingProperties",
        modelProperties: {
            tablesToInclude: {
                serializedName: "tablesToInclude",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            },
            tablesToExclude: {
                serializedName: "tablesToExclude",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            },
            externalTablesToInclude: {
                serializedName: "externalTablesToInclude",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            },
            externalTablesToExclude: {
                serializedName: "externalTablesToExclude",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            },
            materializedViewsToInclude: {
                serializedName: "materializedViewsToInclude",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            },
            materializedViewsToExclude: {
                serializedName: "materializedViewsToExclude",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }
        }
    }
};
export const DatabaseListResult = {
    type: {
        name: "Composite",
        className: "DatabaseListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "Database"
                        }
                    }
                }
            }
        }
    }
};
export const DataConnectionCheckNameRequest = {
    type: {
        name: "Composite",
        className: "DataConnectionCheckNameRequest",
        modelProperties: {
            name: {
                serializedName: "name",
                required: true,
                type: {
                    name: "String"
                }
            },
            type: {
                defaultValue: "Microsoft.Synapse/workspaces/kustoPools/databases/dataConnections",
                isConstant: true,
                serializedName: "type",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const DataConnectionValidation = {
    type: {
        name: "Composite",
        className: "DataConnectionValidation",
        modelProperties: {
            dataConnectionName: {
                serializedName: "dataConnectionName",
                type: {
                    name: "String"
                }
            },
            properties: {
                serializedName: "properties",
                type: {
                    name: "Composite",
                    className: "DataConnection"
                }
            }
        }
    }
};
export const DataConnectionValidationListResult = {
    type: {
        name: "Composite",
        className: "DataConnectionValidationListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "DataConnectionValidationResult"
                        }
                    }
                }
            }
        }
    }
};
export const DataConnectionValidationResult = {
    type: {
        name: "Composite",
        className: "DataConnectionValidationResult",
        modelProperties: {
            errorMessage: {
                serializedName: "errorMessage",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const DataConnectionListResult = {
    type: {
        name: "Composite",
        className: "DataConnectionListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "DataConnection"
                        }
                    }
                }
            }
        }
    }
};
export const ClusterPrincipalAssignmentCheckNameRequest = {
    type: {
        name: "Composite",
        className: "ClusterPrincipalAssignmentCheckNameRequest",
        modelProperties: {
            name: {
                serializedName: "name",
                required: true,
                type: {
                    name: "String"
                }
            },
            type: {
                defaultValue: "Microsoft.Synapse/workspaces/kustoPools/principalAssignments",
                isConstant: true,
                serializedName: "type",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ClusterPrincipalAssignmentListResult = {
    type: {
        name: "Composite",
        className: "ClusterPrincipalAssignmentListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ClusterPrincipalAssignment"
                        }
                    }
                }
            }
        }
    }
};
export const DatabasePrincipalAssignmentCheckNameRequest = {
    type: {
        name: "Composite",
        className: "DatabasePrincipalAssignmentCheckNameRequest",
        modelProperties: {
            name: {
                serializedName: "name",
                required: true,
                type: {
                    name: "String"
                }
            },
            type: {
                defaultValue: "Microsoft.Synapse/workspaces/kustoPools/databases/principalAssignments",
                isConstant: true,
                serializedName: "type",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const DatabasePrincipalAssignmentListResult = {
    type: {
        name: "Composite",
        className: "DatabasePrincipalAssignmentListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "DatabasePrincipalAssignment"
                        }
                    }
                }
            }
        }
    }
};
export const TopQueries = {
    type: {
        name: "Composite",
        className: "TopQueries",
        modelProperties: {
            aggregationFunction: {
                serializedName: "aggregationFunction",
                readOnly: true,
                type: {
                    name: "Enum",
                    allowedValues: ["min", "max", "avg", "sum"]
                }
            },
            executionType: {
                serializedName: "executionType",
                readOnly: true,
                type: {
                    name: "Enum",
                    allowedValues: ["any", "regular", "irregular", "aborted", "exception"]
                }
            },
            intervalType: {
                serializedName: "intervalType",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            numberOfTopQueries: {
                serializedName: "numberOfTopQueries",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            observationStartTime: {
                serializedName: "observationStartTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            observationEndTime: {
                serializedName: "observationEndTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            observedMetric: {
                serializedName: "observedMetric",
                readOnly: true,
                type: {
                    name: "Enum",
                    allowedValues: ["cpu", "io", "logio", "duration", "executionCount"]
                }
            },
            queries: {
                serializedName: "queries",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "QueryStatistic"
                        }
                    }
                }
            }
        }
    }
};
export const QueryStatistic = {
    type: {
        name: "Composite",
        className: "QueryStatistic",
        modelProperties: {
            queryId: {
                serializedName: "queryId",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            intervals: {
                serializedName: "intervals",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "QueryInterval"
                        }
                    }
                }
            }
        }
    }
};
export const QueryInterval = {
    type: {
        name: "Composite",
        className: "QueryInterval",
        modelProperties: {
            intervalStartTime: {
                serializedName: "intervalStartTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            executionCount: {
                serializedName: "executionCount",
                readOnly: true,
                type: {
                    name: "Number"
                }
            },
            metrics: {
                serializedName: "metrics",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "QueryMetric"
                        }
                    }
                }
            }
        }
    }
};
export const QueryMetric = {
    type: {
        name: "Composite",
        className: "QueryMetric",
        modelProperties: {
            name: {
                serializedName: "name",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            displayName: {
                serializedName: "displayName",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            unit: {
                serializedName: "unit",
                readOnly: true,
                type: {
                    name: "Enum",
                    allowedValues: ["percentage", "KB", "microseconds"]
                }
            },
            value: {
                serializedName: "value",
                readOnly: true,
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export const TopQueriesListResult = {
    type: {
        name: "Composite",
        className: "TopQueriesListResult",
        modelProperties: {
            value: {
                serializedName: "value",
                required: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "TopQueries"
                        }
                    }
                }
            }
        }
    }
};
export const IntegrationRuntimeComputeProperties = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeComputeProperties",
        additionalProperties: { type: { name: "Object" } },
        modelProperties: {
            location: {
                serializedName: "location",
                type: {
                    name: "String"
                }
            },
            nodeSize: {
                serializedName: "nodeSize",
                type: {
                    name: "String"
                }
            },
            numberOfNodes: {
                constraints: {
                    InclusiveMinimum: 1
                },
                serializedName: "numberOfNodes",
                type: {
                    name: "Number"
                }
            },
            maxParallelExecutionsPerNode: {
                constraints: {
                    InclusiveMinimum: 1
                },
                serializedName: "maxParallelExecutionsPerNode",
                type: {
                    name: "Number"
                }
            },
            dataFlowProperties: {
                serializedName: "dataFlowProperties",
                type: {
                    name: "Composite",
                    className: "IntegrationRuntimeDataFlowProperties"
                }
            },
            vNetProperties: {
                serializedName: "vNetProperties",
                type: {
                    name: "Composite",
                    className: "IntegrationRuntimeVNetProperties"
                }
            }
        }
    }
};
export const IntegrationRuntimeDataFlowProperties = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeDataFlowProperties",
        additionalProperties: { type: { name: "Object" } },
        modelProperties: {
            computeType: {
                serializedName: "computeType",
                type: {
                    name: "String"
                }
            },
            coreCount: {
                serializedName: "coreCount",
                type: {
                    name: "Number"
                }
            },
            timeToLive: {
                constraints: {
                    InclusiveMinimum: 0
                },
                serializedName: "timeToLive",
                type: {
                    name: "Number"
                }
            },
            cleanup: {
                serializedName: "cleanup",
                type: {
                    name: "Boolean"
                }
            }
        }
    }
};
export const IntegrationRuntimeVNetProperties = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeVNetProperties",
        additionalProperties: { type: { name: "Object" } },
        modelProperties: {
            vNetId: {
                serializedName: "vNetId",
                type: {
                    name: "String"
                }
            },
            subnet: {
                serializedName: "subnet",
                type: {
                    name: "String"
                }
            },
            publicIPs: {
                serializedName: "publicIPs",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            },
            subnetId: {
                serializedName: "subnetId",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const IntegrationRuntimeSsisProperties = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeSsisProperties",
        additionalProperties: { type: { name: "Object" } },
        modelProperties: {
            catalogInfo: {
                serializedName: "catalogInfo",
                type: {
                    name: "Composite",
                    className: "IntegrationRuntimeSsisCatalogInfo"
                }
            },
            licenseType: {
                serializedName: "licenseType",
                type: {
                    name: "String"
                }
            },
            customSetupScriptProperties: {
                serializedName: "customSetupScriptProperties",
                type: {
                    name: "Composite",
                    className: "IntegrationRuntimeCustomSetupScriptProperties"
                }
            },
            dataProxyProperties: {
                serializedName: "dataProxyProperties",
                type: {
                    name: "Composite",
                    className: "IntegrationRuntimeDataProxyProperties"
                }
            },
            edition: {
                serializedName: "edition",
                type: {
                    name: "String"
                }
            },
            expressCustomSetupProperties: {
                serializedName: "expressCustomSetupProperties",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "CustomSetupBase"
                        }
                    }
                }
            }
        }
    }
};
export const IntegrationRuntimeSsisCatalogInfo = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeSsisCatalogInfo",
        additionalProperties: { type: { name: "Object" } },
        modelProperties: {
            catalogServerEndpoint: {
                serializedName: "catalogServerEndpoint",
                type: {
                    name: "String"
                }
            },
            catalogAdminUserName: {
                constraints: {
                    MaxLength: 128,
                    MinLength: 1
                },
                serializedName: "catalogAdminUserName",
                type: {
                    name: "String"
                }
            },
            catalogAdminPassword: {
                serializedName: "catalogAdminPassword",
                type: {
                    name: "Composite",
                    className: "SecureString"
                }
            },
            catalogPricingTier: {
                serializedName: "catalogPricingTier",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SecretBase = {
    type: {
        name: "Composite",
        className: "SecretBase",
        uberParent: "SecretBase",
        polymorphicDiscriminator: {
            serializedName: "type",
            clientName: "type"
        },
        modelProperties: {
            type: {
                serializedName: "type",
                required: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const IntegrationRuntimeCustomSetupScriptProperties = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeCustomSetupScriptProperties",
        modelProperties: {
            blobContainerUri: {
                serializedName: "blobContainerUri",
                type: {
                    name: "String"
                }
            },
            sasToken: {
                serializedName: "sasToken",
                type: {
                    name: "Composite",
                    className: "SecureString"
                }
            }
        }
    }
};
export const IntegrationRuntimeDataProxyProperties = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeDataProxyProperties",
        modelProperties: {
            connectVia: {
                serializedName: "connectVia",
                type: {
                    name: "Composite",
                    className: "EntityReference"
                }
            },
            stagingLinkedService: {
                serializedName: "stagingLinkedService",
                type: {
                    name: "Composite",
                    className: "EntityReference"
                }
            },
            path: {
                serializedName: "path",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const EntityReference = {
    type: {
        name: "Composite",
        className: "EntityReference",
        modelProperties: {
            type: {
                serializedName: "type",
                type: {
                    name: "String"
                }
            },
            referenceName: {
                serializedName: "referenceName",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const CustomSetupBase = {
    type: {
        name: "Composite",
        className: "CustomSetupBase",
        uberParent: "CustomSetupBase",
        polymorphicDiscriminator: {
            serializedName: "type",
            clientName: "type"
        },
        modelProperties: {
            type: {
                serializedName: "type",
                required: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const LinkedIntegrationRuntimeType = {
    type: {
        name: "Composite",
        className: "LinkedIntegrationRuntimeType",
        uberParent: "LinkedIntegrationRuntimeType",
        polymorphicDiscriminator: {
            serializedName: "authorizationType",
            clientName: "authorizationType"
        },
        modelProperties: {
            authorizationType: {
                serializedName: "authorizationType",
                required: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ManagedIntegrationRuntimeNode = {
    type: {
        name: "Composite",
        className: "ManagedIntegrationRuntimeNode",
        additionalProperties: { type: { name: "Object" } },
        modelProperties: {
            nodeId: {
                serializedName: "nodeId",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            status: {
                serializedName: "status",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            errors: {
                serializedName: "errors",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ManagedIntegrationRuntimeError"
                        }
                    }
                }
            }
        }
    }
};
export const ManagedIntegrationRuntimeError = {
    type: {
        name: "Composite",
        className: "ManagedIntegrationRuntimeError",
        additionalProperties: { type: { name: "Object" } },
        modelProperties: {
            time: {
                serializedName: "time",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            code: {
                serializedName: "code",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            parameters: {
                serializedName: "parameters",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            },
            message: {
                serializedName: "message",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const ManagedIntegrationRuntimeOperationResult = {
    type: {
        name: "Composite",
        className: "ManagedIntegrationRuntimeOperationResult",
        additionalProperties: { type: { name: "Object" } },
        modelProperties: {
            type: {
                serializedName: "type",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            startTime: {
                serializedName: "startTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            },
            result: {
                serializedName: "result",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            errorCode: {
                serializedName: "errorCode",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            parameters: {
                serializedName: "parameters",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            },
            activityId: {
                serializedName: "activityId",
                readOnly: true,
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const LinkedIntegrationRuntime = {
    type: {
        name: "Composite",
        className: "LinkedIntegrationRuntime",
        modelProperties: {
            name: {
                serializedName: "name",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            subscriptionId: {
                serializedName: "subscriptionId",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            dataFactoryName: {
                serializedName: "dataFactoryName",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            dataFactoryLocation: {
                serializedName: "dataFactoryLocation",
                readOnly: true,
                type: {
                    name: "String"
                }
            },
            createTime: {
                serializedName: "createTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }
        }
    }
};
export const SsisEnvironmentReference = {
    type: {
        name: "Composite",
        className: "SsisEnvironmentReference",
        modelProperties: {
            id: {
                serializedName: "id",
                type: {
                    name: "Number"
                }
            },
            environmentFolderName: {
                serializedName: "environmentFolderName",
                type: {
                    name: "String"
                }
            },
            environmentName: {
                serializedName: "environmentName",
                type: {
                    name: "String"
                }
            },
            referenceType: {
                serializedName: "referenceType",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SsisParameter = {
    type: {
        name: "Composite",
        className: "SsisParameter",
        modelProperties: {
            id: {
                serializedName: "id",
                type: {
                    name: "Number"
                }
            },
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            description: {
                serializedName: "description",
                type: {
                    name: "String"
                }
            },
            dataType: {
                serializedName: "dataType",
                type: {
                    name: "String"
                }
            },
            required: {
                serializedName: "required",
                type: {
                    name: "Boolean"
                }
            },
            sensitive: {
                serializedName: "sensitive",
                type: {
                    name: "Boolean"
                }
            },
            designDefaultValue: {
                serializedName: "designDefaultValue",
                type: {
                    name: "String"
                }
            },
            defaultValue: {
                serializedName: "defaultValue",
                type: {
                    name: "String"
                }
            },
            sensitiveDefaultValue: {
                serializedName: "sensitiveDefaultValue",
                type: {
                    name: "String"
                }
            },
            valueType: {
                serializedName: "valueType",
                type: {
                    name: "String"
                }
            },
            valueSet: {
                serializedName: "valueSet",
                type: {
                    name: "Boolean"
                }
            },
            variable: {
                serializedName: "variable",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const SsisVariable = {
    type: {
        name: "Composite",
        className: "SsisVariable",
        modelProperties: {
            id: {
                serializedName: "id",
                type: {
                    name: "Number"
                }
            },
            name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            },
            description: {
                serializedName: "description",
                type: {
                    name: "String"
                }
            },
            dataType: {
                serializedName: "dataType",
                type: {
                    name: "String"
                }
            },
            sensitive: {
                serializedName: "sensitive",
                type: {
                    name: "Boolean"
                }
            },
            value: {
                serializedName: "value",
                type: {
                    name: "String"
                }
            },
            sensitiveValue: {
                serializedName: "sensitiveValue",
                type: {
                    name: "String"
                }
            }
        }
    }
};
export const DatabaseStatistics = {
    type: {
        name: "Composite",
        className: "DatabaseStatistics",
        modelProperties: {
            size: {
                serializedName: "size",
                type: {
                    name: "Number"
                }
            }
        }
    }
};
export const ProxyResource = {
    type: {
        name: "Composite",
        className: "ProxyResource",
        modelProperties: Object.assign({}, Resource.type.modelProperties)
    }
};
export const TrackedResource = {
    type: {
        name: "Composite",
        className: "TrackedResource",
        modelProperties: Object.assign(Object.assign({}, Resource.type.modelProperties), { tags: {
                serializedName: "tags",
                type: {
                    name: "Dictionary",
                    value: { type: { name: "String" } }
                }
            }, location: {
                serializedName: "location",
                required: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const AzureEntityResource = {
    type: {
        name: "Composite",
        className: "AzureEntityResource",
        modelProperties: Object.assign(Object.assign({}, Resource.type.modelProperties), { etag: {
                serializedName: "etag",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const KustoPoolUpdate = {
    type: {
        name: "Composite",
        className: "KustoPoolUpdate",
        modelProperties: Object.assign(Object.assign({}, Resource.type.modelProperties), { tags: {
                serializedName: "tags",
                type: {
                    name: "Dictionary",
                    value: { type: { name: "String" } }
                }
            }, sku: {
                serializedName: "sku",
                type: {
                    name: "Composite",
                    className: "AzureSku"
                }
            }, state: {
                serializedName: "properties.state",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, uri: {
                serializedName: "properties.uri",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, dataIngestionUri: {
                serializedName: "properties.dataIngestionUri",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, stateReason: {
                serializedName: "properties.stateReason",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, optimizedAutoscale: {
                serializedName: "properties.optimizedAutoscale",
                type: {
                    name: "Composite",
                    className: "OptimizedAutoscale"
                }
            }, enableStreamingIngest: {
                defaultValue: false,
                serializedName: "properties.enableStreamingIngest",
                type: {
                    name: "Boolean"
                }
            }, enablePurge: {
                defaultValue: false,
                serializedName: "properties.enablePurge",
                type: {
                    name: "Boolean"
                }
            }, languageExtensions: {
                serializedName: "properties.languageExtensions",
                type: {
                    name: "Composite",
                    className: "LanguageExtensionsList"
                }
            }, workspaceUID: {
                serializedName: "properties.workspaceUID",
                type: {
                    name: "String"
                }
            } })
    }
};
export const PrivateEndpointConnectionForPrivateLinkHub = {
    type: {
        name: "Composite",
        className: "PrivateEndpointConnectionForPrivateLinkHub",
        modelProperties: Object.assign(Object.assign({}, PrivateEndpointConnectionForPrivateLinkHubBasicAutoGenerated.type
            .modelProperties), { name: {
                serializedName: "name",
                type: {
                    name: "String"
                }
            }, type: {
                serializedName: "type",
                type: {
                    name: "String"
                }
            } })
    }
};
export const ManagedIntegrationRuntime = {
    serializedName: "Managed",
    type: {
        name: "Composite",
        className: "ManagedIntegrationRuntime",
        uberParent: "IntegrationRuntime",
        additionalProperties: { type: { name: "Object" } },
        polymorphicDiscriminator: IntegrationRuntime.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, IntegrationRuntime.type.modelProperties), { state: {
                serializedName: "state",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, referenceName: {
                serializedName: "managedVirtualNetwork.referenceName",
                type: {
                    name: "String"
                }
            }, typeManagedVirtualNetworkType: {
                serializedName: "managedVirtualNetwork.type",
                type: {
                    name: "String"
                }
            }, id: {
                serializedName: "managedVirtualNetwork.id",
                type: {
                    name: "String"
                }
            }, computeProperties: {
                serializedName: "typeProperties.computeProperties",
                type: {
                    name: "Composite",
                    className: "IntegrationRuntimeComputeProperties"
                }
            }, ssisProperties: {
                serializedName: "typeProperties.ssisProperties",
                type: {
                    name: "Composite",
                    className: "IntegrationRuntimeSsisProperties"
                }
            } })
    }
};
export const SelfHostedIntegrationRuntime = {
    serializedName: "SelfHosted",
    type: {
        name: "Composite",
        className: "SelfHostedIntegrationRuntime",
        uberParent: "IntegrationRuntime",
        additionalProperties: { type: { name: "Object" } },
        polymorphicDiscriminator: IntegrationRuntime.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, IntegrationRuntime.type.modelProperties), { linkedInfo: {
                serializedName: "typeProperties.linkedInfo",
                type: {
                    name: "Composite",
                    className: "LinkedIntegrationRuntimeType"
                }
            } })
    }
};
export const SsisFolder = {
    serializedName: "Folder",
    type: {
        name: "Composite",
        className: "SsisFolder",
        uberParent: "SsisObjectMetadata",
        polymorphicDiscriminator: SsisObjectMetadata.type.polymorphicDiscriminator,
        modelProperties: Object.assign({}, SsisObjectMetadata.type.modelProperties)
    }
};
export const SsisProject = {
    serializedName: "Project",
    type: {
        name: "Composite",
        className: "SsisProject",
        uberParent: "SsisObjectMetadata",
        polymorphicDiscriminator: SsisObjectMetadata.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, SsisObjectMetadata.type.modelProperties), { folderId: {
                serializedName: "folderId",
                type: {
                    name: "Number"
                }
            }, version: {
                serializedName: "version",
                type: {
                    name: "Number"
                }
            }, environmentRefs: {
                serializedName: "environmentRefs",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SsisEnvironmentReference"
                        }
                    }
                }
            }, parameters: {
                serializedName: "parameters",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SsisParameter"
                        }
                    }
                }
            } })
    }
};
export const SsisPackage = {
    serializedName: "Package",
    type: {
        name: "Composite",
        className: "SsisPackage",
        uberParent: "SsisObjectMetadata",
        polymorphicDiscriminator: SsisObjectMetadata.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, SsisObjectMetadata.type.modelProperties), { folderId: {
                serializedName: "folderId",
                type: {
                    name: "Number"
                }
            }, projectVersion: {
                serializedName: "projectVersion",
                type: {
                    name: "Number"
                }
            }, projectId: {
                serializedName: "projectId",
                type: {
                    name: "Number"
                }
            }, parameters: {
                serializedName: "parameters",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SsisParameter"
                        }
                    }
                }
            } })
    }
};
export const SsisEnvironment = {
    serializedName: "Environment",
    type: {
        name: "Composite",
        className: "SsisEnvironment",
        uberParent: "SsisObjectMetadata",
        polymorphicDiscriminator: SsisObjectMetadata.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, SsisObjectMetadata.type.modelProperties), { folderId: {
                serializedName: "folderId",
                type: {
                    name: "Number"
                }
            }, variables: {
                serializedName: "variables",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SsisVariable"
                        }
                    }
                }
            } })
    }
};
export const ManagedIntegrationRuntimeStatus = {
    serializedName: "Managed",
    type: {
        name: "Composite",
        className: "ManagedIntegrationRuntimeStatus",
        uberParent: "IntegrationRuntimeStatus",
        additionalProperties: { type: { name: "Object" } },
        polymorphicDiscriminator: IntegrationRuntimeStatus.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, IntegrationRuntimeStatus.type.modelProperties), { createTime: {
                serializedName: "typeProperties.createTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, nodes: {
                serializedName: "typeProperties.nodes",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ManagedIntegrationRuntimeNode"
                        }
                    }
                }
            }, otherErrors: {
                serializedName: "typeProperties.otherErrors",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "ManagedIntegrationRuntimeError"
                        }
                    }
                }
            }, lastOperation: {
                serializedName: "typeProperties.lastOperation",
                type: {
                    name: "Composite",
                    className: "ManagedIntegrationRuntimeOperationResult"
                }
            } })
    }
};
export const SelfHostedIntegrationRuntimeStatus = {
    serializedName: "SelfHosted",
    type: {
        name: "Composite",
        className: "SelfHostedIntegrationRuntimeStatus",
        uberParent: "IntegrationRuntimeStatus",
        additionalProperties: { type: { name: "Object" } },
        polymorphicDiscriminator: IntegrationRuntimeStatus.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, IntegrationRuntimeStatus.type.modelProperties), { createTime: {
                serializedName: "typeProperties.createTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, taskQueueId: {
                serializedName: "typeProperties.taskQueueId",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, nodeCommunicationChannelEncryptionMode: {
                serializedName: "typeProperties.nodeCommunicationChannelEncryptionMode",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, internalChannelEncryption: {
                serializedName: "typeProperties.internalChannelEncryption",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, version: {
                serializedName: "typeProperties.version",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, nodes: {
                serializedName: "typeProperties.nodes",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SelfHostedIntegrationRuntimeNode"
                        }
                    }
                }
            }, scheduledUpdateDate: {
                serializedName: "typeProperties.scheduledUpdateDate",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, updateDelayOffset: {
                serializedName: "typeProperties.updateDelayOffset",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, localTimeZoneOffset: {
                serializedName: "typeProperties.localTimeZoneOffset",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, capabilities: {
                serializedName: "typeProperties.capabilities",
                readOnly: true,
                type: {
                    name: "Dictionary",
                    value: { type: { name: "String" } }
                }
            }, serviceUrls: {
                serializedName: "typeProperties.serviceUrls",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, autoUpdate: {
                serializedName: "typeProperties.autoUpdate",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, versionStatus: {
                serializedName: "typeProperties.versionStatus",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, links: {
                serializedName: "typeProperties.links",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "LinkedIntegrationRuntime"
                        }
                    }
                }
            }, pushedVersion: {
                serializedName: "typeProperties.pushedVersion",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, latestVersion: {
                serializedName: "typeProperties.latestVersion",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, autoUpdateETA: {
                serializedName: "typeProperties.autoUpdateETA",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, serviceRegion: {
                serializedName: "typeProperties.serviceRegion",
                type: {
                    name: "String"
                }
            }, newerVersions: {
                serializedName: "typeProperties.newerVersions",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            } })
    }
};
export const SecureString = {
    serializedName: "SecureString",
    type: {
        name: "Composite",
        className: "SecureString",
        uberParent: "SecretBase",
        polymorphicDiscriminator: SecretBase.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, SecretBase.type.modelProperties), { value: {
                serializedName: "value",
                required: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const CmdkeySetup = {
    serializedName: "CmdkeySetup",
    type: {
        name: "Composite",
        className: "CmdkeySetup",
        uberParent: "CustomSetupBase",
        polymorphicDiscriminator: CustomSetupBase.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, CustomSetupBase.type.modelProperties), { targetName: {
                serializedName: "typeProperties.targetName",
                required: true,
                type: {
                    name: "Dictionary",
                    value: { type: { name: "any" } }
                }
            }, userName: {
                serializedName: "typeProperties.userName",
                required: true,
                type: {
                    name: "Dictionary",
                    value: { type: { name: "any" } }
                }
            }, password: {
                serializedName: "typeProperties.password",
                type: {
                    name: "Composite",
                    className: "SecretBase"
                }
            } })
    }
};
export const EnvironmentVariableSetup = {
    serializedName: "EnvironmentVariableSetup",
    type: {
        name: "Composite",
        className: "EnvironmentVariableSetup",
        uberParent: "CustomSetupBase",
        polymorphicDiscriminator: CustomSetupBase.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, CustomSetupBase.type.modelProperties), { variableName: {
                serializedName: "typeProperties.variableName",
                required: true,
                type: {
                    name: "String"
                }
            }, variableValue: {
                serializedName: "typeProperties.variableValue",
                required: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const ComponentSetup = {
    serializedName: "ComponentSetup",
    type: {
        name: "Composite",
        className: "ComponentSetup",
        uberParent: "CustomSetupBase",
        polymorphicDiscriminator: CustomSetupBase.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, CustomSetupBase.type.modelProperties), { componentName: {
                serializedName: "typeProperties.componentName",
                required: true,
                type: {
                    name: "String"
                }
            }, licenseKey: {
                serializedName: "typeProperties.licenseKey",
                type: {
                    name: "Composite",
                    className: "SecretBase"
                }
            } })
    }
};
export const LinkedIntegrationRuntimeKeyAuthorization = {
    serializedName: "Key",
    type: {
        name: "Composite",
        className: "LinkedIntegrationRuntimeKeyAuthorization",
        uberParent: "LinkedIntegrationRuntimeType",
        polymorphicDiscriminator: LinkedIntegrationRuntimeType.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, LinkedIntegrationRuntimeType.type.modelProperties), { key: {
                serializedName: "key",
                type: {
                    name: "Composite",
                    className: "SecureString"
                }
            } })
    }
};
export const LinkedIntegrationRuntimeRbacAuthorization = {
    serializedName: "RBAC",
    type: {
        name: "Composite",
        className: "LinkedIntegrationRuntimeRbacAuthorization",
        uberParent: "LinkedIntegrationRuntimeType",
        polymorphicDiscriminator: LinkedIntegrationRuntimeType.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, LinkedIntegrationRuntimeType.type.modelProperties), { resourceId: {
                serializedName: "resourceId",
                required: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const AzureADOnlyAuthentication = {
    type: {
        name: "Composite",
        className: "AzureADOnlyAuthentication",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { azureADOnlyAuthentication: {
                serializedName: "properties.azureADOnlyAuthentication",
                type: {
                    name: "Boolean"
                }
            }, state: {
                serializedName: "properties.state",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, creationDate: {
                serializedName: "properties.creationDate",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            } })
    }
};
export const IpFirewallRuleInfo = {
    type: {
        name: "Composite",
        className: "IpFirewallRuleInfo",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { endIpAddress: {
                serializedName: "properties.endIpAddress",
                type: {
                    name: "String"
                }
            }, provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, startIpAddress: {
                serializedName: "properties.startIpAddress",
                type: {
                    name: "String"
                }
            } })
    }
};
export const Key = {
    type: {
        name: "Composite",
        className: "Key",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { isActiveCMK: {
                serializedName: "properties.isActiveCMK",
                type: {
                    name: "Boolean"
                }
            }, keyVaultUrl: {
                serializedName: "properties.keyVaultUrl",
                type: {
                    name: "String"
                }
            } })
    }
};
export const PrivateEndpointConnection = {
    type: {
        name: "Composite",
        className: "PrivateEndpointConnection",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { privateEndpoint: {
                serializedName: "properties.privateEndpoint",
                type: {
                    name: "Composite",
                    className: "PrivateEndpoint"
                }
            }, privateLinkServiceConnectionState: {
                serializedName: "properties.privateLinkServiceConnectionState",
                type: {
                    name: "Composite",
                    className: "PrivateLinkServiceConnectionState"
                }
            }, provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const PrivateLinkResource = {
    type: {
        name: "Composite",
        className: "PrivateLinkResource",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { properties: {
                serializedName: "properties",
                type: {
                    name: "Composite",
                    className: "PrivateLinkResourceProperties"
                }
            } })
    }
};
export const MetadataSyncConfig = {
    type: {
        name: "Composite",
        className: "MetadataSyncConfig",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { enabled: {
                serializedName: "properties.enabled",
                type: {
                    name: "Boolean"
                }
            }, syncIntervalInMinutes: {
                serializedName: "properties.syncIntervalInMinutes",
                type: {
                    name: "Number"
                }
            } })
    }
};
export const GeoBackupPolicy = {
    type: {
        name: "Composite",
        className: "GeoBackupPolicy",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { kind: {
                serializedName: "kind",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, location: {
                serializedName: "location",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, state: {
                serializedName: "properties.state",
                required: true,
                type: {
                    name: "Enum",
                    allowedValues: ["Disabled", "Enabled"]
                }
            }, storageType: {
                serializedName: "properties.storageType",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const DataWarehouseUserActivities = {
    type: {
        name: "Composite",
        className: "DataWarehouseUserActivities",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { activeQueriesCount: {
                serializedName: "properties.activeQueriesCount",
                readOnly: true,
                type: {
                    name: "Number"
                }
            } })
    }
};
export const RestorePoint = {
    type: {
        name: "Composite",
        className: "RestorePoint",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { location: {
                serializedName: "location",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, restorePointType: {
                serializedName: "properties.restorePointType",
                readOnly: true,
                type: {
                    name: "Enum",
                    allowedValues: ["CONTINUOUS", "DISCRETE"]
                }
            }, earliestRestoreDate: {
                serializedName: "properties.earliestRestoreDate",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, restorePointCreationDate: {
                serializedName: "properties.restorePointCreationDate",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, restorePointLabel: {
                serializedName: "properties.restorePointLabel",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const ReplicationLink = {
    type: {
        name: "Composite",
        className: "ReplicationLink",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { location: {
                serializedName: "location",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, isTerminationAllowed: {
                serializedName: "properties.isTerminationAllowed",
                readOnly: true,
                type: {
                    name: "Boolean"
                }
            }, replicationMode: {
                serializedName: "properties.replicationMode",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, partnerServer: {
                serializedName: "properties.partnerServer",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, partnerDatabase: {
                serializedName: "properties.partnerDatabase",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, partnerLocation: {
                serializedName: "properties.partnerLocation",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, role: {
                serializedName: "properties.role",
                readOnly: true,
                type: {
                    name: "Enum",
                    allowedValues: [
                        "Primary",
                        "Secondary",
                        "NonReadableSecondary",
                        "Source",
                        "Copy"
                    ]
                }
            }, partnerRole: {
                serializedName: "properties.partnerRole",
                readOnly: true,
                type: {
                    name: "Enum",
                    allowedValues: [
                        "Primary",
                        "Secondary",
                        "NonReadableSecondary",
                        "Source",
                        "Copy"
                    ]
                }
            }, startTime: {
                serializedName: "properties.startTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, percentComplete: {
                serializedName: "properties.percentComplete",
                readOnly: true,
                type: {
                    name: "Number"
                }
            }, replicationState: {
                serializedName: "properties.replicationState",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const MaintenanceWindows = {
    type: {
        name: "Composite",
        className: "MaintenanceWindows",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { timeRanges: {
                serializedName: "properties.timeRanges",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "MaintenanceWindowTimeRange"
                        }
                    }
                }
            } })
    }
};
export const MaintenanceWindowOptions = {
    type: {
        name: "Composite",
        className: "MaintenanceWindowOptions",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { isEnabled: {
                serializedName: "properties.isEnabled",
                type: {
                    name: "Boolean"
                }
            }, maintenanceWindowCycles: {
                serializedName: "properties.maintenanceWindowCycles",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "MaintenanceWindowTimeRange"
                        }
                    }
                }
            }, minDurationInMinutes: {
                serializedName: "properties.minDurationInMinutes",
                type: {
                    name: "Number"
                }
            }, defaultDurationInMinutes: {
                serializedName: "properties.defaultDurationInMinutes",
                type: {
                    name: "Number"
                }
            }, minCycles: {
                serializedName: "properties.minCycles",
                type: {
                    name: "Number"
                }
            }, timeGranularityInMinutes: {
                serializedName: "properties.timeGranularityInMinutes",
                type: {
                    name: "Number"
                }
            }, allowMultipleMaintenanceWindowsPerCycle: {
                serializedName: "properties.allowMultipleMaintenanceWindowsPerCycle",
                type: {
                    name: "Boolean"
                }
            } })
    }
};
export const TransparentDataEncryption = {
    type: {
        name: "Composite",
        className: "TransparentDataEncryption",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { location: {
                serializedName: "location",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, status: {
                serializedName: "properties.status",
                type: {
                    name: "Enum",
                    allowedValues: ["Enabled", "Disabled"]
                }
            } })
    }
};
export const SqlPoolBlobAuditingPolicy = {
    type: {
        name: "Composite",
        className: "SqlPoolBlobAuditingPolicy",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { kind: {
                serializedName: "kind",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, state: {
                serializedName: "properties.state",
                type: {
                    name: "Enum",
                    allowedValues: ["Enabled", "Disabled"]
                }
            }, storageEndpoint: {
                serializedName: "properties.storageEndpoint",
                type: {
                    name: "String"
                }
            }, storageAccountAccessKey: {
                serializedName: "properties.storageAccountAccessKey",
                type: {
                    name: "String"
                }
            }, retentionDays: {
                serializedName: "properties.retentionDays",
                type: {
                    name: "Number"
                }
            }, auditActionsAndGroups: {
                serializedName: "properties.auditActionsAndGroups",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, storageAccountSubscriptionId: {
                serializedName: "properties.storageAccountSubscriptionId",
                type: {
                    name: "Uuid"
                }
            }, isStorageSecondaryKeyInUse: {
                serializedName: "properties.isStorageSecondaryKeyInUse",
                type: {
                    name: "Boolean"
                }
            }, isAzureMonitorTargetEnabled: {
                defaultValue: false,
                serializedName: "properties.isAzureMonitorTargetEnabled",
                type: {
                    name: "Boolean"
                }
            } })
    }
};
export const SqlPoolOperation = {
    type: {
        name: "Composite",
        className: "SqlPoolOperation",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { databaseName: {
                serializedName: "properties.databaseName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, operation: {
                serializedName: "properties.operation",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, operationFriendlyName: {
                serializedName: "properties.operationFriendlyName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, percentComplete: {
                serializedName: "properties.percentComplete",
                readOnly: true,
                type: {
                    name: "Number"
                }
            }, serverName: {
                serializedName: "properties.serverName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, startTime: {
                serializedName: "properties.startTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, state: {
                serializedName: "properties.state",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, errorCode: {
                serializedName: "properties.errorCode",
                readOnly: true,
                type: {
                    name: "Number"
                }
            }, errorDescription: {
                serializedName: "properties.errorDescription",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, errorSeverity: {
                serializedName: "properties.errorSeverity",
                readOnly: true,
                type: {
                    name: "Number"
                }
            }, isUserError: {
                serializedName: "properties.isUserError",
                readOnly: true,
                type: {
                    name: "Boolean"
                }
            }, estimatedCompletionTime: {
                serializedName: "properties.estimatedCompletionTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, description: {
                serializedName: "properties.description",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, isCancellable: {
                serializedName: "properties.isCancellable",
                readOnly: true,
                type: {
                    name: "Boolean"
                }
            } })
    }
};
export const SensitivityLabel = {
    type: {
        name: "Composite",
        className: "SensitivityLabel",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { managedBy: {
                serializedName: "managedBy",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, schemaName: {
                serializedName: "properties.schemaName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, tableName: {
                serializedName: "properties.tableName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, columnName: {
                serializedName: "properties.columnName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, labelName: {
                serializedName: "properties.labelName",
                type: {
                    name: "String"
                }
            }, labelId: {
                serializedName: "properties.labelId",
                type: {
                    name: "String"
                }
            }, informationType: {
                serializedName: "properties.informationType",
                type: {
                    name: "String"
                }
            }, informationTypeId: {
                serializedName: "properties.informationTypeId",
                type: {
                    name: "String"
                }
            }, isDisabled: {
                serializedName: "properties.isDisabled",
                readOnly: true,
                type: {
                    name: "Boolean"
                }
            }, rank: {
                serializedName: "properties.rank",
                type: {
                    name: "Enum",
                    allowedValues: ["None", "Low", "Medium", "High", "Critical"]
                }
            } })
    }
};
export const SensitivityLabelUpdate = {
    type: {
        name: "Composite",
        className: "SensitivityLabelUpdate",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { op: {
                serializedName: "properties.op",
                type: {
                    name: "Enum",
                    allowedValues: ["set", "remove"]
                }
            }, schema: {
                serializedName: "properties.schema",
                type: {
                    name: "String"
                }
            }, table: {
                serializedName: "properties.table",
                type: {
                    name: "String"
                }
            }, column: {
                serializedName: "properties.column",
                type: {
                    name: "String"
                }
            }, sensitivityLabel: {
                serializedName: "properties.sensitivityLabel",
                type: {
                    name: "Composite",
                    className: "SensitivityLabel"
                }
            } })
    }
};
export const RecommendedSensitivityLabelUpdate = {
    type: {
        name: "Composite",
        className: "RecommendedSensitivityLabelUpdate",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { op: {
                serializedName: "properties.op",
                type: {
                    name: "Enum",
                    allowedValues: ["enable", "disable"]
                }
            }, schema: {
                serializedName: "properties.schema",
                type: {
                    name: "String"
                }
            }, table: {
                serializedName: "properties.table",
                type: {
                    name: "String"
                }
            }, column: {
                serializedName: "properties.column",
                type: {
                    name: "String"
                }
            } })
    }
};
export const SqlPoolSchema = {
    type: {
        name: "Composite",
        className: "SqlPoolSchema",
        modelProperties: Object.assign({}, ProxyResource.type.modelProperties)
    }
};
export const SqlPoolTable = {
    type: {
        name: "Composite",
        className: "SqlPoolTable",
        modelProperties: Object.assign({}, ProxyResource.type.modelProperties)
    }
};
export const SqlPoolColumn = {
    type: {
        name: "Composite",
        className: "SqlPoolColumn",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { columnType: {
                serializedName: "properties.columnType",
                type: {
                    name: "String"
                }
            }, isComputed: {
                serializedName: "properties.isComputed",
                readOnly: true,
                type: {
                    name: "Boolean"
                }
            } })
    }
};
export const SqlPoolConnectionPolicy = {
    type: {
        name: "Composite",
        className: "SqlPoolConnectionPolicy",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { kind: {
                serializedName: "kind",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, location: {
                serializedName: "location",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, securityEnabledAccess: {
                serializedName: "properties.securityEnabledAccess",
                type: {
                    name: "String"
                }
            }, proxyDnsName: {
                serializedName: "properties.proxyDnsName",
                type: {
                    name: "String"
                }
            }, proxyPort: {
                serializedName: "properties.proxyPort",
                type: {
                    name: "String"
                }
            }, visibility: {
                serializedName: "properties.visibility",
                type: {
                    name: "String"
                }
            }, useServerDefault: {
                serializedName: "properties.useServerDefault",
                type: {
                    name: "String"
                }
            }, redirectionState: {
                serializedName: "properties.redirectionState",
                type: {
                    name: "String"
                }
            }, state: {
                serializedName: "properties.state",
                type: {
                    name: "String"
                }
            } })
    }
};
export const SqlPoolVulnerabilityAssessment = {
    type: {
        name: "Composite",
        className: "SqlPoolVulnerabilityAssessment",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { storageContainerPath: {
                serializedName: "properties.storageContainerPath",
                type: {
                    name: "String"
                }
            }, storageContainerSasKey: {
                serializedName: "properties.storageContainerSasKey",
                type: {
                    name: "String"
                }
            }, storageAccountAccessKey: {
                serializedName: "properties.storageAccountAccessKey",
                type: {
                    name: "String"
                }
            }, recurringScans: {
                serializedName: "properties.recurringScans",
                type: {
                    name: "Composite",
                    className: "VulnerabilityAssessmentRecurringScansProperties"
                }
            } })
    }
};
export const VulnerabilityAssessmentScanRecord = {
    type: {
        name: "Composite",
        className: "VulnerabilityAssessmentScanRecord",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { scanId: {
                serializedName: "properties.scanId",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, triggerType: {
                serializedName: "properties.triggerType",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, state: {
                serializedName: "properties.state",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, startTime: {
                serializedName: "properties.startTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, endTime: {
                serializedName: "properties.endTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, errors: {
                serializedName: "properties.errors",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "VulnerabilityAssessmentScanError"
                        }
                    }
                }
            }, storageContainerPath: {
                serializedName: "properties.storageContainerPath",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, numberOfFailedSecurityChecks: {
                serializedName: "properties.numberOfFailedSecurityChecks",
                readOnly: true,
                type: {
                    name: "Number"
                }
            } })
    }
};
export const SqlPoolVulnerabilityAssessmentScansExport = {
    type: {
        name: "Composite",
        className: "SqlPoolVulnerabilityAssessmentScansExport",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { exportedReportLocation: {
                serializedName: "properties.exportedReportLocation",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const SqlPoolSecurityAlertPolicy = {
    type: {
        name: "Composite",
        className: "SqlPoolSecurityAlertPolicy",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { state: {
                serializedName: "properties.state",
                type: {
                    name: "Enum",
                    allowedValues: ["New", "Enabled", "Disabled"]
                }
            }, disabledAlerts: {
                serializedName: "properties.disabledAlerts",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, emailAddresses: {
                serializedName: "properties.emailAddresses",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, emailAccountAdmins: {
                serializedName: "properties.emailAccountAdmins",
                type: {
                    name: "Boolean"
                }
            }, storageEndpoint: {
                serializedName: "properties.storageEndpoint",
                type: {
                    name: "String"
                }
            }, storageAccountAccessKey: {
                serializedName: "properties.storageAccountAccessKey",
                type: {
                    name: "String"
                }
            }, retentionDays: {
                serializedName: "properties.retentionDays",
                type: {
                    name: "Number"
                }
            }, creationTime: {
                serializedName: "properties.creationTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            } })
    }
};
export const SqlPoolVulnerabilityAssessmentRuleBaseline = {
    type: {
        name: "Composite",
        className: "SqlPoolVulnerabilityAssessmentRuleBaseline",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { baselineResults: {
                serializedName: "properties.baselineResults",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "SqlPoolVulnerabilityAssessmentRuleBaselineItem"
                        }
                    }
                }
            } })
    }
};
export const ExtendedSqlPoolBlobAuditingPolicy = {
    type: {
        name: "Composite",
        className: "ExtendedSqlPoolBlobAuditingPolicy",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { predicateExpression: {
                serializedName: "properties.predicateExpression",
                type: {
                    name: "String"
                }
            }, state: {
                serializedName: "properties.state",
                type: {
                    name: "Enum",
                    allowedValues: ["Enabled", "Disabled"]
                }
            }, storageEndpoint: {
                serializedName: "properties.storageEndpoint",
                type: {
                    name: "String"
                }
            }, storageAccountAccessKey: {
                serializedName: "properties.storageAccountAccessKey",
                type: {
                    name: "String"
                }
            }, retentionDays: {
                serializedName: "properties.retentionDays",
                type: {
                    name: "Number"
                }
            }, auditActionsAndGroups: {
                serializedName: "properties.auditActionsAndGroups",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, storageAccountSubscriptionId: {
                serializedName: "properties.storageAccountSubscriptionId",
                type: {
                    name: "Uuid"
                }
            }, isStorageSecondaryKeyInUse: {
                serializedName: "properties.isStorageSecondaryKeyInUse",
                type: {
                    name: "Boolean"
                }
            }, isAzureMonitorTargetEnabled: {
                serializedName: "properties.isAzureMonitorTargetEnabled",
                type: {
                    name: "Boolean"
                }
            }, queueDelayMs: {
                serializedName: "properties.queueDelayMs",
                type: {
                    name: "Number"
                }
            } })
    }
};
export const DataMaskingPolicy = {
    type: {
        name: "Composite",
        className: "DataMaskingPolicy",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { location: {
                serializedName: "location",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, kind: {
                serializedName: "kind",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, managedBy: {
                serializedName: "managedBy",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, dataMaskingState: {
                serializedName: "properties.dataMaskingState",
                type: {
                    name: "Enum",
                    allowedValues: ["Disabled", "Enabled"]
                }
            }, exemptPrincipals: {
                serializedName: "properties.exemptPrincipals",
                type: {
                    name: "String"
                }
            }, applicationPrincipals: {
                serializedName: "properties.applicationPrincipals",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, maskingLevel: {
                serializedName: "properties.maskingLevel",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const DataMaskingRule = {
    type: {
        name: "Composite",
        className: "DataMaskingRule",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { location: {
                serializedName: "location",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, kind: {
                serializedName: "kind",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, idPropertiesId: {
                serializedName: "properties.id",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, aliasName: {
                serializedName: "properties.aliasName",
                type: {
                    name: "String"
                }
            }, ruleState: {
                serializedName: "properties.ruleState",
                type: {
                    name: "Enum",
                    allowedValues: ["Disabled", "Enabled"]
                }
            }, schemaName: {
                serializedName: "properties.schemaName",
                type: {
                    name: "String"
                }
            }, tableName: {
                serializedName: "properties.tableName",
                type: {
                    name: "String"
                }
            }, columnName: {
                serializedName: "properties.columnName",
                type: {
                    name: "String"
                }
            }, maskingFunction: {
                serializedName: "properties.maskingFunction",
                type: {
                    name: "Enum",
                    allowedValues: ["Default", "CCN", "Email", "Number", "SSN", "Text"]
                }
            }, numberFrom: {
                serializedName: "properties.numberFrom",
                type: {
                    name: "String"
                }
            }, numberTo: {
                serializedName: "properties.numberTo",
                type: {
                    name: "String"
                }
            }, prefixSize: {
                serializedName: "properties.prefixSize",
                type: {
                    name: "String"
                }
            }, suffixSize: {
                serializedName: "properties.suffixSize",
                type: {
                    name: "String"
                }
            }, replacementString: {
                serializedName: "properties.replacementString",
                type: {
                    name: "String"
                }
            } })
    }
};
export const WorkloadGroup = {
    type: {
        name: "Composite",
        className: "WorkloadGroup",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { minResourcePercent: {
                serializedName: "properties.minResourcePercent",
                type: {
                    name: "Number"
                }
            }, maxResourcePercent: {
                serializedName: "properties.maxResourcePercent",
                type: {
                    name: "Number"
                }
            }, minResourcePercentPerRequest: {
                serializedName: "properties.minResourcePercentPerRequest",
                type: {
                    name: "Number"
                }
            }, maxResourcePercentPerRequest: {
                serializedName: "properties.maxResourcePercentPerRequest",
                type: {
                    name: "Number"
                }
            }, importance: {
                serializedName: "properties.importance",
                type: {
                    name: "String"
                }
            }, queryExecutionTimeout: {
                serializedName: "properties.queryExecutionTimeout",
                type: {
                    name: "Number"
                }
            } })
    }
};
export const WorkloadClassifier = {
    type: {
        name: "Composite",
        className: "WorkloadClassifier",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { memberName: {
                serializedName: "properties.memberName",
                type: {
                    name: "String"
                }
            }, label: {
                serializedName: "properties.label",
                type: {
                    name: "String"
                }
            }, context: {
                serializedName: "properties.context",
                type: {
                    name: "String"
                }
            }, startTime: {
                serializedName: "properties.startTime",
                type: {
                    name: "String"
                }
            }, endTime: {
                serializedName: "properties.endTime",
                type: {
                    name: "String"
                }
            }, importance: {
                serializedName: "properties.importance",
                type: {
                    name: "String"
                }
            } })
    }
};
export const ServerBlobAuditingPolicy = {
    type: {
        name: "Composite",
        className: "ServerBlobAuditingPolicy",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { state: {
                serializedName: "properties.state",
                type: {
                    name: "Enum",
                    allowedValues: ["Enabled", "Disabled"]
                }
            }, storageEndpoint: {
                serializedName: "properties.storageEndpoint",
                type: {
                    name: "String"
                }
            }, storageAccountAccessKey: {
                serializedName: "properties.storageAccountAccessKey",
                type: {
                    name: "String"
                }
            }, retentionDays: {
                serializedName: "properties.retentionDays",
                type: {
                    name: "Number"
                }
            }, auditActionsAndGroups: {
                serializedName: "properties.auditActionsAndGroups",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, storageAccountSubscriptionId: {
                serializedName: "properties.storageAccountSubscriptionId",
                type: {
                    name: "Uuid"
                }
            }, isStorageSecondaryKeyInUse: {
                serializedName: "properties.isStorageSecondaryKeyInUse",
                type: {
                    name: "Boolean"
                }
            }, isAzureMonitorTargetEnabled: {
                serializedName: "properties.isAzureMonitorTargetEnabled",
                type: {
                    name: "Boolean"
                }
            }, queueDelayMs: {
                serializedName: "properties.queueDelayMs",
                type: {
                    name: "Number"
                }
            }, isDevopsAuditEnabled: {
                serializedName: "properties.isDevopsAuditEnabled",
                type: {
                    name: "Boolean"
                }
            } })
    }
};
export const ExtendedServerBlobAuditingPolicy = {
    type: {
        name: "Composite",
        className: "ExtendedServerBlobAuditingPolicy",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { predicateExpression: {
                serializedName: "properties.predicateExpression",
                type: {
                    name: "String"
                }
            }, state: {
                serializedName: "properties.state",
                type: {
                    name: "Enum",
                    allowedValues: ["Enabled", "Disabled"]
                }
            }, storageEndpoint: {
                serializedName: "properties.storageEndpoint",
                type: {
                    name: "String"
                }
            }, storageAccountAccessKey: {
                serializedName: "properties.storageAccountAccessKey",
                type: {
                    name: "String"
                }
            }, retentionDays: {
                serializedName: "properties.retentionDays",
                type: {
                    name: "Number"
                }
            }, auditActionsAndGroups: {
                serializedName: "properties.auditActionsAndGroups",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, storageAccountSubscriptionId: {
                serializedName: "properties.storageAccountSubscriptionId",
                type: {
                    name: "Uuid"
                }
            }, isStorageSecondaryKeyInUse: {
                serializedName: "properties.isStorageSecondaryKeyInUse",
                type: {
                    name: "Boolean"
                }
            }, isAzureMonitorTargetEnabled: {
                serializedName: "properties.isAzureMonitorTargetEnabled",
                type: {
                    name: "Boolean"
                }
            }, queueDelayMs: {
                serializedName: "properties.queueDelayMs",
                type: {
                    name: "Number"
                }
            }, isDevopsAuditEnabled: {
                serializedName: "properties.isDevopsAuditEnabled",
                type: {
                    name: "Boolean"
                }
            } })
    }
};
export const ServerSecurityAlertPolicy = {
    type: {
        name: "Composite",
        className: "ServerSecurityAlertPolicy",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { state: {
                serializedName: "properties.state",
                type: {
                    name: "Enum",
                    allowedValues: ["New", "Enabled", "Disabled"]
                }
            }, disabledAlerts: {
                serializedName: "properties.disabledAlerts",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, emailAddresses: {
                serializedName: "properties.emailAddresses",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, emailAccountAdmins: {
                serializedName: "properties.emailAccountAdmins",
                type: {
                    name: "Boolean"
                }
            }, storageEndpoint: {
                serializedName: "properties.storageEndpoint",
                type: {
                    name: "String"
                }
            }, storageAccountAccessKey: {
                serializedName: "properties.storageAccountAccessKey",
                type: {
                    name: "String"
                }
            }, retentionDays: {
                serializedName: "properties.retentionDays",
                type: {
                    name: "Number"
                }
            }, creationTime: {
                serializedName: "properties.creationTime",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            } })
    }
};
export const ServerVulnerabilityAssessment = {
    type: {
        name: "Composite",
        className: "ServerVulnerabilityAssessment",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { storageContainerPath: {
                serializedName: "properties.storageContainerPath",
                type: {
                    name: "String"
                }
            }, storageContainerSasKey: {
                serializedName: "properties.storageContainerSasKey",
                type: {
                    name: "String"
                }
            }, storageAccountAccessKey: {
                serializedName: "properties.storageAccountAccessKey",
                type: {
                    name: "String"
                }
            }, recurringScans: {
                serializedName: "properties.recurringScans",
                type: {
                    name: "Composite",
                    className: "VulnerabilityAssessmentRecurringScansProperties"
                }
            } })
    }
};
export const EncryptionProtector = {
    type: {
        name: "Composite",
        className: "EncryptionProtector",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { kind: {
                serializedName: "kind",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, location: {
                serializedName: "location",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, subregion: {
                serializedName: "properties.subregion",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, serverKeyName: {
                serializedName: "properties.serverKeyName",
                type: {
                    name: "String"
                }
            }, serverKeyType: {
                serializedName: "properties.serverKeyType",
                type: {
                    name: "String"
                }
            }, uri: {
                serializedName: "properties.uri",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, thumbprint: {
                serializedName: "properties.thumbprint",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const RecoverableSqlPool = {
    type: {
        name: "Composite",
        className: "RecoverableSqlPool",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { edition: {
                serializedName: "properties.edition",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, serviceLevelObjective: {
                serializedName: "properties.serviceLevelObjective",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, elasticPoolName: {
                serializedName: "properties.elasticPoolName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, lastAvailableBackupDate: {
                serializedName: "properties.lastAvailableBackupDate",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            } })
    }
};
export const WorkspaceAadAdminInfo = {
    type: {
        name: "Composite",
        className: "WorkspaceAadAdminInfo",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { tenantId: {
                serializedName: "properties.tenantId",
                type: {
                    name: "String"
                }
            }, login: {
                serializedName: "properties.login",
                type: {
                    name: "String"
                }
            }, administratorType: {
                serializedName: "properties.administratorType",
                type: {
                    name: "String"
                }
            }, sid: {
                serializedName: "properties.sid",
                type: {
                    name: "String"
                }
            } })
    }
};
export const ManagedIdentitySqlControlSettingsModel = {
    type: {
        name: "Composite",
        className: "ManagedIdentitySqlControlSettingsModel",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { grantSqlControlToManagedIdentity: {
                serializedName: "properties.grantSqlControlToManagedIdentity",
                type: {
                    name: "Composite",
                    className: "ManagedIdentitySqlControlSettingsModelPropertiesGrantSqlControlToManagedIdentity"
                }
            } })
    }
};
export const RestorableDroppedSqlPool = {
    type: {
        name: "Composite",
        className: "RestorableDroppedSqlPool",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { location: {
                serializedName: "location",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, databaseName: {
                serializedName: "properties.databaseName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, edition: {
                serializedName: "properties.edition",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, maxSizeBytes: {
                serializedName: "properties.maxSizeBytes",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, serviceLevelObjective: {
                serializedName: "properties.serviceLevelObjective",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, elasticPoolName: {
                serializedName: "properties.elasticPoolName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, creationDate: {
                serializedName: "properties.creationDate",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, deletionDate: {
                serializedName: "properties.deletionDate",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, earliestRestoreDate: {
                serializedName: "properties.earliestRestoreDate",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            } })
    }
};
export const AttachedDatabaseConfiguration = {
    type: {
        name: "Composite",
        className: "AttachedDatabaseConfiguration",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { location: {
                serializedName: "location",
                type: {
                    name: "String"
                }
            }, systemData: {
                serializedName: "systemData",
                type: {
                    name: "Composite",
                    className: "SystemData"
                }
            }, provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, databaseName: {
                serializedName: "properties.databaseName",
                type: {
                    name: "String"
                }
            }, kustoPoolResourceId: {
                serializedName: "properties.clusterResourceId",
                type: {
                    name: "String"
                }
            }, attachedDatabaseNames: {
                serializedName: "properties.attachedDatabaseNames",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, defaultPrincipalsModificationKind: {
                serializedName: "properties.defaultPrincipalsModificationKind",
                type: {
                    name: "String"
                }
            }, tableLevelSharingProperties: {
                serializedName: "properties.tableLevelSharingProperties",
                type: {
                    name: "Composite",
                    className: "TableLevelSharingProperties"
                }
            } })
    }
};
export const Database = {
    serializedName: "Database",
    type: {
        name: "Composite",
        className: "Database",
        uberParent: "Resource",
        polymorphicDiscriminator: {
            serializedName: "kind",
            clientName: "kind"
        },
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { location: {
                serializedName: "location",
                type: {
                    name: "String"
                }
            }, kind: {
                serializedName: "kind",
                required: true,
                type: {
                    name: "String"
                }
            }, systemData: {
                serializedName: "systemData",
                type: {
                    name: "Composite",
                    className: "SystemData"
                }
            } })
    }
};
export const DataConnection = {
    serializedName: "DataConnection",
    type: {
        name: "Composite",
        className: "DataConnection",
        uberParent: "Resource",
        polymorphicDiscriminator: {
            serializedName: "kind",
            clientName: "kind"
        },
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { location: {
                serializedName: "location",
                type: {
                    name: "String"
                }
            }, kind: {
                serializedName: "kind",
                required: true,
                type: {
                    name: "String"
                }
            }, systemData: {
                serializedName: "systemData",
                type: {
                    name: "Composite",
                    className: "SystemData"
                }
            } })
    }
};
export const ClusterPrincipalAssignment = {
    type: {
        name: "Composite",
        className: "ClusterPrincipalAssignment",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { systemData: {
                serializedName: "systemData",
                type: {
                    name: "Composite",
                    className: "SystemData"
                }
            }, principalId: {
                serializedName: "properties.principalId",
                type: {
                    name: "String"
                }
            }, role: {
                serializedName: "properties.role",
                type: {
                    name: "String"
                }
            }, tenantId: {
                serializedName: "properties.tenantId",
                type: {
                    name: "String"
                }
            }, principalType: {
                serializedName: "properties.principalType",
                type: {
                    name: "String"
                }
            }, tenantName: {
                serializedName: "properties.tenantName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, principalName: {
                serializedName: "properties.principalName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const DatabasePrincipalAssignment = {
    type: {
        name: "Composite",
        className: "DatabasePrincipalAssignment",
        modelProperties: Object.assign(Object.assign({}, ProxyResource.type.modelProperties), { systemData: {
                serializedName: "systemData",
                type: {
                    name: "Composite",
                    className: "SystemData"
                }
            }, principalId: {
                serializedName: "properties.principalId",
                type: {
                    name: "String"
                }
            }, role: {
                serializedName: "properties.role",
                type: {
                    name: "String"
                }
            }, tenantId: {
                serializedName: "properties.tenantId",
                type: {
                    name: "String"
                }
            }, principalType: {
                serializedName: "properties.principalType",
                type: {
                    name: "String"
                }
            }, tenantName: {
                serializedName: "properties.tenantName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, principalName: {
                serializedName: "properties.principalName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const PrivateLinkHub = {
    type: {
        name: "Composite",
        className: "PrivateLinkHub",
        modelProperties: Object.assign(Object.assign({}, TrackedResource.type.modelProperties), { provisioningState: {
                serializedName: "properties.provisioningState",
                type: {
                    name: "String"
                }
            }, privateEndpointConnections: {
                serializedName: "properties.privateEndpointConnections",
                readOnly: true,
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "PrivateEndpointConnectionForPrivateLinkHubBasic"
                        }
                    }
                }
            } })
    }
};
export const SqlPool = {
    type: {
        name: "Composite",
        className: "SqlPool",
        modelProperties: Object.assign(Object.assign({}, TrackedResource.type.modelProperties), { sku: {
                serializedName: "sku",
                type: {
                    name: "Composite",
                    className: "Sku"
                }
            }, maxSizeBytes: {
                serializedName: "properties.maxSizeBytes",
                type: {
                    name: "Number"
                }
            }, collation: {
                defaultValue: "",
                serializedName: "properties.collation",
                type: {
                    name: "String"
                }
            }, sourceDatabaseId: {
                serializedName: "properties.sourceDatabaseId",
                type: {
                    name: "String"
                }
            }, recoverableDatabaseId: {
                serializedName: "properties.recoverableDatabaseId",
                type: {
                    name: "String"
                }
            }, provisioningState: {
                serializedName: "properties.provisioningState",
                type: {
                    name: "String"
                }
            }, status: {
                serializedName: "properties.status",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, restorePointInTime: {
                serializedName: "properties.restorePointInTime",
                type: {
                    name: "DateTime"
                }
            }, createMode: {
                serializedName: "properties.createMode",
                type: {
                    name: "String"
                }
            }, creationDate: {
                serializedName: "properties.creationDate",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, storageAccountType: {
                defaultValue: "GRS",
                serializedName: "properties.storageAccountType",
                type: {
                    name: "String"
                }
            }, sourceDatabaseDeletionDate: {
                serializedName: "properties.sourceDatabaseDeletionDate",
                type: {
                    name: "DateTime"
                }
            } })
    }
};
export const Workspace = {
    type: {
        name: "Composite",
        className: "Workspace",
        modelProperties: Object.assign(Object.assign({}, TrackedResource.type.modelProperties), { identity: {
                serializedName: "identity",
                type: {
                    name: "Composite",
                    className: "ManagedIdentity"
                }
            }, defaultDataLakeStorage: {
                serializedName: "properties.defaultDataLakeStorage",
                type: {
                    name: "Composite",
                    className: "DataLakeStorageAccountDetails"
                }
            }, sqlAdministratorLoginPassword: {
                serializedName: "properties.sqlAdministratorLoginPassword",
                type: {
                    name: "String"
                }
            }, managedResourceGroupName: {
                serializedName: "properties.managedResourceGroupName",
                type: {
                    name: "String"
                }
            }, provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, sqlAdministratorLogin: {
                serializedName: "properties.sqlAdministratorLogin",
                type: {
                    name: "String"
                }
            }, virtualNetworkProfile: {
                serializedName: "properties.virtualNetworkProfile",
                type: {
                    name: "Composite",
                    className: "VirtualNetworkProfile"
                }
            }, connectivityEndpoints: {
                serializedName: "properties.connectivityEndpoints",
                type: {
                    name: "Dictionary",
                    value: { type: { name: "String" } }
                }
            }, managedVirtualNetwork: {
                serializedName: "properties.managedVirtualNetwork",
                type: {
                    name: "String"
                }
            }, privateEndpointConnections: {
                serializedName: "properties.privateEndpointConnections",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "PrivateEndpointConnection"
                        }
                    }
                }
            }, encryption: {
                serializedName: "properties.encryption",
                type: {
                    name: "Composite",
                    className: "EncryptionDetails"
                }
            }, workspaceUID: {
                serializedName: "properties.workspaceUID",
                readOnly: true,
                type: {
                    name: "Uuid"
                }
            }, extraProperties: {
                serializedName: "properties.extraProperties",
                readOnly: true,
                type: {
                    name: "Dictionary",
                    value: {
                        type: { name: "Dictionary", value: { type: { name: "any" } } }
                    }
                }
            }, managedVirtualNetworkSettings: {
                serializedName: "properties.managedVirtualNetworkSettings",
                type: {
                    name: "Composite",
                    className: "ManagedVirtualNetworkSettings"
                }
            }, workspaceRepositoryConfiguration: {
                serializedName: "properties.workspaceRepositoryConfiguration",
                type: {
                    name: "Composite",
                    className: "WorkspaceRepositoryConfiguration"
                }
            }, purviewConfiguration: {
                serializedName: "properties.purviewConfiguration",
                type: {
                    name: "Composite",
                    className: "PurviewConfiguration"
                }
            }, adlaResourceId: {
                serializedName: "properties.adlaResourceId",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, publicNetworkAccess: {
                serializedName: "properties.publicNetworkAccess",
                type: {
                    name: "String"
                }
            }, cspWorkspaceAdminProperties: {
                serializedName: "properties.cspWorkspaceAdminProperties",
                type: {
                    name: "Composite",
                    className: "CspWorkspaceAdminProperties"
                }
            }, settings: {
                serializedName: "properties.settings",
                readOnly: true,
                type: {
                    name: "Dictionary",
                    value: {
                        type: { name: "Dictionary", value: { type: { name: "any" } } }
                    }
                }
            }, azureADOnlyAuthentication: {
                serializedName: "properties.azureADOnlyAuthentication",
                type: {
                    name: "Boolean"
                }
            }, trustedServiceBypassEnabled: {
                defaultValue: false,
                serializedName: "properties.trustedServiceBypassEnabled",
                type: {
                    name: "Boolean"
                }
            } })
    }
};
export const BigDataPoolResourceInfo = {
    type: {
        name: "Composite",
        className: "BigDataPoolResourceInfo",
        modelProperties: Object.assign(Object.assign({}, TrackedResource.type.modelProperties), { provisioningState: {
                serializedName: "properties.provisioningState",
                type: {
                    name: "String"
                }
            }, autoScale: {
                serializedName: "properties.autoScale",
                type: {
                    name: "Composite",
                    className: "AutoScaleProperties"
                }
            }, creationDate: {
                serializedName: "properties.creationDate",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            }, autoPause: {
                serializedName: "properties.autoPause",
                type: {
                    name: "Composite",
                    className: "AutoPauseProperties"
                }
            }, isComputeIsolationEnabled: {
                serializedName: "properties.isComputeIsolationEnabled",
                type: {
                    name: "Boolean"
                }
            }, sessionLevelPackagesEnabled: {
                serializedName: "properties.sessionLevelPackagesEnabled",
                type: {
                    name: "Boolean"
                }
            }, cacheSize: {
                serializedName: "properties.cacheSize",
                type: {
                    name: "Number"
                }
            }, dynamicExecutorAllocation: {
                serializedName: "properties.dynamicExecutorAllocation",
                type: {
                    name: "Composite",
                    className: "DynamicExecutorAllocation"
                }
            }, sparkEventsFolder: {
                serializedName: "properties.sparkEventsFolder",
                type: {
                    name: "String"
                }
            }, nodeCount: {
                serializedName: "properties.nodeCount",
                type: {
                    name: "Number"
                }
            }, libraryRequirements: {
                serializedName: "properties.libraryRequirements",
                type: {
                    name: "Composite",
                    className: "LibraryRequirements"
                }
            }, customLibraries: {
                serializedName: "properties.customLibraries",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "Composite",
                            className: "LibraryInfo"
                        }
                    }
                }
            }, sparkConfigProperties: {
                serializedName: "properties.sparkConfigProperties",
                type: {
                    name: "Composite",
                    className: "SparkConfigProperties"
                }
            }, sparkVersion: {
                serializedName: "properties.sparkVersion",
                type: {
                    name: "String"
                }
            }, defaultSparkLogFolder: {
                serializedName: "properties.defaultSparkLogFolder",
                type: {
                    name: "String"
                }
            }, nodeSize: {
                serializedName: "properties.nodeSize",
                type: {
                    name: "String"
                }
            }, nodeSizeFamily: {
                serializedName: "properties.nodeSizeFamily",
                type: {
                    name: "String"
                }
            }, lastSucceededTimestamp: {
                serializedName: "properties.lastSucceededTimestamp",
                readOnly: true,
                type: {
                    name: "DateTime"
                }
            } })
    }
};
export const KustoPool = {
    type: {
        name: "Composite",
        className: "KustoPool",
        modelProperties: Object.assign(Object.assign({}, TrackedResource.type.modelProperties), { sku: {
                serializedName: "sku",
                type: {
                    name: "Composite",
                    className: "AzureSku"
                }
            }, etag: {
                serializedName: "etag",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, systemData: {
                serializedName: "systemData",
                type: {
                    name: "Composite",
                    className: "SystemData"
                }
            }, state: {
                serializedName: "properties.state",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, uri: {
                serializedName: "properties.uri",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, dataIngestionUri: {
                serializedName: "properties.dataIngestionUri",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, stateReason: {
                serializedName: "properties.stateReason",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, optimizedAutoscale: {
                serializedName: "properties.optimizedAutoscale",
                type: {
                    name: "Composite",
                    className: "OptimizedAutoscale"
                }
            }, enableStreamingIngest: {
                defaultValue: false,
                serializedName: "properties.enableStreamingIngest",
                type: {
                    name: "Boolean"
                }
            }, enablePurge: {
                defaultValue: false,
                serializedName: "properties.enablePurge",
                type: {
                    name: "Boolean"
                }
            }, languageExtensions: {
                serializedName: "properties.languageExtensions",
                type: {
                    name: "Composite",
                    className: "LanguageExtensionsList"
                }
            }, workspaceUID: {
                serializedName: "properties.workspaceUID",
                type: {
                    name: "String"
                }
            } })
    }
};
export const SubResource = {
    type: {
        name: "Composite",
        className: "SubResource",
        modelProperties: Object.assign({}, AzureEntityResource.type.modelProperties)
    }
};
export const ReadWriteDatabase = {
    serializedName: "ReadWrite",
    type: {
        name: "Composite",
        className: "ReadWriteDatabase",
        uberParent: "Resource",
        polymorphicDiscriminator: Resource.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, Database.type.modelProperties), { provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, softDeletePeriod: {
                serializedName: "properties.softDeletePeriod",
                type: {
                    name: "TimeSpan"
                }
            }, hotCachePeriod: {
                serializedName: "properties.hotCachePeriod",
                type: {
                    name: "TimeSpan"
                }
            }, statistics: {
                serializedName: "properties.statistics",
                type: {
                    name: "Composite",
                    className: "DatabaseStatistics"
                }
            }, isFollowed: {
                serializedName: "properties.isFollowed",
                readOnly: true,
                type: {
                    name: "Boolean"
                }
            } })
    }
};
export const ReadOnlyFollowingDatabase = {
    serializedName: "ReadOnlyFollowing",
    type: {
        name: "Composite",
        className: "ReadOnlyFollowingDatabase",
        uberParent: "Resource",
        polymorphicDiscriminator: Resource.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, Database.type.modelProperties), { provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, softDeletePeriod: {
                serializedName: "properties.softDeletePeriod",
                readOnly: true,
                type: {
                    name: "TimeSpan"
                }
            }, hotCachePeriod: {
                serializedName: "properties.hotCachePeriod",
                type: {
                    name: "TimeSpan"
                }
            }, statistics: {
                serializedName: "properties.statistics",
                type: {
                    name: "Composite",
                    className: "DatabaseStatistics"
                }
            }, leaderClusterResourceId: {
                serializedName: "properties.leaderClusterResourceId",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, attachedDatabaseConfigurationName: {
                serializedName: "properties.attachedDatabaseConfigurationName",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, principalsModificationKind: {
                serializedName: "properties.principalsModificationKind",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const EventHubDataConnection = {
    serializedName: "EventHub",
    type: {
        name: "Composite",
        className: "EventHubDataConnection",
        uberParent: "Resource",
        polymorphicDiscriminator: Resource.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, DataConnection.type.modelProperties), { eventHubResourceId: {
                serializedName: "properties.eventHubResourceId",
                type: {
                    name: "String"
                }
            }, consumerGroup: {
                serializedName: "properties.consumerGroup",
                type: {
                    name: "String"
                }
            }, tableName: {
                serializedName: "properties.tableName",
                type: {
                    name: "String"
                }
            }, mappingRuleName: {
                serializedName: "properties.mappingRuleName",
                type: {
                    name: "String"
                }
            }, dataFormat: {
                serializedName: "properties.dataFormat",
                type: {
                    name: "String"
                }
            }, eventSystemProperties: {
                serializedName: "properties.eventSystemProperties",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, compression: {
                serializedName: "properties.compression",
                type: {
                    name: "String"
                }
            }, provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, managedIdentityResourceId: {
                serializedName: "properties.managedIdentityResourceId",
                type: {
                    name: "String"
                }
            } })
    }
};
export const IotHubDataConnection = {
    serializedName: "IotHub",
    type: {
        name: "Composite",
        className: "IotHubDataConnection",
        uberParent: "Resource",
        polymorphicDiscriminator: Resource.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, DataConnection.type.modelProperties), { iotHubResourceId: {
                serializedName: "properties.iotHubResourceId",
                type: {
                    name: "String"
                }
            }, consumerGroup: {
                serializedName: "properties.consumerGroup",
                type: {
                    name: "String"
                }
            }, tableName: {
                serializedName: "properties.tableName",
                type: {
                    name: "String"
                }
            }, mappingRuleName: {
                serializedName: "properties.mappingRuleName",
                type: {
                    name: "String"
                }
            }, dataFormat: {
                serializedName: "properties.dataFormat",
                type: {
                    name: "String"
                }
            }, eventSystemProperties: {
                serializedName: "properties.eventSystemProperties",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, sharedAccessPolicyName: {
                serializedName: "properties.sharedAccessPolicyName",
                type: {
                    name: "String"
                }
            }, provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const EventGridDataConnection = {
    serializedName: "EventGrid",
    type: {
        name: "Composite",
        className: "EventGridDataConnection",
        uberParent: "Resource",
        polymorphicDiscriminator: Resource.type.polymorphicDiscriminator,
        modelProperties: Object.assign(Object.assign({}, DataConnection.type.modelProperties), { storageAccountResourceId: {
                serializedName: "properties.storageAccountResourceId",
                type: {
                    name: "String"
                }
            }, eventHubResourceId: {
                serializedName: "properties.eventHubResourceId",
                type: {
                    name: "String"
                }
            }, consumerGroup: {
                serializedName: "properties.consumerGroup",
                type: {
                    name: "String"
                }
            }, tableName: {
                serializedName: "properties.tableName",
                type: {
                    name: "String"
                }
            }, mappingRuleName: {
                serializedName: "properties.mappingRuleName",
                type: {
                    name: "String"
                }
            }, dataFormat: {
                serializedName: "properties.dataFormat",
                type: {
                    name: "String"
                }
            }, ignoreFirstRecord: {
                serializedName: "properties.ignoreFirstRecord",
                type: {
                    name: "Boolean"
                }
            }, blobStorageEventType: {
                serializedName: "properties.blobStorageEventType",
                type: {
                    name: "String"
                }
            }, provisioningState: {
                serializedName: "properties.provisioningState",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const LibraryResource = {
    type: {
        name: "Composite",
        className: "LibraryResource",
        modelProperties: Object.assign(Object.assign({}, SubResource.type.modelProperties), { namePropertiesName: {
                serializedName: "properties.name",
                type: {
                    name: "String"
                }
            }, path: {
                serializedName: "properties.path",
                type: {
                    name: "String"
                }
            }, containerName: {
                serializedName: "properties.containerName",
                type: {
                    name: "String"
                }
            }, uploadedTimestamp: {
                serializedName: "properties.uploadedTimestamp",
                type: {
                    name: "DateTime"
                }
            }, typePropertiesType: {
                serializedName: "properties.type",
                type: {
                    name: "String"
                }
            }, provisioningStatus: {
                serializedName: "properties.provisioningStatus",
                readOnly: true,
                type: {
                    name: "String"
                }
            }, creatorId: {
                serializedName: "properties.creatorId",
                readOnly: true,
                type: {
                    name: "String"
                }
            } })
    }
};
export const IntegrationRuntimeResource = {
    type: {
        name: "Composite",
        className: "IntegrationRuntimeResource",
        modelProperties: Object.assign(Object.assign({}, SubResource.type.modelProperties), { properties: {
                serializedName: "properties",
                type: {
                    name: "Composite",
                    className: "IntegrationRuntime"
                }
            } })
    }
};
export const SparkConfigurationResource = {
    type: {
        name: "Composite",
        className: "SparkConfigurationResource",
        modelProperties: Object.assign(Object.assign({}, SubResource.type.modelProperties), { description: {
                serializedName: "properties.description",
                type: {
                    name: "String"
                }
            }, configs: {
                serializedName: "properties.configs",
                required: true,
                type: {
                    name: "Dictionary",
                    value: { type: { name: "String" } }
                }
            }, annotations: {
                serializedName: "properties.annotations",
                type: {
                    name: "Sequence",
                    element: {
                        type: {
                            name: "String"
                        }
                    }
                }
            }, notes: {
                serializedName: "properties.notes",
                type: {
                    name: "String"
                }
            }, createdBy: {
                serializedName: "properties.createdBy",
                type: {
                    name: "String"
                }
            }, created: {
                serializedName: "properties.created",
                type: {
                    name: "DateTime"
                }
            } })
    }
};
export let discriminators = {
    IntegrationRuntime: IntegrationRuntime,
    SsisObjectMetadata: SsisObjectMetadata,
    IntegrationRuntimeStatus: IntegrationRuntimeStatus,
    SecretBase: SecretBase,
    CustomSetupBase: CustomSetupBase,
    LinkedIntegrationRuntimeType: LinkedIntegrationRuntimeType,
    "IntegrationRuntime.Managed": ManagedIntegrationRuntime,
    "IntegrationRuntime.SelfHosted": SelfHostedIntegrationRuntime,
    "SsisObjectMetadata.Folder": SsisFolder,
    "SsisObjectMetadata.Project": SsisProject,
    "SsisObjectMetadata.Package": SsisPackage,
    "SsisObjectMetadata.Environment": SsisEnvironment,
    "IntegrationRuntimeStatus.Managed": ManagedIntegrationRuntimeStatus,
    "IntegrationRuntimeStatus.SelfHosted": SelfHostedIntegrationRuntimeStatus,
    "SecretBase.SecureString": SecureString,
    "CustomSetupBase.CmdkeySetup": CmdkeySetup,
    "CustomSetupBase.EnvironmentVariableSetup": EnvironmentVariableSetup,
    "CustomSetupBase.ComponentSetup": ComponentSetup,
    "LinkedIntegrationRuntimeType.Key": LinkedIntegrationRuntimeKeyAuthorization,
    "LinkedIntegrationRuntimeType.RBAC": LinkedIntegrationRuntimeRbacAuthorization,
    "Resource.Database": Database,
    "Resource.DataConnection": DataConnection,
    "Resource.ReadWrite": ReadWriteDatabase,
    "Resource.ReadOnlyFollowing": ReadOnlyFollowingDatabase,
    "Resource.EventHub": EventHubDataConnection,
    "Resource.IotHub": IotHubDataConnection,
    "Resource.EventGrid": EventGridDataConnection
};
//# sourceMappingURL=mappers.js.map