import { IntegrationRuntimeConnectionInfos } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { IntegrationRuntimeConnectionInfosGetOptionalParams, IntegrationRuntimeConnectionInfosGetResponse } from "../models";
/** Class containing IntegrationRuntimeConnectionInfos operations. */
export declare class IntegrationRuntimeConnectionInfosImpl implements IntegrationRuntimeConnectionInfos {
    private readonly client;
    /**
     * Initialize a new instance of the class IntegrationRuntimeConnectionInfos class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * Get connection info for an integration runtime
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param integrationRuntimeName Integration runtime name
     * @param options The options parameters.
     */
    get(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimeConnectionInfosGetOptionalParams): Promise<IntegrationRuntimeConnectionInfosGetResponse>;
}
//# sourceMappingURL=integrationRuntimeConnectionInfos.d.ts.map