import { IntegrationRuntimeMonitoringDataOperations } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { IntegrationRuntimeMonitoringDataListOptionalParams, IntegrationRuntimeMonitoringDataListResponse } from "../models";
/** Class containing IntegrationRuntimeMonitoringDataOperations operations. */
export declare class IntegrationRuntimeMonitoringDataOperationsImpl implements IntegrationRuntimeMonitoringDataOperations {
    private readonly client;
    /**
     * Initialize a new instance of the class IntegrationRuntimeMonitoringDataOperations class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * Get monitoring data for an integration runtime
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param integrationRuntimeName Integration runtime name
     * @param options The options parameters.
     */
    list(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimeMonitoringDataListOptionalParams): Promise<IntegrationRuntimeMonitoringDataListResponse>;
}
//# sourceMappingURL=integrationRuntimeMonitoringDataOperations.d.ts.map