import { IntegrationRuntimeStatusOperations } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { IntegrationRuntimeStatusGetOptionalParams, IntegrationRuntimeStatusGetResponse } from "../models";
/** Class containing IntegrationRuntimeStatusOperations operations. */
export declare class IntegrationRuntimeStatusOperationsImpl implements IntegrationRuntimeStatusOperations {
    private readonly client;
    /**
     * Initialize a new instance of the class IntegrationRuntimeStatusOperations class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * Get the integration runtime status
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param integrationRuntimeName Integration runtime name
     * @param options The options parameters.
     */
    get(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimeStatusGetOptionalParams): Promise<IntegrationRuntimeStatusGetResponse>;
}
//# sourceMappingURL=integrationRuntimeStatusOperations.d.ts.map