import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { KustoOperations } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { Operation, KustoOperationsListOptionalParams } from "../models";
/** Class containing KustoOperations operations. */
export declare class KustoOperationsImpl implements KustoOperations {
    private readonly client;
    /**
     * Initialize a new instance of the class KustoOperations class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * Lists available operations for the Kusto sub-resources inside Microsoft.Synapse provider.
     * @param options The options parameters.
     */
    list(options?: KustoOperationsListOptionalParams): PagedAsyncIterableIterator<Operation>;
    private listPagingPage;
    private listPagingAll;
    /**
     * Lists available operations for the Kusto sub-resources inside Microsoft.Synapse provider.
     * @param options The options parameters.
     */
    private _list;
    /**
     * ListNext
     * @param nextLink The nextLink from the previous successful call to the List method.
     * @param options The options parameters.
     */
    private _listNext;
}
//# sourceMappingURL=kustoOperations.d.ts.map