import { Library } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { LibraryGetOptionalParams, LibraryGetResponse } from "../models";
/** Class containing Library operations. */
export declare class LibraryImpl implements Library {
    private readonly client;
    /**
     * Initialize a new instance of the class Library class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * Get library by name in a workspace.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param libraryName Library name
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    get(resourceGroupName: string, libraryName: string, workspaceName: string, options?: LibraryGetOptionalParams): Promise<LibraryGetResponse>;
}
//# sourceMappingURL=library.d.ts.map