import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { PrivateLinkHubPrivateLinkResources } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { PrivateLinkResource, PrivateLinkHubPrivateLinkResourcesListOptionalParams, PrivateLinkHubPrivateLinkResourcesGetOptionalParams, PrivateLinkHubPrivateLinkResourcesGetResponse } from "../models";
/** Class containing PrivateLinkHubPrivateLinkResources operations. */
export declare class PrivateLinkHubPrivateLinkResourcesImpl implements PrivateLinkHubPrivateLinkResources {
    private readonly client;
    /**
     * Initialize a new instance of the class PrivateLinkHubPrivateLinkResources class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * Get all private link resources for a private link hub
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param privateLinkHubName The name of the private link hub
     * @param options The options parameters.
     */
    list(resourceGroupName: string, privateLinkHubName: string, options?: PrivateLinkHubPrivateLinkResourcesListOptionalParams): PagedAsyncIterableIterator<PrivateLinkResource>;
    private listPagingPage;
    private listPagingAll;
    /**
     * Get all private link resources for a private link hub
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param privateLinkHubName The name of the private link hub
     * @param options The options parameters.
     */
    private _list;
    /**
     * Get private link resource in private link hub
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param privateLinkHubName The name of the private link hub
     * @param privateLinkResourceName The name of the private link resource
     * @param options The options parameters.
     */
    get(resourceGroupName: string, privateLinkHubName: string, privateLinkResourceName: string, options?: PrivateLinkHubPrivateLinkResourcesGetOptionalParams): Promise<PrivateLinkHubPrivateLinkResourcesGetResponse>;
    /**
     * ListNext
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param privateLinkHubName The name of the private link hub
     * @param nextLink The nextLink from the previous successful call to the List method.
     * @param options The options parameters.
     */
    private _listNext;
}
//# sourceMappingURL=privateLinkHubPrivateLinkResources.d.ts.map