import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { RestorableDroppedSqlPools } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { RestorableDroppedSqlPool, RestorableDroppedSqlPoolsListByWorkspaceOptionalParams, RestorableDroppedSqlPoolsGetOptionalParams, RestorableDroppedSqlPoolsGetResponse } from "../models";
/** Class containing RestorableDroppedSqlPools operations. */
export declare class RestorableDroppedSqlPoolsImpl implements RestorableDroppedSqlPools {
    private readonly client;
    /**
     * Initialize a new instance of the class RestorableDroppedSqlPools class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * Gets a list of deleted Sql pools that can be restored
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: RestorableDroppedSqlPoolsListByWorkspaceOptionalParams): PagedAsyncIterableIterator<RestorableDroppedSqlPool>;
    private listByWorkspacePagingPage;
    private listByWorkspacePagingAll;
    /**
     * Gets a deleted sql pool that can be restored
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param restorableDroppedSqlPoolId The id of the deleted Sql Pool in the form of
     *                                   sqlPoolName,deletionTimeInFileTimeFormat
     * @param options The options parameters.
     */
    get(resourceGroupName: string, workspaceName: string, restorableDroppedSqlPoolId: string, options?: RestorableDroppedSqlPoolsGetOptionalParams): Promise<RestorableDroppedSqlPoolsGetResponse>;
    /**
     * Gets a list of deleted Sql pools that can be restored
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    private _listByWorkspace;
}
//# sourceMappingURL=restorableDroppedSqlPools.d.ts.map