import { SparkConfiguration } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { SparkConfigurationGetOptionalParams, SparkConfigurationGetResponse } from "../models";
/** Class containing SparkConfiguration operations. */
export declare class SparkConfigurationImpl implements SparkConfiguration {
    private readonly client;
    /**
     * Initialize a new instance of the class SparkConfiguration class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * Get SparkConfiguration by name in a workspace.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param sparkConfigurationName SparkConfiguration name
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    get(resourceGroupName: string, sparkConfigurationName: string, workspaceName: string, options?: SparkConfigurationGetOptionalParams): Promise<SparkConfigurationGetResponse>;
}
//# sourceMappingURL=sparkConfiguration.d.ts.map