import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { SparkConfigurations } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { SparkConfigurationResource, SparkConfigurationsListByWorkspaceOptionalParams } from "../models";
/** Class containing SparkConfigurations operations. */
export declare class SparkConfigurationsImpl implements SparkConfigurations {
    private readonly client;
    /**
     * Initialize a new instance of the class SparkConfigurations class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * List sparkConfigurations in a workspace.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: SparkConfigurationsListByWorkspaceOptionalParams): PagedAsyncIterableIterator<SparkConfigurationResource>;
    private listByWorkspacePagingPage;
    private listByWorkspacePagingAll;
    /**
     * List sparkConfigurations in a workspace.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    private _listByWorkspace;
    /**
     * ListByWorkspaceNext
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param nextLink The nextLink from the previous successful call to the ListByWorkspace method.
     * @param options The options parameters.
     */
    private _listByWorkspaceNext;
}
//# sourceMappingURL=sparkConfigurations.d.ts.map