import { SqlPoolMetadataSyncConfigs } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { SqlPoolMetadataSyncConfigsGetOptionalParams, SqlPoolMetadataSyncConfigsGetResponse, MetadataSyncConfig, SqlPoolMetadataSyncConfigsCreateOptionalParams, SqlPoolMetadataSyncConfigsCreateResponse } from "../models";
/** Class containing SqlPoolMetadataSyncConfigs operations. */
export declare class SqlPoolMetadataSyncConfigsImpl implements SqlPoolMetadataSyncConfigs {
    private readonly client;
    /**
     * Initialize a new instance of the class SqlPoolMetadataSyncConfigs class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * Get the metadata sync configuration for a SQL pool
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param sqlPoolName SQL pool name
     * @param options The options parameters.
     */
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolMetadataSyncConfigsGetOptionalParams): Promise<SqlPoolMetadataSyncConfigsGetResponse>;
    /**
     * Set the metadata sync configuration for a SQL pool
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param sqlPoolName SQL pool name
     * @param metadataSyncConfiguration Metadata sync configuration
     * @param options The options parameters.
     */
    create(resourceGroupName: string, workspaceName: string, sqlPoolName: string, metadataSyncConfiguration: MetadataSyncConfig, options?: SqlPoolMetadataSyncConfigsCreateOptionalParams): Promise<SqlPoolMetadataSyncConfigsCreateResponse>;
}
//# sourceMappingURL=sqlPoolMetadataSyncConfigs.d.ts.map