import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { SqlPoolUsages } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { SqlPoolUsage, SqlPoolUsagesListOptionalParams } from "../models";
/** Class containing SqlPoolUsages operations. */
export declare class SqlPoolUsagesImpl implements SqlPoolUsages {
    private readonly client;
    /**
     * Initialize a new instance of the class SqlPoolUsages class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * Gets SQL pool usages.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param sqlPoolName SQL pool name
     * @param options The options parameters.
     */
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolUsagesListOptionalParams): PagedAsyncIterableIterator<SqlPoolUsage>;
    private listPagingPage;
    private listPagingAll;
    /**
     * Gets SQL pool usages.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param sqlPoolName SQL pool name
     * @param options The options parameters.
     */
    private _list;
    /**
     * ListNext
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param sqlPoolName SQL pool name
     * @param nextLink The nextLink from the previous successful call to the List method.
     * @param options The options parameters.
     */
    private _listNext;
}
//# sourceMappingURL=sqlPoolUsages.d.ts.map