import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { WorkspaceManagedSqlServerRecoverableSqlPools } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { RecoverableSqlPool, WorkspaceManagedSqlServerRecoverableSqlPoolsListOptionalParams, WorkspaceManagedSqlServerRecoverableSqlPoolsGetOptionalParams, WorkspaceManagedSqlServerRecoverableSqlPoolsGetResponse } from "../models";
/** Class containing WorkspaceManagedSqlServerRecoverableSqlPools operations. */
export declare class WorkspaceManagedSqlServerRecoverableSqlPoolsImpl implements WorkspaceManagedSqlServerRecoverableSqlPools {
    private readonly client;
    /**
     * Initialize a new instance of the class WorkspaceManagedSqlServerRecoverableSqlPools class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * Get list of recoverable sql pools for workspace managed sql server.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    list(resourceGroupName: string, workspaceName: string, options?: WorkspaceManagedSqlServerRecoverableSqlPoolsListOptionalParams): PagedAsyncIterableIterator<RecoverableSqlPool>;
    private listPagingPage;
    private listPagingAll;
    /**
     * Get list of recoverable sql pools for workspace managed sql server.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    private _list;
    /**
     * Get recoverable sql pools for workspace managed sql server.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param sqlPoolName The name of the sql pool
     * @param options The options parameters.
     */
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: WorkspaceManagedSqlServerRecoverableSqlPoolsGetOptionalParams): Promise<WorkspaceManagedSqlServerRecoverableSqlPoolsGetResponse>;
    /**
     * ListNext
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param nextLink The nextLink from the previous successful call to the List method.
     * @param options The options parameters.
     */
    private _listNext;
}
//# sourceMappingURL=workspaceManagedSqlServerRecoverableSqlPools.d.ts.map