import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { WorkspaceManagedSqlServerUsages } from "../operationsInterfaces";
import { SynapseManagementClient } from "../synapseManagementClient";
import { ServerUsage, WorkspaceManagedSqlServerUsagesListOptionalParams } from "../models";
/** Class containing WorkspaceManagedSqlServerUsages operations. */
export declare class WorkspaceManagedSqlServerUsagesImpl implements WorkspaceManagedSqlServerUsages {
    private readonly client;
    /**
     * Initialize a new instance of the class WorkspaceManagedSqlServerUsages class.
     * @param client Reference to the service client
     */
    constructor(client: SynapseManagementClient);
    /**
     * Get list of server usages metric for workspace managed sql server.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    list(resourceGroupName: string, workspaceName: string, options?: WorkspaceManagedSqlServerUsagesListOptionalParams): PagedAsyncIterableIterator<ServerUsage>;
    private listPagingPage;
    private listPagingAll;
    /**
     * Get list of server usages metric for workspace managed sql server.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    private _list;
    /**
     * ListNext
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param nextLink The nextLink from the previous successful call to the List method.
     * @param options The options parameters.
     */
    private _listNext;
}
//# sourceMappingURL=workspaceManagedSqlServerUsages.d.ts.map