import { IntegrationRuntimeCredentialsSyncOptionalParams } from "../models";
/** Interface representing a IntegrationRuntimeCredentials. */
export interface IntegrationRuntimeCredentials {
    /**
     * Force the integration runtime to synchronize credentials across integration runtime nodes, and this
     * will override the credentials across all worker nodes with those available on the dispatcher node.
     * If you already have the latest credential backup file, you should manually import it (preferred) on
     * any self-hosted integration runtime node than using this API directly.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param integrationRuntimeName Integration runtime name
     * @param options The options parameters.
     */
    sync(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimeCredentialsSyncOptionalParams): Promise<void>;
}
//# sourceMappingURL=integrationRuntimeCredentials.d.ts.map