import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { LibraryResource, LibrariesListByWorkspaceOptionalParams } from "../models";
/** Interface representing a Libraries. */
export interface Libraries {
    /**
     * List libraries in a workspace.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: LibrariesListByWorkspaceOptionalParams): PagedAsyncIterableIterator<LibraryResource>;
}
//# sourceMappingURL=libraries.d.ts.map