import { LibraryGetOptionalParams, LibraryGetResponse } from "../models";
/** Interface representing a Library. */
export interface Library {
    /**
     * Get library by name in a workspace.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param libraryName Library name
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    get(resourceGroupName: string, libraryName: string, workspaceName: string, options?: LibraryGetOptionalParams): Promise<LibraryGetResponse>;
}
//# sourceMappingURL=library.d.ts.map