import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { PrivateLinkResource, PrivateLinkResourcesListOptionalParams, PrivateLinkResourcesGetOptionalParams, PrivateLinkResourcesGetResponse } from "../models";
/** Interface representing a PrivateLinkResources. */
export interface PrivateLinkResources {
    /**
     * Get all private link resources for a workspaces
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    list(resourceGroupName: string, workspaceName: string, options?: PrivateLinkResourcesListOptionalParams): PagedAsyncIterableIterator<PrivateLinkResource>;
    /**
     * Get private link resource in workspace
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param privateLinkResourceName The name of the private link resource
     * @param options The options parameters.
     */
    get(resourceGroupName: string, workspaceName: string, privateLinkResourceName: string, options?: PrivateLinkResourcesGetOptionalParams): Promise<PrivateLinkResourcesGetResponse>;
}
//# sourceMappingURL=privateLinkResources.d.ts.map