import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { SparkConfigurationResource, SparkConfigurationsListByWorkspaceOptionalParams } from "../models";
/** Interface representing a SparkConfigurations. */
export interface SparkConfigurations {
    /**
     * List sparkConfigurations in a workspace.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: SparkConfigurationsListByWorkspaceOptionalParams): PagedAsyncIterableIterator<SparkConfigurationResource>;
}
//# sourceMappingURL=sparkConfigurations.d.ts.map