import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { SqlPoolColumn, SqlPoolTableColumnsListByTableNameOptionalParams } from "../models";
/** Interface representing a SqlPoolTableColumns. */
export interface SqlPoolTableColumns {
    /**
     * Gets columns in a given table in a SQL pool.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param sqlPoolName SQL pool name
     * @param schemaName The name of the schema.
     * @param tableName The name of the table.
     * @param options The options parameters.
     */
    listByTableName(resourceGroupName: string, workspaceName: string, sqlPoolName: string, schemaName: string, tableName: string, options?: SqlPoolTableColumnsListByTableNameOptionalParams): PagedAsyncIterableIterator<SqlPoolColumn>;
}
//# sourceMappingURL=sqlPoolTableColumns.d.ts.map