import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { RecoverableSqlPool, WorkspaceManagedSqlServerRecoverableSqlPoolsListOptionalParams, WorkspaceManagedSqlServerRecoverableSqlPoolsGetOptionalParams, WorkspaceManagedSqlServerRecoverableSqlPoolsGetResponse } from "../models";
/** Interface representing a WorkspaceManagedSqlServerRecoverableSqlPools. */
export interface WorkspaceManagedSqlServerRecoverableSqlPools {
    /**
     * Get list of recoverable sql pools for workspace managed sql server.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    list(resourceGroupName: string, workspaceName: string, options?: WorkspaceManagedSqlServerRecoverableSqlPoolsListOptionalParams): PagedAsyncIterableIterator<RecoverableSqlPool>;
    /**
     * Get recoverable sql pools for workspace managed sql server.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param sqlPoolName The name of the sql pool
     * @param options The options parameters.
     */
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: WorkspaceManagedSqlServerRecoverableSqlPoolsGetOptionalParams): Promise<WorkspaceManagedSqlServerRecoverableSqlPoolsGetResponse>;
}
//# sourceMappingURL=workspaceManagedSqlServerRecoverableSqlPools.d.ts.map