import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { ServerUsage, WorkspaceManagedSqlServerUsagesListOptionalParams } from "../models";
/** Interface representing a WorkspaceManagedSqlServerUsages. */
export interface WorkspaceManagedSqlServerUsages {
    /**
     * Get list of server usages metric for workspace managed sql server.
     * @param resourceGroupName The name of the resource group. The name is case insensitive.
     * @param workspaceName The name of the workspace.
     * @param options The options parameters.
     */
    list(resourceGroupName: string, workspaceName: string, options?: WorkspaceManagedSqlServerUsagesListOptionalParams): PagedAsyncIterableIterator<ServerUsage>;
}
//# sourceMappingURL=workspaceManagedSqlServerUsages.d.ts.map