import * as coreClient from "@azure/core-client";
import * as coreAuth from "@azure/core-auth";
import { AzureADOnlyAuthentications, Operations, IpFirewallRules, Keys, PrivateEndpointConnections, PrivateLinkResources, PrivateLinkHubPrivateLinkResources, PrivateLinkHubs, PrivateEndpointConnectionsPrivateLinkHub, SqlPools, SqlPoolMetadataSyncConfigs, SqlPoolOperationResults, SqlPoolGeoBackupPolicies, SqlPoolDataWarehouseUserActivities, SqlPoolRestorePoints, SqlPoolReplicationLinks, SqlPoolMaintenanceWindows, SqlPoolMaintenanceWindowOptions, SqlPoolTransparentDataEncryptions, SqlPoolBlobAuditingPolicies, SqlPoolOperations, SqlPoolUsages, SqlPoolSensitivityLabels, SqlPoolRecommendedSensitivityLabels, SqlPoolSchemas, SqlPoolTables, SqlPoolTableColumns, SqlPoolConnectionPolicies, SqlPoolVulnerabilityAssessments, SqlPoolVulnerabilityAssessmentScans, SqlPoolSecurityAlertPolicies, SqlPoolVulnerabilityAssessmentRuleBaselines, ExtendedSqlPoolBlobAuditingPolicies, DataMaskingPolicies, DataMaskingRules, SqlPoolColumns, SqlPoolWorkloadGroup, SqlPoolWorkloadClassifier, WorkspaceManagedSqlServerBlobAuditingPolicies, WorkspaceManagedSqlServerExtendedBlobAuditingPolicies, WorkspaceManagedSqlServerSecurityAlertPolicy, WorkspaceManagedSqlServerVulnerabilityAssessments, WorkspaceManagedSqlServerEncryptionProtector, WorkspaceManagedSqlServerUsages, WorkspaceManagedSqlServerRecoverableSqlPools, Workspaces, WorkspaceAadAdmins, WorkspaceSqlAadAdmins, WorkspaceManagedIdentitySqlControlSettings, RestorableDroppedSqlPools, BigDataPools, Library, Libraries, IntegrationRuntimes, IntegrationRuntimeNodeIpAddressOperations, IntegrationRuntimeObjectMetadata, IntegrationRuntimeNodes, IntegrationRuntimeCredentials, IntegrationRuntimeConnectionInfos, IntegrationRuntimeAuthKeysOperations, IntegrationRuntimeMonitoringDataOperations, IntegrationRuntimeStatusOperations, SparkConfiguration, SparkConfigurations, KustoOperations, KustoPools, KustoPoolChildResource, KustoPoolAttachedDatabaseConfigurations, KustoPoolDatabases, KustoPoolDataConnections, KustoPoolPrincipalAssignments, KustoPoolDatabasePrincipalAssignments } from "./operationsInterfaces";
import { SynapseManagementClientOptionalParams } from "./models";
export declare class SynapseManagementClient extends coreClient.ServiceClient {
    $host: string;
    subscriptionId: string;
    /**
     * Initializes a new instance of the SynapseManagementClient class.
     * @param credentials Subscription credentials which uniquely identify client subscription.
     * @param subscriptionId The ID of the target subscription.
     * @param options The parameter options
     */
    constructor(credentials: coreAuth.TokenCredential, subscriptionId: string, options?: SynapseManagementClientOptionalParams);
    azureADOnlyAuthentications: AzureADOnlyAuthentications;
    operations: Operations;
    ipFirewallRules: IpFirewallRules;
    keys: Keys;
    privateEndpointConnections: PrivateEndpointConnections;
    privateLinkResources: PrivateLinkResources;
    privateLinkHubPrivateLinkResources: PrivateLinkHubPrivateLinkResources;
    privateLinkHubs: PrivateLinkHubs;
    privateEndpointConnectionsPrivateLinkHub: PrivateEndpointConnectionsPrivateLinkHub;
    sqlPools: SqlPools;
    sqlPoolMetadataSyncConfigs: SqlPoolMetadataSyncConfigs;
    sqlPoolOperationResults: SqlPoolOperationResults;
    sqlPoolGeoBackupPolicies: SqlPoolGeoBackupPolicies;
    sqlPoolDataWarehouseUserActivities: SqlPoolDataWarehouseUserActivities;
    sqlPoolRestorePoints: SqlPoolRestorePoints;
    sqlPoolReplicationLinks: SqlPoolReplicationLinks;
    sqlPoolMaintenanceWindows: SqlPoolMaintenanceWindows;
    sqlPoolMaintenanceWindowOptions: SqlPoolMaintenanceWindowOptions;
    sqlPoolTransparentDataEncryptions: SqlPoolTransparentDataEncryptions;
    sqlPoolBlobAuditingPolicies: SqlPoolBlobAuditingPolicies;
    sqlPoolOperations: SqlPoolOperations;
    sqlPoolUsages: SqlPoolUsages;
    sqlPoolSensitivityLabels: SqlPoolSensitivityLabels;
    sqlPoolRecommendedSensitivityLabels: SqlPoolRecommendedSensitivityLabels;
    sqlPoolSchemas: SqlPoolSchemas;
    sqlPoolTables: SqlPoolTables;
    sqlPoolTableColumns: SqlPoolTableColumns;
    sqlPoolConnectionPolicies: SqlPoolConnectionPolicies;
    sqlPoolVulnerabilityAssessments: SqlPoolVulnerabilityAssessments;
    sqlPoolVulnerabilityAssessmentScans: SqlPoolVulnerabilityAssessmentScans;
    sqlPoolSecurityAlertPolicies: SqlPoolSecurityAlertPolicies;
    sqlPoolVulnerabilityAssessmentRuleBaselines: SqlPoolVulnerabilityAssessmentRuleBaselines;
    extendedSqlPoolBlobAuditingPolicies: ExtendedSqlPoolBlobAuditingPolicies;
    dataMaskingPolicies: DataMaskingPolicies;
    dataMaskingRules: DataMaskingRules;
    sqlPoolColumns: SqlPoolColumns;
    sqlPoolWorkloadGroup: SqlPoolWorkloadGroup;
    sqlPoolWorkloadClassifier: SqlPoolWorkloadClassifier;
    workspaceManagedSqlServerBlobAuditingPolicies: WorkspaceManagedSqlServerBlobAuditingPolicies;
    workspaceManagedSqlServerExtendedBlobAuditingPolicies: WorkspaceManagedSqlServerExtendedBlobAuditingPolicies;
    workspaceManagedSqlServerSecurityAlertPolicy: WorkspaceManagedSqlServerSecurityAlertPolicy;
    workspaceManagedSqlServerVulnerabilityAssessments: WorkspaceManagedSqlServerVulnerabilityAssessments;
    workspaceManagedSqlServerEncryptionProtector: WorkspaceManagedSqlServerEncryptionProtector;
    workspaceManagedSqlServerUsages: WorkspaceManagedSqlServerUsages;
    workspaceManagedSqlServerRecoverableSqlPools: WorkspaceManagedSqlServerRecoverableSqlPools;
    workspaces: Workspaces;
    workspaceAadAdmins: WorkspaceAadAdmins;
    workspaceSqlAadAdmins: WorkspaceSqlAadAdmins;
    workspaceManagedIdentitySqlControlSettings: WorkspaceManagedIdentitySqlControlSettings;
    restorableDroppedSqlPools: RestorableDroppedSqlPools;
    bigDataPools: BigDataPools;
    library: Library;
    libraries: Libraries;
    integrationRuntimes: IntegrationRuntimes;
    integrationRuntimeNodeIpAddressOperations: IntegrationRuntimeNodeIpAddressOperations;
    integrationRuntimeObjectMetadata: IntegrationRuntimeObjectMetadata;
    integrationRuntimeNodes: IntegrationRuntimeNodes;
    integrationRuntimeCredentials: IntegrationRuntimeCredentials;
    integrationRuntimeConnectionInfos: IntegrationRuntimeConnectionInfos;
    integrationRuntimeAuthKeysOperations: IntegrationRuntimeAuthKeysOperations;
    integrationRuntimeMonitoringDataOperations: IntegrationRuntimeMonitoringDataOperations;
    integrationRuntimeStatusOperations: IntegrationRuntimeStatusOperations;
    sparkConfiguration: SparkConfiguration;
    sparkConfigurations: SparkConfigurations;
    kustoOperations: KustoOperations;
    kustoPools: KustoPools;
    kustoPoolChildResource: KustoPoolChildResource;
    kustoPoolAttachedDatabaseConfigurations: KustoPoolAttachedDatabaseConfigurations;
    kustoPoolDatabases: KustoPoolDatabases;
    kustoPoolDataConnections: KustoPoolDataConnections;
    kustoPoolPrincipalAssignments: KustoPoolPrincipalAssignments;
    kustoPoolDatabasePrincipalAssignments: KustoPoolDatabasePrincipalAssignments;
}
//# sourceMappingURL=synapseManagementClient.d.ts.map