## API Report File for "@azure/arm-synapse"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import * as coreAuth from '@azure/core-auth';
import * as coreClient from '@azure/core-client';
import { PagedAsyncIterableIterator } from '@azure/core-paging';
import { PollerLike } from '@azure/core-lro';
import { PollOperationState } from '@azure/core-lro';

// @public
export type AttachedDatabaseConfiguration = ProxyResource & {
    location?: string;
    readonly systemData?: SystemData;
    readonly provisioningState?: ResourceProvisioningState;
    databaseName?: string;
    kustoPoolResourceId?: string;
    readonly attachedDatabaseNames?: string[];
    defaultPrincipalsModificationKind?: DefaultPrincipalsModificationKind;
    tableLevelSharingProperties?: TableLevelSharingProperties;
};

// @public
export interface AttachedDatabaseConfigurationListResult {
    value?: AttachedDatabaseConfiguration[];
}

// @public
export interface AutoPauseProperties {
    delayInMinutes?: number;
    enabled?: boolean;
}

// @public
export interface AutoScaleProperties {
    enabled?: boolean;
    maxNodeCount?: number;
    minNodeCount?: number;
}

// @public
export interface AvailableRpOperation {
    display?: AvailableRpOperationDisplayInfo;
    isDataAction?: string;
    name?: string;
    origin?: string;
    serviceSpecification?: OperationMetaServiceSpecification;
}

// @public
export interface AvailableRpOperationDisplayInfo {
    description?: string;
    operation?: string;
    provider?: string;
    resource?: string;
}

// @public
export type AzureADOnlyAuthentication = ProxyResource & {
    azureADOnlyAuthentication?: boolean;
    readonly state?: StateValue;
    readonly creationDate?: Date;
};

// @public
export interface AzureADOnlyAuthenticationListResult {
    readonly nextLink?: string;
    readonly value?: AzureADOnlyAuthentication[];
}

// @public
export type AzureADOnlyAuthenticationName = string;

// @public
export interface AzureADOnlyAuthentications {
    beginCreate(resourceGroupName: string, workspaceName: string, azureADOnlyAuthenticationName: AzureADOnlyAuthenticationName, azureADOnlyAuthenticationInfo: AzureADOnlyAuthentication, options?: AzureADOnlyAuthenticationsCreateOptionalParams): Promise<PollerLike<PollOperationState<AzureADOnlyAuthenticationsCreateResponse>, AzureADOnlyAuthenticationsCreateResponse>>;
    beginCreateAndWait(resourceGroupName: string, workspaceName: string, azureADOnlyAuthenticationName: AzureADOnlyAuthenticationName, azureADOnlyAuthenticationInfo: AzureADOnlyAuthentication, options?: AzureADOnlyAuthenticationsCreateOptionalParams): Promise<AzureADOnlyAuthenticationsCreateResponse>;
    get(resourceGroupName: string, workspaceName: string, azureADOnlyAuthenticationName: AzureADOnlyAuthenticationName, options?: AzureADOnlyAuthenticationsGetOptionalParams): Promise<AzureADOnlyAuthenticationsGetResponse>;
    list(resourceGroupName: string, workspaceName: string, options?: AzureADOnlyAuthenticationsListOptionalParams): PagedAsyncIterableIterator<AzureADOnlyAuthentication>;
}

// @public
export interface AzureADOnlyAuthenticationsCreateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type AzureADOnlyAuthenticationsCreateResponse = AzureADOnlyAuthentication;

// @public
export interface AzureADOnlyAuthenticationsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type AzureADOnlyAuthenticationsGetResponse = AzureADOnlyAuthentication;

// @public
export interface AzureADOnlyAuthenticationsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type AzureADOnlyAuthenticationsListNextResponse = AzureADOnlyAuthenticationListResult;

// @public
export interface AzureADOnlyAuthenticationsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type AzureADOnlyAuthenticationsListResponse = AzureADOnlyAuthenticationListResult;

// @public
export interface AzureCapacity {
    default: number;
    maximum: number;
    minimum: number;
    scaleType: AzureScaleType;
}

// @public
export type AzureEntityResource = Resource & {
    readonly etag?: string;
};

// @public
export interface AzureResourceSku {
    capacity?: AzureCapacity;
    resourceType?: string;
    sku?: AzureSku;
}

// @public
export type AzureScaleType = string;

// @public
export interface AzureSku {
    capacity?: number;
    name: SkuName;
    size: SkuSize;
}

// @public
export interface BigDataPoolPatchInfo {
    tags?: {
        [propertyName: string]: string;
    };
}

// @public
export type BigDataPoolResourceInfo = TrackedResource & {
    provisioningState?: string;
    autoScale?: AutoScaleProperties;
    readonly creationDate?: Date;
    autoPause?: AutoPauseProperties;
    isComputeIsolationEnabled?: boolean;
    sessionLevelPackagesEnabled?: boolean;
    cacheSize?: number;
    dynamicExecutorAllocation?: DynamicExecutorAllocation;
    sparkEventsFolder?: string;
    nodeCount?: number;
    libraryRequirements?: LibraryRequirements;
    customLibraries?: LibraryInfo[];
    sparkConfigProperties?: SparkConfigProperties;
    sparkVersion?: string;
    defaultSparkLogFolder?: string;
    nodeSize?: NodeSize;
    nodeSizeFamily?: NodeSizeFamily;
    readonly lastSucceededTimestamp?: Date;
};

// @public
export interface BigDataPoolResourceInfoListResult {
    nextLink?: string;
    value?: BigDataPoolResourceInfo[];
}

// @public
export interface BigDataPools {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, bigDataPoolName: string, bigDataPoolInfo: BigDataPoolResourceInfo, options?: BigDataPoolsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<BigDataPoolsCreateOrUpdateResponse>, BigDataPoolsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, bigDataPoolName: string, bigDataPoolInfo: BigDataPoolResourceInfo, options?: BigDataPoolsCreateOrUpdateOptionalParams): Promise<BigDataPoolsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, workspaceName: string, bigDataPoolName: string, options?: BigDataPoolsDeleteOptionalParams): Promise<PollerLike<PollOperationState<BigDataPoolsDeleteResponse>, BigDataPoolsDeleteResponse>>;
    beginDeleteAndWait(resourceGroupName: string, workspaceName: string, bigDataPoolName: string, options?: BigDataPoolsDeleteOptionalParams): Promise<BigDataPoolsDeleteResponse>;
    get(resourceGroupName: string, workspaceName: string, bigDataPoolName: string, options?: BigDataPoolsGetOptionalParams): Promise<BigDataPoolsGetResponse>;
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: BigDataPoolsListByWorkspaceOptionalParams): PagedAsyncIterableIterator<BigDataPoolResourceInfo>;
    update(resourceGroupName: string, workspaceName: string, bigDataPoolName: string, bigDataPoolPatchInfo: BigDataPoolPatchInfo, options?: BigDataPoolsUpdateOptionalParams): Promise<BigDataPoolsUpdateResponse>;
}

// @public
export interface BigDataPoolsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    force?: boolean;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type BigDataPoolsCreateOrUpdateResponse = BigDataPoolResourceInfo;

// @public
export interface BigDataPoolsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type BigDataPoolsDeleteResponse = Record<string, unknown>;

// @public
export interface BigDataPoolsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type BigDataPoolsGetResponse = BigDataPoolResourceInfo;

// @public
export interface BigDataPoolsListByWorkspaceNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type BigDataPoolsListByWorkspaceNextResponse = BigDataPoolResourceInfoListResult;

// @public
export interface BigDataPoolsListByWorkspaceOptionalParams extends coreClient.OperationOptions {
}

// @public
export type BigDataPoolsListByWorkspaceResponse = BigDataPoolResourceInfoListResult;

// @public
export interface BigDataPoolsUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type BigDataPoolsUpdateResponse = BigDataPoolResourceInfo;

// @public
export type BlobAuditingPolicyName = string;

// @public
export type BlobAuditingPolicyState = "Enabled" | "Disabled";

// @public
export type BlobStorageEventType = string;

// @public
export interface CheckNameAvailabilityRequest {
    name?: string;
    type?: string;
}

// @public
export interface CheckNameAvailabilityResponse {
    available?: boolean;
    message?: string;
    name?: string;
    reason?: string;
}

// @public
export interface CheckNameResult {
    message?: string;
    name?: string;
    nameAvailable?: boolean;
    reason?: Reason;
}

// @public
export type ClusterPrincipalAssignment = ProxyResource & {
    readonly systemData?: SystemData;
    principalId?: string;
    role?: ClusterPrincipalRole;
    tenantId?: string;
    principalType?: PrincipalType;
    readonly tenantName?: string;
    readonly principalName?: string;
    readonly provisioningState?: ResourceProvisioningState;
};

// @public
export interface ClusterPrincipalAssignmentCheckNameRequest {
    name: string;
    type: "Microsoft.Synapse/workspaces/kustoPools/principalAssignments";
}

// @public
export interface ClusterPrincipalAssignmentListResult {
    value?: ClusterPrincipalAssignment[];
}

// @public
export type ClusterPrincipalRole = string;

// @public
export type CmdkeySetup = CustomSetupBase & {
    type: "CmdkeySetup";
    targetName: Record<string, unknown>;
    userName: Record<string, unknown>;
    password: SecretBaseUnion;
};

// @public
export type ColumnDataType = string;

// @public
export type ComponentSetup = CustomSetupBase & {
    type: "ComponentSetup";
    componentName: string;
    licenseKey?: SecretBaseUnion;
};

// @public
export type Compression = string;

// @public
export type ConfigurationType = string;

// @public
export type ConnectionPolicyName = string;

// @public
export type CreatedByType = string;

// @public
export type CreateMode = string;

// @public
export interface CreateSqlPoolRestorePointDefinition {
    restorePointLabel: string;
}

// @public
export interface CspWorkspaceAdminProperties {
    initialWorkspaceAdminObjectId?: string;
}

// @public
export interface CustomerManagedKeyDetails {
    kekIdentity?: KekIdentityProperties;
    key?: WorkspaceKeyDetails;
    readonly status?: string;
}

// @public
export interface CustomSetupBase {
    type: "CmdkeySetup" | "EnvironmentVariableSetup" | "ComponentSetup";
}

// @public (undocumented)
export type CustomSetupBaseUnion = CustomSetupBase | CmdkeySetup | EnvironmentVariableSetup | ComponentSetup;

// @public
export type Database = ProxyResource & {
    location?: string;
    kind: Kind;
    readonly systemData?: SystemData;
};

// @public
export interface DatabaseCheckNameRequest {
    name: string;
    type: Type;
}

// @public
export interface DatabaseListResult {
    value?: DatabaseUnion[];
}

// @public
export type DatabasePrincipalAssignment = ProxyResource & {
    readonly systemData?: SystemData;
    principalId?: string;
    role?: DatabasePrincipalRole;
    tenantId?: string;
    principalType?: PrincipalType;
    readonly tenantName?: string;
    readonly principalName?: string;
    readonly provisioningState?: ResourceProvisioningState;
};

// @public
export interface DatabasePrincipalAssignmentCheckNameRequest {
    name: string;
    type: "Microsoft.Synapse/workspaces/kustoPools/databases/principalAssignments";
}

// @public
export interface DatabasePrincipalAssignmentListResult {
    value?: DatabasePrincipalAssignment[];
}

// @public
export type DatabasePrincipalRole = string;

// @public
export interface DatabaseStatistics {
    size?: number;
}

// @public (undocumented)
export type DatabaseUnion = Database | ReadWriteDatabase | ReadOnlyFollowingDatabase;

// @public
export type DataConnection = ProxyResource & {
    location?: string;
    kind: DataConnectionKind;
    readonly systemData?: SystemData;
};

// @public
export interface DataConnectionCheckNameRequest {
    name: string;
    type: "Microsoft.Synapse/workspaces/kustoPools/databases/dataConnections";
}

// @public
export type DataConnectionKind = string;

// @public
export interface DataConnectionListResult {
    value?: DataConnectionUnion[];
}

// @public (undocumented)
export type DataConnectionUnion = DataConnection | EventHubDataConnection | IotHubDataConnection | EventGridDataConnection;

// @public
export interface DataConnectionValidation {
    dataConnectionName?: string;
    properties?: DataConnectionUnion;
}

// @public
export interface DataConnectionValidationListResult {
    value?: DataConnectionValidationResult[];
}

// @public
export interface DataConnectionValidationResult {
    errorMessage?: string;
}

// @public
export type DataFlowComputeType = string;

// @public
export interface DataLakeStorageAccountDetails {
    accountUrl?: string;
    createManagedPrivateEndpoint?: boolean;
    filesystem?: string;
    resourceId?: string;
}

// @public
export type DataMaskingFunction = "Default" | "CCN" | "Email" | "Number" | "SSN" | "Text";

// @public
export interface DataMaskingPolicies {
    createOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, parameters: DataMaskingPolicy, options?: DataMaskingPoliciesCreateOrUpdateOptionalParams): Promise<DataMaskingPoliciesCreateOrUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: DataMaskingPoliciesGetOptionalParams): Promise<DataMaskingPoliciesGetResponse>;
}

// @public
export interface DataMaskingPoliciesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DataMaskingPoliciesCreateOrUpdateResponse = DataMaskingPolicy;

// @public
export interface DataMaskingPoliciesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DataMaskingPoliciesGetResponse = DataMaskingPolicy;

// @public (undocumented)
export type DataMaskingPolicy = ProxyResource & {
    readonly location?: string;
    readonly kind?: string;
    readonly managedBy?: string;
    dataMaskingState?: DataMaskingState;
    exemptPrincipals?: string;
    readonly applicationPrincipals?: string;
    readonly maskingLevel?: string;
};

// @public
export type DataMaskingRule = ProxyResource & {
    readonly location?: string;
    readonly kind?: string;
    readonly idPropertiesId?: string;
    aliasName?: string;
    ruleState?: DataMaskingRuleState;
    schemaName?: string;
    tableName?: string;
    columnName?: string;
    maskingFunction?: DataMaskingFunction;
    numberFrom?: string;
    numberTo?: string;
    prefixSize?: string;
    suffixSize?: string;
    replacementString?: string;
};

// @public
export interface DataMaskingRuleListResult {
    value?: DataMaskingRule[];
}

// @public
export interface DataMaskingRules {
    createOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, dataMaskingRuleName: string, parameters: DataMaskingRule, options?: DataMaskingRulesCreateOrUpdateOptionalParams): Promise<DataMaskingRulesCreateOrUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, dataMaskingRuleName: string, options?: DataMaskingRulesGetOptionalParams): Promise<DataMaskingRulesGetResponse>;
    listBySqlPool(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: DataMaskingRulesListBySqlPoolOptionalParams): PagedAsyncIterableIterator<DataMaskingRule>;
}

// @public
export interface DataMaskingRulesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DataMaskingRulesCreateOrUpdateResponse = DataMaskingRule;

// @public
export interface DataMaskingRulesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DataMaskingRulesGetResponse = DataMaskingRule;

// @public
export interface DataMaskingRulesListBySqlPoolOptionalParams extends coreClient.OperationOptions {
}

// @public
export type DataMaskingRulesListBySqlPoolResponse = DataMaskingRuleListResult;

// @public
export type DataMaskingRuleState = "Disabled" | "Enabled";

// @public
export type DataMaskingState = "Disabled" | "Enabled";

// @public
export type DataWarehouseUserActivities = ProxyResource & {
    readonly activeQueriesCount?: number;
};

// @public
export type DataWarehouseUserActivityName = string;

// @public
export type DayOfWeek = string;

// @public
export type DefaultPrincipalsModificationKind = string;

// @public
export interface DynamicExecutorAllocation {
    enabled?: boolean;
    maxExecutors?: number;
    minExecutors?: number;
}

// @public
export interface EncryptionDetails {
    cmk?: CustomerManagedKeyDetails;
    readonly doubleEncryptionEnabled?: boolean;
}

// @public
export type EncryptionProtector = ProxyResource & {
    readonly kind?: string;
    readonly location?: string;
    readonly subregion?: string;
    serverKeyName?: string;
    serverKeyType?: ServerKeyType;
    readonly uri?: string;
    readonly thumbprint?: string;
};

// @public
export interface EncryptionProtectorListResult {
    readonly nextLink?: string;
    readonly value?: EncryptionProtector[];
}

// @public
export type EncryptionProtectorName = string;

// @public
export interface EntityReference {
    referenceName?: string;
    type?: IntegrationRuntimeEntityReferenceType;
}

// @public
export type EnvironmentVariableSetup = CustomSetupBase & {
    type: "EnvironmentVariableSetup";
    variableName: string;
    variableValue: string;
};

// @public
export interface ErrorAdditionalInfo {
    readonly info?: Record<string, unknown>;
    readonly type?: string;
}

// @public
export interface ErrorDetail {
    readonly additionalInfo?: ErrorAdditionalInfo[];
    readonly code?: string;
    readonly details?: ErrorDetail[];
    readonly message?: string;
    readonly target?: string;
}

// @public
export interface ErrorResponse {
    error?: ErrorDetail;
}

// @public
export type EventGridDataConnection = DataConnection & {
    storageAccountResourceId?: string;
    eventHubResourceId?: string;
    consumerGroup?: string;
    tableName?: string;
    mappingRuleName?: string;
    dataFormat?: EventGridDataFormat;
    ignoreFirstRecord?: boolean;
    blobStorageEventType?: BlobStorageEventType;
    readonly provisioningState?: ResourceProvisioningState;
};

// @public
export type EventGridDataFormat = string;

// @public
export type EventHubDataConnection = DataConnection & {
    eventHubResourceId?: string;
    consumerGroup?: string;
    tableName?: string;
    mappingRuleName?: string;
    dataFormat?: EventHubDataFormat;
    eventSystemProperties?: string[];
    compression?: Compression;
    readonly provisioningState?: ResourceProvisioningState;
    managedIdentityResourceId?: string;
};

// @public
export type EventHubDataFormat = string;

// @public
export type ExtendedServerBlobAuditingPolicy = ProxyResource & {
    predicateExpression?: string;
    state?: BlobAuditingPolicyState;
    storageEndpoint?: string;
    storageAccountAccessKey?: string;
    retentionDays?: number;
    auditActionsAndGroups?: string[];
    storageAccountSubscriptionId?: string;
    isStorageSecondaryKeyInUse?: boolean;
    isAzureMonitorTargetEnabled?: boolean;
    queueDelayMs?: number;
    isDevopsAuditEnabled?: boolean;
};

// @public
export interface ExtendedServerBlobAuditingPolicyListResult {
    readonly nextLink?: string;
    readonly value?: ExtendedServerBlobAuditingPolicy[];
}

// @public
export interface ExtendedSqlPoolBlobAuditingPolicies {
    createOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, parameters: ExtendedSqlPoolBlobAuditingPolicy, options?: ExtendedSqlPoolBlobAuditingPoliciesCreateOrUpdateOptionalParams): Promise<ExtendedSqlPoolBlobAuditingPoliciesCreateOrUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: ExtendedSqlPoolBlobAuditingPoliciesGetOptionalParams): Promise<ExtendedSqlPoolBlobAuditingPoliciesGetResponse>;
    listBySqlPool(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: ExtendedSqlPoolBlobAuditingPoliciesListBySqlPoolOptionalParams): PagedAsyncIterableIterator<ExtendedSqlPoolBlobAuditingPolicy>;
}

// @public
export interface ExtendedSqlPoolBlobAuditingPoliciesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ExtendedSqlPoolBlobAuditingPoliciesCreateOrUpdateResponse = ExtendedSqlPoolBlobAuditingPolicy;

// @public
export interface ExtendedSqlPoolBlobAuditingPoliciesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ExtendedSqlPoolBlobAuditingPoliciesGetResponse = ExtendedSqlPoolBlobAuditingPolicy;

// @public
export interface ExtendedSqlPoolBlobAuditingPoliciesListBySqlPoolNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ExtendedSqlPoolBlobAuditingPoliciesListBySqlPoolNextResponse = ExtendedSqlPoolBlobAuditingPolicyListResult;

// @public
export interface ExtendedSqlPoolBlobAuditingPoliciesListBySqlPoolOptionalParams extends coreClient.OperationOptions {
}

// @public
export type ExtendedSqlPoolBlobAuditingPoliciesListBySqlPoolResponse = ExtendedSqlPoolBlobAuditingPolicyListResult;

// @public
export type ExtendedSqlPoolBlobAuditingPolicy = ProxyResource & {
    predicateExpression?: string;
    state?: BlobAuditingPolicyState;
    storageEndpoint?: string;
    storageAccountAccessKey?: string;
    retentionDays?: number;
    auditActionsAndGroups?: string[];
    storageAccountSubscriptionId?: string;
    isStorageSecondaryKeyInUse?: boolean;
    isAzureMonitorTargetEnabled?: boolean;
    queueDelayMs?: number;
};

// @public
export interface ExtendedSqlPoolBlobAuditingPolicyListResult {
    readonly nextLink?: string;
    readonly value?: ExtendedSqlPoolBlobAuditingPolicy[];
}

// @public
export interface FollowerDatabaseDefinition {
    attachedDatabaseConfigurationName: string;
    readonly databaseName?: string;
    kustoPoolResourceId: string;
}

// @public
export interface FollowerDatabaseListResult {
    value?: FollowerDatabaseDefinition[];
}

// @public
export type GeoBackupPolicy = ProxyResource & {
    readonly kind?: string;
    readonly location?: string;
    state: GeoBackupPolicyState;
    readonly storageType?: string;
};

// @public
export interface GeoBackupPolicyListResult {
    value?: GeoBackupPolicy[];
}

// @public
export type GeoBackupPolicyName = string;

// @public
export type GeoBackupPolicyState = "Disabled" | "Enabled";

// @public
export interface GetSsisObjectMetadataRequest {
    metadataPath?: string;
}

// @public
export interface IntegrationRuntime {
    [property: string]: any;
    description?: string;
    type: "Managed" | "SelfHosted";
}

// @public
export type IntegrationRuntimeAuthKeyName = string;

// @public
export interface IntegrationRuntimeAuthKeys {
    authKey1?: string;
    authKey2?: string;
}

// @public
export interface IntegrationRuntimeAuthKeysListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimeAuthKeysListResponse = IntegrationRuntimeAuthKeys;

// @public
export interface IntegrationRuntimeAuthKeysOperations {
    list(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimeAuthKeysListOptionalParams): Promise<IntegrationRuntimeAuthKeysListResponse>;
    regenerate(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, regenerateKeyParameters: IntegrationRuntimeRegenerateKeyParameters, options?: IntegrationRuntimeAuthKeysRegenerateOptionalParams): Promise<IntegrationRuntimeAuthKeysRegenerateResponse>;
}

// @public
export interface IntegrationRuntimeAuthKeysRegenerateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimeAuthKeysRegenerateResponse = IntegrationRuntimeAuthKeys;

// @public
export type IntegrationRuntimeAutoUpdate = string;

// @public
export interface IntegrationRuntimeComputeProperties {
    [property: string]: any;
    dataFlowProperties?: IntegrationRuntimeDataFlowProperties;
    location?: string;
    maxParallelExecutionsPerNode?: number;
    nodeSize?: string;
    numberOfNodes?: number;
    vNetProperties?: IntegrationRuntimeVNetProperties;
}

// @public
export interface IntegrationRuntimeConnectionInfo {
    [property: string]: any;
    readonly hostServiceUri?: string;
    readonly identityCertThumbprint?: string;
    readonly isIdentityCertExprired?: boolean;
    readonly publicKey?: string;
    readonly serviceToken?: string;
    readonly version?: string;
}

// @public
export interface IntegrationRuntimeConnectionInfos {
    get(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimeConnectionInfosGetOptionalParams): Promise<IntegrationRuntimeConnectionInfosGetResponse>;
}

// @public
export interface IntegrationRuntimeConnectionInfosGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimeConnectionInfosGetResponse = IntegrationRuntimeConnectionInfo;

// @public
export interface IntegrationRuntimeCredentials {
    sync(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimeCredentialsSyncOptionalParams): Promise<void>;
}

// @public
export interface IntegrationRuntimeCredentialsSyncOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface IntegrationRuntimeCustomSetupScriptProperties {
    blobContainerUri?: string;
    sasToken?: SecureString;
}

// @public
export interface IntegrationRuntimeDataFlowProperties {
    [property: string]: any;
    cleanup?: boolean;
    computeType?: DataFlowComputeType;
    coreCount?: number;
    timeToLive?: number;
}

// @public
export interface IntegrationRuntimeDataProxyProperties {
    connectVia?: EntityReference;
    path?: string;
    stagingLinkedService?: EntityReference;
}

// @public
export type IntegrationRuntimeEdition = string;

// @public
export type IntegrationRuntimeEntityReferenceType = string;

// @public
export type IntegrationRuntimeInternalChannelEncryptionMode = string;

// @public
export type IntegrationRuntimeLicenseType = string;

// @public
export interface IntegrationRuntimeListResponse {
    nextLink?: string;
    value: IntegrationRuntimeResource[];
}

// @public
export interface IntegrationRuntimeMonitoringData {
    name?: string;
    nodes?: IntegrationRuntimeNodeMonitoringData[];
}

// @public
export interface IntegrationRuntimeMonitoringDataListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimeMonitoringDataListResponse = IntegrationRuntimeMonitoringData;

// @public
export interface IntegrationRuntimeMonitoringDataOperations {
    list(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimeMonitoringDataListOptionalParams): Promise<IntegrationRuntimeMonitoringDataListResponse>;
}

// @public
export interface IntegrationRuntimeNodeIpAddress {
    readonly ipAddress?: string;
}

// @public
export interface IntegrationRuntimeNodeIpAddressGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimeNodeIpAddressGetResponse = IntegrationRuntimeNodeIpAddress;

// @public
export interface IntegrationRuntimeNodeIpAddressOperations {
    get(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, nodeName: string, options?: IntegrationRuntimeNodeIpAddressGetOptionalParams): Promise<IntegrationRuntimeNodeIpAddressGetResponse>;
}

// @public
export interface IntegrationRuntimeNodeMonitoringData {
    [property: string]: any;
    readonly availableMemoryInMB?: number;
    readonly concurrentJobsLimit?: number;
    readonly concurrentJobsRunning?: number;
    readonly cpuUtilization?: number;
    readonly maxConcurrentJobs?: number;
    readonly nodeName?: string;
    readonly receivedBytes?: number;
    readonly sentBytes?: number;
}

// @public
export interface IntegrationRuntimeNodes {
    delete(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, nodeName: string, options?: IntegrationRuntimeNodesDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, nodeName: string, options?: IntegrationRuntimeNodesGetOptionalParams): Promise<IntegrationRuntimeNodesGetResponse>;
    update(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, nodeName: string, updateIntegrationRuntimeNodeRequest: UpdateIntegrationRuntimeNodeRequest, options?: IntegrationRuntimeNodesUpdateOptionalParams): Promise<IntegrationRuntimeNodesUpdateResponse>;
}

// @public
export interface IntegrationRuntimeNodesDeleteOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface IntegrationRuntimeNodesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimeNodesGetResponse = SelfHostedIntegrationRuntimeNode;

// @public
export interface IntegrationRuntimeNodesUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimeNodesUpdateResponse = SelfHostedIntegrationRuntimeNode;

// @public
export interface IntegrationRuntimeObjectMetadata {
    beginRefresh(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimeObjectMetadataRefreshOptionalParams): Promise<PollerLike<PollOperationState<IntegrationRuntimeObjectMetadataRefreshResponse>, IntegrationRuntimeObjectMetadataRefreshResponse>>;
    beginRefreshAndWait(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimeObjectMetadataRefreshOptionalParams): Promise<IntegrationRuntimeObjectMetadataRefreshResponse>;
    list(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimeObjectMetadataListOptionalParams): Promise<IntegrationRuntimeObjectMetadataListResponse>;
}

// @public
export interface IntegrationRuntimeObjectMetadataListOptionalParams extends coreClient.OperationOptions {
    getMetadataRequest?: GetSsisObjectMetadataRequest;
}

// @public
export type IntegrationRuntimeObjectMetadataListResponse = SsisObjectMetadataListResponse;

// @public
export interface IntegrationRuntimeObjectMetadataRefreshOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type IntegrationRuntimeObjectMetadataRefreshResponse = SsisObjectMetadataStatusResponse;

// @public
export interface IntegrationRuntimeOutboundNetworkDependenciesCategoryEndpoint {
    category?: string;
    endpoints?: IntegrationRuntimeOutboundNetworkDependenciesEndpoint[];
}

// @public
export interface IntegrationRuntimeOutboundNetworkDependenciesEndpoint {
    domainName?: string;
    endpointDetails?: IntegrationRuntimeOutboundNetworkDependenciesEndpointDetails[];
}

// @public
export interface IntegrationRuntimeOutboundNetworkDependenciesEndpointDetails {
    port?: number;
}

// @public
export interface IntegrationRuntimeOutboundNetworkDependenciesEndpointsResponse {
    value?: IntegrationRuntimeOutboundNetworkDependenciesCategoryEndpoint[];
}

// @public
export interface IntegrationRuntimeRegenerateKeyParameters {
    keyName?: IntegrationRuntimeAuthKeyName;
}

// @public
export type IntegrationRuntimeResource = SubResource & {
    properties: IntegrationRuntimeUnion;
};

// @public
export interface IntegrationRuntimes {
    beginCreate(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, integrationRuntime: IntegrationRuntimeResource, options?: IntegrationRuntimesCreateOptionalParams): Promise<PollerLike<PollOperationState<IntegrationRuntimesCreateResponse>, IntegrationRuntimesCreateResponse>>;
    beginCreateAndWait(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, integrationRuntime: IntegrationRuntimeResource, options?: IntegrationRuntimesCreateOptionalParams): Promise<IntegrationRuntimesCreateResponse>;
    beginDelete(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesDeleteOptionalParams): Promise<void>;
    beginDisableInteractiveQuery(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesDisableInteractiveQueryOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDisableInteractiveQueryAndWait(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesDisableInteractiveQueryOptionalParams): Promise<void>;
    beginEnableInteractiveQuery(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesEnableInteractiveQueryOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginEnableInteractiveQueryAndWait(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesEnableInteractiveQueryOptionalParams): Promise<void>;
    beginStart(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesStartOptionalParams): Promise<PollerLike<PollOperationState<IntegrationRuntimesStartResponse>, IntegrationRuntimesStartResponse>>;
    beginStartAndWait(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesStartOptionalParams): Promise<IntegrationRuntimesStartResponse>;
    beginStop(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesStopOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginStopAndWait(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesStopOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesGetOptionalParams): Promise<IntegrationRuntimesGetResponse>;
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: IntegrationRuntimesListByWorkspaceOptionalParams): PagedAsyncIterableIterator<IntegrationRuntimeResource>;
    listOutboundNetworkDependenciesEndpoints(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesListOutboundNetworkDependenciesEndpointsOptionalParams): Promise<IntegrationRuntimesListOutboundNetworkDependenciesEndpointsResponse>;
    update(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, updateIntegrationRuntimeRequest: UpdateIntegrationRuntimeRequest, options?: IntegrationRuntimesUpdateOptionalParams): Promise<IntegrationRuntimesUpdateResponse>;
    upgrade(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimesUpgradeOptionalParams): Promise<void>;
}

// @public
export interface IntegrationRuntimesCreateOptionalParams extends coreClient.OperationOptions {
    ifMatch?: string;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type IntegrationRuntimesCreateResponse = IntegrationRuntimeResource;

// @public
export interface IntegrationRuntimesDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface IntegrationRuntimesDisableInteractiveQueryOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface IntegrationRuntimesEnableInteractiveQueryOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface IntegrationRuntimesGetOptionalParams extends coreClient.OperationOptions {
    ifNoneMatch?: string;
}

// @public
export type IntegrationRuntimesGetResponse = IntegrationRuntimeResource;

// @public
export interface IntegrationRuntimesListByWorkspaceNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimesListByWorkspaceNextResponse = IntegrationRuntimeListResponse;

// @public
export interface IntegrationRuntimesListByWorkspaceOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimesListByWorkspaceResponse = IntegrationRuntimeListResponse;

// @public
export interface IntegrationRuntimesListOutboundNetworkDependenciesEndpointsOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimesListOutboundNetworkDependenciesEndpointsResponse = IntegrationRuntimeOutboundNetworkDependenciesEndpointsResponse;

// @public
export interface IntegrationRuntimeSsisCatalogInfo {
    [property: string]: any;
    catalogAdminPassword?: SecureString;
    catalogAdminUserName?: string;
    catalogPricingTier?: IntegrationRuntimeSsisCatalogPricingTier;
    catalogServerEndpoint?: string;
}

// @public
export type IntegrationRuntimeSsisCatalogPricingTier = string;

// @public
export interface IntegrationRuntimeSsisProperties {
    [property: string]: any;
    catalogInfo?: IntegrationRuntimeSsisCatalogInfo;
    customSetupScriptProperties?: IntegrationRuntimeCustomSetupScriptProperties;
    dataProxyProperties?: IntegrationRuntimeDataProxyProperties;
    edition?: IntegrationRuntimeEdition;
    expressCustomSetupProperties?: CustomSetupBaseUnion[];
    licenseType?: IntegrationRuntimeLicenseType;
}

// @public
export interface IntegrationRuntimesStartOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type IntegrationRuntimesStartResponse = IntegrationRuntimeStatusResponse;

// @public
export interface IntegrationRuntimesStopOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type IntegrationRuntimeState = string;

// @public
export interface IntegrationRuntimeStatus {
    [property: string]: any;
    readonly dataFactoryName?: string;
    readonly state?: IntegrationRuntimeState;
    type: "Managed" | "SelfHosted";
}

// @public
export interface IntegrationRuntimeStatusGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimeStatusGetResponse = IntegrationRuntimeStatusResponse;

// @public
export interface IntegrationRuntimeStatusOperations {
    get(resourceGroupName: string, workspaceName: string, integrationRuntimeName: string, options?: IntegrationRuntimeStatusGetOptionalParams): Promise<IntegrationRuntimeStatusGetResponse>;
}

// @public
export interface IntegrationRuntimeStatusResponse {
    readonly name?: string;
    properties: IntegrationRuntimeStatusUnion;
}

// @public (undocumented)
export type IntegrationRuntimeStatusUnion = IntegrationRuntimeStatus | ManagedIntegrationRuntimeStatus | SelfHostedIntegrationRuntimeStatus;

// @public
export interface IntegrationRuntimesUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimesUpdateResponse = IntegrationRuntimeResource;

// @public
export interface IntegrationRuntimesUpgradeOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IntegrationRuntimeType = string;

// @public (undocumented)
export type IntegrationRuntimeUnion = IntegrationRuntime | ManagedIntegrationRuntime | SelfHostedIntegrationRuntime;

// @public
export type IntegrationRuntimeUpdateResult = string;

// @public
export interface IntegrationRuntimeVNetProperties {
    [property: string]: any;
    publicIPs?: string[];
    subnet?: string;
    subnetId?: string;
    vNetId?: string;
}

// @public
export type IotHubDataConnection = DataConnection & {
    iotHubResourceId?: string;
    consumerGroup?: string;
    tableName?: string;
    mappingRuleName?: string;
    dataFormat?: IotHubDataFormat;
    eventSystemProperties?: string[];
    sharedAccessPolicyName?: string;
    readonly provisioningState?: ResourceProvisioningState;
};

// @public
export type IotHubDataFormat = string;

// @public
export type IpFirewallRuleInfo = ProxyResource & {
    endIpAddress?: string;
    readonly provisioningState?: ProvisioningState;
    startIpAddress?: string;
};

// @public
export interface IpFirewallRuleInfoListResult {
    nextLink?: string;
    value?: IpFirewallRuleInfo[];
}

// @public
export interface IpFirewallRuleProperties {
    endIpAddress?: string;
    readonly provisioningState?: ProvisioningState;
    startIpAddress?: string;
}

// @public
export interface IpFirewallRules {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, ruleName: string, ipFirewallRuleInfo: IpFirewallRuleInfo, options?: IpFirewallRulesCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<IpFirewallRulesCreateOrUpdateResponse>, IpFirewallRulesCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, ruleName: string, ipFirewallRuleInfo: IpFirewallRuleInfo, options?: IpFirewallRulesCreateOrUpdateOptionalParams): Promise<IpFirewallRulesCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, workspaceName: string, ruleName: string, options?: IpFirewallRulesDeleteOptionalParams): Promise<PollerLike<PollOperationState<IpFirewallRulesDeleteResponse>, IpFirewallRulesDeleteResponse>>;
    beginDeleteAndWait(resourceGroupName: string, workspaceName: string, ruleName: string, options?: IpFirewallRulesDeleteOptionalParams): Promise<IpFirewallRulesDeleteResponse>;
    beginReplaceAll(resourceGroupName: string, workspaceName: string, request: ReplaceAllIpFirewallRulesRequest, options?: IpFirewallRulesReplaceAllOptionalParams): Promise<PollerLike<PollOperationState<IpFirewallRulesReplaceAllResponse>, IpFirewallRulesReplaceAllResponse>>;
    beginReplaceAllAndWait(resourceGroupName: string, workspaceName: string, request: ReplaceAllIpFirewallRulesRequest, options?: IpFirewallRulesReplaceAllOptionalParams): Promise<IpFirewallRulesReplaceAllResponse>;
    get(resourceGroupName: string, workspaceName: string, ruleName: string, options?: IpFirewallRulesGetOptionalParams): Promise<IpFirewallRulesGetResponse>;
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: IpFirewallRulesListByWorkspaceOptionalParams): PagedAsyncIterableIterator<IpFirewallRuleInfo>;
}

// @public
export interface IpFirewallRulesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type IpFirewallRulesCreateOrUpdateResponse = IpFirewallRuleInfo;

// @public
export interface IpFirewallRulesDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type IpFirewallRulesDeleteResponse = Record<string, unknown>;

// @public
export interface IpFirewallRulesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IpFirewallRulesGetResponse = IpFirewallRuleInfo;

// @public
export interface IpFirewallRulesListByWorkspaceNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IpFirewallRulesListByWorkspaceNextResponse = IpFirewallRuleInfoListResult;

// @public
export interface IpFirewallRulesListByWorkspaceOptionalParams extends coreClient.OperationOptions {
}

// @public
export type IpFirewallRulesListByWorkspaceResponse = IpFirewallRuleInfoListResult;

// @public
export interface IpFirewallRulesReplaceAllOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type IpFirewallRulesReplaceAllResponse = ReplaceAllFirewallRulesOperationResponse;

// @public
export interface KekIdentityProperties {
    userAssignedIdentity?: string;
    useSystemAssignedIdentity?: any;
}

// @public
export type Key = ProxyResource & {
    isActiveCMK?: boolean;
    keyVaultUrl?: string;
};

// @public
export interface KeyInfoListResult {
    nextLink?: string;
    value?: Key[];
}

// @public
export interface Keys {
    createOrUpdate(resourceGroupName: string, workspaceName: string, keyName: string, keyProperties: Key, options?: KeysCreateOrUpdateOptionalParams): Promise<KeysCreateOrUpdateResponse>;
    delete(resourceGroupName: string, workspaceName: string, keyName: string, options?: KeysDeleteOptionalParams): Promise<KeysDeleteResponse>;
    get(resourceGroupName: string, workspaceName: string, keyName: string, options?: KeysGetOptionalParams): Promise<KeysGetResponse>;
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: KeysListByWorkspaceOptionalParams): PagedAsyncIterableIterator<Key>;
}

// @public
export interface KeysCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KeysCreateOrUpdateResponse = Key;

// @public
export interface KeysDeleteOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KeysDeleteResponse = Key;

// @public
export interface KeysGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KeysGetResponse = Key;

// @public
export interface KeysListByWorkspaceNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KeysListByWorkspaceNextResponse = KeyInfoListResult;

// @public
export interface KeysListByWorkspaceOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KeysListByWorkspaceResponse = KeyInfoListResult;

// @public
export type Kind = string;

// @public
export enum KnownAzureADOnlyAuthenticationName {
    // (undocumented)
    Default = "default"
}

// @public
export enum KnownAzureScaleType {
    // (undocumented)
    Automatic = "automatic",
    // (undocumented)
    Manual = "manual",
    // (undocumented)
    None = "none"
}

// @public
export enum KnownBlobAuditingPolicyName {
    // (undocumented)
    Default = "default"
}

// @public
export enum KnownBlobStorageEventType {
    // (undocumented)
    MicrosoftStorageBlobCreated = "Microsoft.Storage.BlobCreated",
    // (undocumented)
    MicrosoftStorageBlobRenamed = "Microsoft.Storage.BlobRenamed"
}

// @public
export enum KnownClusterPrincipalRole {
    // (undocumented)
    AllDatabasesAdmin = "AllDatabasesAdmin",
    // (undocumented)
    AllDatabasesViewer = "AllDatabasesViewer"
}

// @public
export enum KnownColumnDataType {
    // (undocumented)
    Bigint = "bigint",
    // (undocumented)
    Binary = "binary",
    // (undocumented)
    Bit = "bit",
    // (undocumented)
    Char = "char",
    // (undocumented)
    Date = "date",
    // (undocumented)
    Datetime = "datetime",
    // (undocumented)
    Datetime2 = "datetime2",
    // (undocumented)
    Datetimeoffset = "datetimeoffset",
    // (undocumented)
    Decimal = "decimal",
    // (undocumented)
    Float = "float",
    // (undocumented)
    Geography = "geography",
    // (undocumented)
    Geometry = "geometry",
    // (undocumented)
    Hierarchyid = "hierarchyid",
    // (undocumented)
    Image = "image",
    // (undocumented)
    Int = "int",
    // (undocumented)
    Money = "money",
    // (undocumented)
    Nchar = "nchar",
    // (undocumented)
    Ntext = "ntext",
    // (undocumented)
    Numeric = "numeric",
    // (undocumented)
    Nvarchar = "nvarchar",
    // (undocumented)
    Real = "real",
    // (undocumented)
    Smalldatetime = "smalldatetime",
    // (undocumented)
    Smallint = "smallint",
    // (undocumented)
    Smallmoney = "smallmoney",
    // (undocumented)
    SqlVariant = "sql_variant",
    // (undocumented)
    Sysname = "sysname",
    // (undocumented)
    Text = "text",
    // (undocumented)
    Time = "time",
    // (undocumented)
    Timestamp = "timestamp",
    // (undocumented)
    Tinyint = "tinyint",
    // (undocumented)
    Uniqueidentifier = "uniqueidentifier",
    // (undocumented)
    Varbinary = "varbinary",
    // (undocumented)
    Varchar = "varchar",
    // (undocumented)
    Xml = "xml"
}

// @public
export enum KnownCompression {
    // (undocumented)
    GZip = "GZip",
    // (undocumented)
    None = "None"
}

// @public
export enum KnownConfigurationType {
    // (undocumented)
    Artifact = "Artifact",
    // (undocumented)
    File = "File"
}

// @public
export enum KnownConnectionPolicyName {
    // (undocumented)
    Default = "default"
}

// @public
export enum KnownCreatedByType {
    // (undocumented)
    Application = "Application",
    // (undocumented)
    Key = "Key",
    // (undocumented)
    ManagedIdentity = "ManagedIdentity",
    // (undocumented)
    User = "User"
}

// @public
export enum KnownCreateMode {
    // (undocumented)
    Default = "Default",
    // (undocumented)
    PointInTimeRestore = "PointInTimeRestore",
    // (undocumented)
    Recovery = "Recovery",
    // (undocumented)
    Restore = "Restore"
}

// @public
export enum KnownDatabasePrincipalRole {
    // (undocumented)
    Admin = "Admin",
    // (undocumented)
    Ingestor = "Ingestor",
    // (undocumented)
    Monitor = "Monitor",
    // (undocumented)
    UnrestrictedViewer = "UnrestrictedViewer",
    // (undocumented)
    User = "User",
    // (undocumented)
    Viewer = "Viewer"
}

// @public
export enum KnownDataConnectionKind {
    // (undocumented)
    EventGrid = "EventGrid",
    // (undocumented)
    EventHub = "EventHub",
    // (undocumented)
    IotHub = "IotHub"
}

// @public
export enum KnownDataFlowComputeType {
    // (undocumented)
    ComputeOptimized = "ComputeOptimized",
    // (undocumented)
    General = "General",
    // (undocumented)
    MemoryOptimized = "MemoryOptimized"
}

// @public
export enum KnownDataWarehouseUserActivityName {
    // (undocumented)
    Current = "current"
}

// @public
export enum KnownDayOfWeek {
    // (undocumented)
    Friday = "Friday",
    // (undocumented)
    Monday = "Monday",
    // (undocumented)
    Saturday = "Saturday",
    // (undocumented)
    Sunday = "Sunday",
    // (undocumented)
    Thursday = "Thursday",
    // (undocumented)
    Tuesday = "Tuesday",
    // (undocumented)
    Wednesday = "Wednesday"
}

// @public
export enum KnownDefaultPrincipalsModificationKind {
    // (undocumented)
    None = "None",
    // (undocumented)
    Replace = "Replace",
    // (undocumented)
    Union = "Union"
}

// @public
export enum KnownEncryptionProtectorName {
    // (undocumented)
    Current = "current"
}

// @public
export enum KnownEventGridDataFormat {
    // (undocumented)
    Apacheavro = "APACHEAVRO",
    // (undocumented)
    Avro = "AVRO",
    // (undocumented)
    CSV = "CSV",
    // (undocumented)
    Json = "JSON",
    // (undocumented)
    Multijson = "MULTIJSON",
    // (undocumented)
    ORC = "ORC",
    // (undocumented)
    Parquet = "PARQUET",
    // (undocumented)
    PSV = "PSV",
    // (undocumented)
    RAW = "RAW",
    // (undocumented)
    Scsv = "SCSV",
    // (undocumented)
    Singlejson = "SINGLEJSON",
    // (undocumented)
    Sohsv = "SOHSV",
    // (undocumented)
    TSV = "TSV",
    // (undocumented)
    Tsve = "TSVE",
    // (undocumented)
    TXT = "TXT",
    // (undocumented)
    W3Clogfile = "W3CLOGFILE"
}

// @public
export enum KnownEventHubDataFormat {
    // (undocumented)
    Apacheavro = "APACHEAVRO",
    // (undocumented)
    Avro = "AVRO",
    // (undocumented)
    CSV = "CSV",
    // (undocumented)
    Json = "JSON",
    // (undocumented)
    Multijson = "MULTIJSON",
    // (undocumented)
    ORC = "ORC",
    // (undocumented)
    Parquet = "PARQUET",
    // (undocumented)
    PSV = "PSV",
    // (undocumented)
    RAW = "RAW",
    // (undocumented)
    Scsv = "SCSV",
    // (undocumented)
    Singlejson = "SINGLEJSON",
    // (undocumented)
    Sohsv = "SOHSV",
    // (undocumented)
    TSV = "TSV",
    // (undocumented)
    Tsve = "TSVE",
    // (undocumented)
    TXT = "TXT",
    // (undocumented)
    W3Clogfile = "W3CLOGFILE"
}

// @public
export enum KnownGeoBackupPolicyName {
    // (undocumented)
    Default = "Default"
}

// @public
export enum KnownIntegrationRuntimeAuthKeyName {
    // (undocumented)
    AuthKey1 = "authKey1",
    // (undocumented)
    AuthKey2 = "authKey2"
}

// @public
export enum KnownIntegrationRuntimeAutoUpdate {
    // (undocumented)
    Off = "Off",
    // (undocumented)
    On = "On"
}

// @public
export enum KnownIntegrationRuntimeEdition {
    // (undocumented)
    Enterprise = "Enterprise",
    // (undocumented)
    Standard = "Standard"
}

// @public
export enum KnownIntegrationRuntimeEntityReferenceType {
    // (undocumented)
    IntegrationRuntimeReference = "IntegrationRuntimeReference",
    // (undocumented)
    LinkedServiceReference = "LinkedServiceReference"
}

// @public
export enum KnownIntegrationRuntimeInternalChannelEncryptionMode {
    // (undocumented)
    NotEncrypted = "NotEncrypted",
    // (undocumented)
    NotSet = "NotSet",
    // (undocumented)
    SslEncrypted = "SslEncrypted"
}

// @public
export enum KnownIntegrationRuntimeLicenseType {
    // (undocumented)
    BasePrice = "BasePrice",
    // (undocumented)
    LicenseIncluded = "LicenseIncluded"
}

// @public
export enum KnownIntegrationRuntimeSsisCatalogPricingTier {
    // (undocumented)
    Basic = "Basic",
    // (undocumented)
    Premium = "Premium",
    // (undocumented)
    PremiumRS = "PremiumRS",
    // (undocumented)
    Standard = "Standard"
}

// @public
export enum KnownIntegrationRuntimeState {
    // (undocumented)
    AccessDenied = "AccessDenied",
    // (undocumented)
    Initial = "Initial",
    // (undocumented)
    Limited = "Limited",
    // (undocumented)
    NeedRegistration = "NeedRegistration",
    // (undocumented)
    Offline = "Offline",
    // (undocumented)
    Online = "Online",
    // (undocumented)
    Started = "Started",
    // (undocumented)
    Starting = "Starting",
    // (undocumented)
    Stopped = "Stopped",
    // (undocumented)
    Stopping = "Stopping"
}

// @public
export enum KnownIntegrationRuntimeType {
    // (undocumented)
    Managed = "Managed",
    // (undocumented)
    SelfHosted = "SelfHosted"
}

// @public
export enum KnownIntegrationRuntimeUpdateResult {
    // (undocumented)
    Fail = "Fail",
    // (undocumented)
    None = "None",
    // (undocumented)
    Succeed = "Succeed"
}

// @public
export enum KnownIotHubDataFormat {
    // (undocumented)
    Apacheavro = "APACHEAVRO",
    // (undocumented)
    Avro = "AVRO",
    // (undocumented)
    CSV = "CSV",
    // (undocumented)
    Json = "JSON",
    // (undocumented)
    Multijson = "MULTIJSON",
    // (undocumented)
    ORC = "ORC",
    // (undocumented)
    Parquet = "PARQUET",
    // (undocumented)
    PSV = "PSV",
    // (undocumented)
    RAW = "RAW",
    // (undocumented)
    Scsv = "SCSV",
    // (undocumented)
    Singlejson = "SINGLEJSON",
    // (undocumented)
    Sohsv = "SOHSV",
    // (undocumented)
    TSV = "TSV",
    // (undocumented)
    Tsve = "TSVE",
    // (undocumented)
    TXT = "TXT",
    // (undocumented)
    W3Clogfile = "W3CLOGFILE"
}

// @public
export enum KnownKind {
    // (undocumented)
    ReadOnlyFollowing = "ReadOnlyFollowing",
    // (undocumented)
    ReadWrite = "ReadWrite"
}

// @public
export enum KnownLanguageExtensionName {
    // (undocumented)
    Python = "PYTHON",
    // (undocumented)
    R = "R"
}

// @public
export enum KnownManagedIdentitySqlControlSettingsModelPropertiesGrantSqlControlToManagedIdentityActualState {
    // (undocumented)
    Disabled = "Disabled",
    // (undocumented)
    Disabling = "Disabling",
    // (undocumented)
    Enabled = "Enabled",
    // (undocumented)
    Enabling = "Enabling",
    // (undocumented)
    Unknown = "Unknown"
}

// @public
export enum KnownManagedIdentitySqlControlSettingsModelPropertiesGrantSqlControlToManagedIdentityDesiredState {
    // (undocumented)
    Disabled = "Disabled",
    // (undocumented)
    Enabled = "Enabled"
}

// @public
export enum KnownManagedIntegrationRuntimeNodeStatus {
    // (undocumented)
    Available = "Available",
    // (undocumented)
    Recycling = "Recycling",
    // (undocumented)
    Starting = "Starting",
    // (undocumented)
    Unavailable = "Unavailable"
}

// @public
export enum KnownManagementOperationState {
    // (undocumented)
    CancelInProgress = "CancelInProgress",
    // (undocumented)
    Cancelled = "Cancelled",
    // (undocumented)
    Failed = "Failed",
    // (undocumented)
    InProgress = "InProgress",
    // (undocumented)
    Pending = "Pending",
    // (undocumented)
    Succeeded = "Succeeded"
}

// @public
export enum KnownNodeSize {
    // (undocumented)
    Large = "Large",
    // (undocumented)
    Medium = "Medium",
    // (undocumented)
    None = "None",
    // (undocumented)
    Small = "Small",
    // (undocumented)
    XLarge = "XLarge",
    // (undocumented)
    XXLarge = "XXLarge",
    // (undocumented)
    XXXLarge = "XXXLarge"
}

// @public
export enum KnownNodeSizeFamily {
    // (undocumented)
    HardwareAcceleratedFpga = "HardwareAcceleratedFPGA",
    // (undocumented)
    HardwareAcceleratedGPU = "HardwareAcceleratedGPU",
    // (undocumented)
    MemoryOptimized = "MemoryOptimized",
    // (undocumented)
    None = "None"
}

// @public
export enum KnownOperationStatus {
    // (undocumented)
    Canceled = "Canceled",
    // (undocumented)
    Failed = "Failed",
    // (undocumented)
    InProgress = "InProgress",
    // (undocumented)
    Succeeded = "Succeeded"
}

// @public
export enum KnownPrincipalsModificationKind {
    // (undocumented)
    None = "None",
    // (undocumented)
    Replace = "Replace",
    // (undocumented)
    Union = "Union"
}

// @public
export enum KnownPrincipalType {
    // (undocumented)
    App = "App",
    // (undocumented)
    Group = "Group",
    // (undocumented)
    User = "User"
}

// @public
export enum KnownProvisioningState {
    // (undocumented)
    DeleteError = "DeleteError",
    // (undocumented)
    Deleting = "Deleting",
    // (undocumented)
    Failed = "Failed",
    // (undocumented)
    Provisioning = "Provisioning",
    // (undocumented)
    Succeeded = "Succeeded"
}

// @public
export enum KnownReason {
    // (undocumented)
    AlreadyExists = "AlreadyExists",
    // (undocumented)
    Invalid = "Invalid"
}

// @public
export enum KnownReplicationState {
    // (undocumented)
    CatchUP = "CATCH_UP",
    // (undocumented)
    Pending = "PENDING",
    // (undocumented)
    Seeding = "SEEDING",
    // (undocumented)
    Suspended = "SUSPENDED"
}

// @public
export enum KnownResourceProvisioningState {
    // (undocumented)
    Canceled = "Canceled",
    // (undocumented)
    Creating = "Creating",
    // (undocumented)
    Deleting = "Deleting",
    // (undocumented)
    Failed = "Failed",
    // (undocumented)
    Moving = "Moving",
    // (undocumented)
    Running = "Running",
    // (undocumented)
    Succeeded = "Succeeded"
}

// @public
export enum KnownSecurityAlertPolicyName {
    // (undocumented)
    Default = "default"
}

// @public
export enum KnownSecurityAlertPolicyNameAutoGenerated {
    // (undocumented)
    Default = "Default"
}

// @public
export enum KnownSelfHostedIntegrationRuntimeNodeStatus {
    // (undocumented)
    InitializeFailed = "InitializeFailed",
    // (undocumented)
    Initializing = "Initializing",
    // (undocumented)
    Limited = "Limited",
    // (undocumented)
    NeedRegistration = "NeedRegistration",
    // (undocumented)
    Offline = "Offline",
    // (undocumented)
    Online = "Online",
    // (undocumented)
    Upgrading = "Upgrading"
}

// @public
export enum KnownServerKeyType {
    // (undocumented)
    AzureKeyVault = "AzureKeyVault",
    // (undocumented)
    ServiceManaged = "ServiceManaged"
}

// @public
export enum KnownSkuName {
    // (undocumented)
    ComputeOptimized = "Compute optimized",
    // (undocumented)
    StorageOptimized = "Storage optimized"
}

// @public
export enum KnownSkuSize {
    // (undocumented)
    ExtraSmall = "Extra small",
    // (undocumented)
    Large = "Large",
    // (undocumented)
    Medium = "Medium",
    // (undocumented)
    Small = "Small"
}

// @public
export enum KnownSsisObjectMetadataType {
    // (undocumented)
    Environment = "Environment",
    // (undocumented)
    Folder = "Folder",
    // (undocumented)
    Package = "Package",
    // (undocumented)
    Project = "Project"
}

// @public
export enum KnownState {
    // (undocumented)
    Creating = "Creating",
    // (undocumented)
    Deleted = "Deleted",
    // (undocumented)
    Deleting = "Deleting",
    // (undocumented)
    Running = "Running",
    // (undocumented)
    Starting = "Starting",
    // (undocumented)
    Stopped = "Stopped",
    // (undocumented)
    Stopping = "Stopping",
    // (undocumented)
    Unavailable = "Unavailable",
    // (undocumented)
    Updating = "Updating"
}

// @public
export enum KnownStateValue {
    // (undocumented)
    Consistent = "Consistent",
    // (undocumented)
    InConsistent = "InConsistent",
    // (undocumented)
    Updating = "Updating"
}

// @public
export enum KnownStorageAccountType {
    // (undocumented)
    GRS = "GRS",
    // (undocumented)
    LRS = "LRS"
}

// @public
export enum KnownTransparentDataEncryptionName {
    // (undocumented)
    Current = "current"
}

// @public
export enum KnownVulnerabilityAssessmentName {
    // (undocumented)
    Default = "default"
}

// @public
export enum KnownVulnerabilityAssessmentScanState {
    // (undocumented)
    Failed = "Failed",
    // (undocumented)
    FailedToRun = "FailedToRun",
    // (undocumented)
    InProgress = "InProgress",
    // (undocumented)
    Passed = "Passed"
}

// @public
export enum KnownVulnerabilityAssessmentScanTriggerType {
    // (undocumented)
    OnDemand = "OnDemand",
    // (undocumented)
    Recurring = "Recurring"
}

// @public
export enum KnownWorkspacePublicNetworkAccess {
    // (undocumented)
    Disabled = "Disabled",
    // (undocumented)
    Enabled = "Enabled"
}

// @public
export interface KustoOperations {
    list(options?: KustoOperationsListOptionalParams): PagedAsyncIterableIterator<Operation>;
}

// @public
export interface KustoOperationsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoOperationsListNextResponse = OperationListResult;

// @public
export interface KustoOperationsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoOperationsListResponse = OperationListResult;

// @public
export type KustoPool = TrackedResource & {
    sku: AzureSku;
    readonly etag?: string;
    readonly systemData?: SystemData;
    readonly state?: State;
    readonly provisioningState?: ResourceProvisioningState;
    readonly uri?: string;
    readonly dataIngestionUri?: string;
    readonly stateReason?: string;
    optimizedAutoscale?: OptimizedAutoscale;
    enableStreamingIngest?: boolean;
    enablePurge?: boolean;
    readonly languageExtensions?: LanguageExtensionsList;
    workspaceUID?: string;
};

// @public
export interface KustoPoolAttachedDatabaseConfigurations {
    beginCreateOrUpdate(workspaceName: string, kustoPoolName: string, attachedDatabaseConfigurationName: string, resourceGroupName: string, parameters: AttachedDatabaseConfiguration, options?: KustoPoolAttachedDatabaseConfigurationsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<KustoPoolAttachedDatabaseConfigurationsCreateOrUpdateResponse>, KustoPoolAttachedDatabaseConfigurationsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(workspaceName: string, kustoPoolName: string, attachedDatabaseConfigurationName: string, resourceGroupName: string, parameters: AttachedDatabaseConfiguration, options?: KustoPoolAttachedDatabaseConfigurationsCreateOrUpdateOptionalParams): Promise<KustoPoolAttachedDatabaseConfigurationsCreateOrUpdateResponse>;
    beginDelete(workspaceName: string, kustoPoolName: string, attachedDatabaseConfigurationName: string, resourceGroupName: string, options?: KustoPoolAttachedDatabaseConfigurationsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(workspaceName: string, kustoPoolName: string, attachedDatabaseConfigurationName: string, resourceGroupName: string, options?: KustoPoolAttachedDatabaseConfigurationsDeleteOptionalParams): Promise<void>;
    get(workspaceName: string, kustoPoolName: string, attachedDatabaseConfigurationName: string, resourceGroupName: string, options?: KustoPoolAttachedDatabaseConfigurationsGetOptionalParams): Promise<KustoPoolAttachedDatabaseConfigurationsGetResponse>;
    listByKustoPool(workspaceName: string, kustoPoolName: string, resourceGroupName: string, options?: KustoPoolAttachedDatabaseConfigurationsListByKustoPoolOptionalParams): PagedAsyncIterableIterator<AttachedDatabaseConfiguration>;
}

// @public
export interface KustoPoolAttachedDatabaseConfigurationsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type KustoPoolAttachedDatabaseConfigurationsCreateOrUpdateResponse = AttachedDatabaseConfiguration;

// @public
export interface KustoPoolAttachedDatabaseConfigurationsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface KustoPoolAttachedDatabaseConfigurationsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolAttachedDatabaseConfigurationsGetResponse = AttachedDatabaseConfiguration;

// @public
export interface KustoPoolAttachedDatabaseConfigurationsListByKustoPoolOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolAttachedDatabaseConfigurationsListByKustoPoolResponse = AttachedDatabaseConfigurationListResult;

// @public
export interface KustoPoolCheckNameRequest {
    name: string;
    type: "Microsoft.Synapse/workspaces/kustoPools";
}

// @public
export interface KustoPoolChildResource {
    checkNameAvailability(workspaceName: string, kustoPoolName: string, resourceGroupName: string, resourceName: DatabaseCheckNameRequest, options?: KustoPoolChildResourceCheckNameAvailabilityOptionalParams): Promise<KustoPoolChildResourceCheckNameAvailabilityResponse>;
}

// @public
export interface KustoPoolChildResourceCheckNameAvailabilityOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolChildResourceCheckNameAvailabilityResponse = CheckNameResult;

// @public
export interface KustoPoolDatabasePrincipalAssignments {
    beginCreateOrUpdate(workspaceName: string, kustoPoolName: string, databaseName: string, principalAssignmentName: string, resourceGroupName: string, parameters: DatabasePrincipalAssignment, options?: KustoPoolDatabasePrincipalAssignmentsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<KustoPoolDatabasePrincipalAssignmentsCreateOrUpdateResponse>, KustoPoolDatabasePrincipalAssignmentsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(workspaceName: string, kustoPoolName: string, databaseName: string, principalAssignmentName: string, resourceGroupName: string, parameters: DatabasePrincipalAssignment, options?: KustoPoolDatabasePrincipalAssignmentsCreateOrUpdateOptionalParams): Promise<KustoPoolDatabasePrincipalAssignmentsCreateOrUpdateResponse>;
    beginDelete(workspaceName: string, kustoPoolName: string, databaseName: string, principalAssignmentName: string, resourceGroupName: string, options?: KustoPoolDatabasePrincipalAssignmentsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(workspaceName: string, kustoPoolName: string, databaseName: string, principalAssignmentName: string, resourceGroupName: string, options?: KustoPoolDatabasePrincipalAssignmentsDeleteOptionalParams): Promise<void>;
    checkNameAvailability(workspaceName: string, kustoPoolName: string, databaseName: string, resourceGroupName: string, principalAssignmentName: DatabasePrincipalAssignmentCheckNameRequest, options?: KustoPoolDatabasePrincipalAssignmentsCheckNameAvailabilityOptionalParams): Promise<KustoPoolDatabasePrincipalAssignmentsCheckNameAvailabilityResponse>;
    get(workspaceName: string, kustoPoolName: string, databaseName: string, principalAssignmentName: string, resourceGroupName: string, options?: KustoPoolDatabasePrincipalAssignmentsGetOptionalParams): Promise<KustoPoolDatabasePrincipalAssignmentsGetResponse>;
    list(workspaceName: string, kustoPoolName: string, databaseName: string, resourceGroupName: string, options?: KustoPoolDatabasePrincipalAssignmentsListOptionalParams): PagedAsyncIterableIterator<DatabasePrincipalAssignment>;
}

// @public
export interface KustoPoolDatabasePrincipalAssignmentsCheckNameAvailabilityOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolDatabasePrincipalAssignmentsCheckNameAvailabilityResponse = CheckNameResult;

// @public
export interface KustoPoolDatabasePrincipalAssignmentsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type KustoPoolDatabasePrincipalAssignmentsCreateOrUpdateResponse = DatabasePrincipalAssignment;

// @public
export interface KustoPoolDatabasePrincipalAssignmentsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface KustoPoolDatabasePrincipalAssignmentsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolDatabasePrincipalAssignmentsGetResponse = DatabasePrincipalAssignment;

// @public
export interface KustoPoolDatabasePrincipalAssignmentsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolDatabasePrincipalAssignmentsListResponse = DatabasePrincipalAssignmentListResult;

// @public
export interface KustoPoolDatabases {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, parameters: DatabaseUnion, options?: KustoPoolDatabasesCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<KustoPoolDatabasesCreateOrUpdateResponse>, KustoPoolDatabasesCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, parameters: DatabaseUnion, options?: KustoPoolDatabasesCreateOrUpdateOptionalParams): Promise<KustoPoolDatabasesCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, options?: KustoPoolDatabasesDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, options?: KustoPoolDatabasesDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, parameters: DatabaseUnion, options?: KustoPoolDatabasesUpdateOptionalParams): Promise<PollerLike<PollOperationState<KustoPoolDatabasesUpdateResponse>, KustoPoolDatabasesUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, parameters: DatabaseUnion, options?: KustoPoolDatabasesUpdateOptionalParams): Promise<KustoPoolDatabasesUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, options?: KustoPoolDatabasesGetOptionalParams): Promise<KustoPoolDatabasesGetResponse>;
    listByKustoPool(resourceGroupName: string, workspaceName: string, kustoPoolName: string, options?: KustoPoolDatabasesListByKustoPoolOptionalParams): PagedAsyncIterableIterator<DatabaseUnion>;
}

// @public
export interface KustoPoolDatabasesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type KustoPoolDatabasesCreateOrUpdateResponse = DatabaseUnion;

// @public
export interface KustoPoolDatabasesDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface KustoPoolDatabasesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolDatabasesGetResponse = DatabaseUnion;

// @public
export interface KustoPoolDatabasesListByKustoPoolOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolDatabasesListByKustoPoolResponse = DatabaseListResult;

// @public
export interface KustoPoolDatabasesUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type KustoPoolDatabasesUpdateResponse = DatabaseUnion;

// @public
export interface KustoPoolDataConnections {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, dataConnectionName: string, parameters: DataConnectionUnion, options?: KustoPoolDataConnectionsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<KustoPoolDataConnectionsCreateOrUpdateResponse>, KustoPoolDataConnectionsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, dataConnectionName: string, parameters: DataConnectionUnion, options?: KustoPoolDataConnectionsCreateOrUpdateOptionalParams): Promise<KustoPoolDataConnectionsCreateOrUpdateResponse>;
    beginDataConnectionValidation(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, parameters: DataConnectionValidation, options?: KustoPoolDataConnectionsDataConnectionValidationOptionalParams): Promise<PollerLike<PollOperationState<KustoPoolDataConnectionsDataConnectionValidationResponse>, KustoPoolDataConnectionsDataConnectionValidationResponse>>;
    beginDataConnectionValidationAndWait(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, parameters: DataConnectionValidation, options?: KustoPoolDataConnectionsDataConnectionValidationOptionalParams): Promise<KustoPoolDataConnectionsDataConnectionValidationResponse>;
    beginDelete(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, dataConnectionName: string, options?: KustoPoolDataConnectionsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, dataConnectionName: string, options?: KustoPoolDataConnectionsDeleteOptionalParams): Promise<void>;
    beginUpdate(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, dataConnectionName: string, parameters: DataConnectionUnion, options?: KustoPoolDataConnectionsUpdateOptionalParams): Promise<PollerLike<PollOperationState<KustoPoolDataConnectionsUpdateResponse>, KustoPoolDataConnectionsUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, dataConnectionName: string, parameters: DataConnectionUnion, options?: KustoPoolDataConnectionsUpdateOptionalParams): Promise<KustoPoolDataConnectionsUpdateResponse>;
    checkNameAvailability(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, dataConnectionName: DataConnectionCheckNameRequest, options?: KustoPoolDataConnectionsCheckNameAvailabilityOptionalParams): Promise<KustoPoolDataConnectionsCheckNameAvailabilityResponse>;
    get(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, dataConnectionName: string, options?: KustoPoolDataConnectionsGetOptionalParams): Promise<KustoPoolDataConnectionsGetResponse>;
    listByDatabase(resourceGroupName: string, workspaceName: string, kustoPoolName: string, databaseName: string, options?: KustoPoolDataConnectionsListByDatabaseOptionalParams): PagedAsyncIterableIterator<DataConnectionUnion>;
}

// @public
export interface KustoPoolDataConnectionsCheckNameAvailabilityOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolDataConnectionsCheckNameAvailabilityResponse = CheckNameResult;

// @public
export interface KustoPoolDataConnectionsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type KustoPoolDataConnectionsCreateOrUpdateResponse = DataConnectionUnion;

// @public
export interface KustoPoolDataConnectionsDataConnectionValidationOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type KustoPoolDataConnectionsDataConnectionValidationResponse = DataConnectionValidationListResult;

// @public
export interface KustoPoolDataConnectionsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface KustoPoolDataConnectionsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolDataConnectionsGetResponse = DataConnectionUnion;

// @public
export interface KustoPoolDataConnectionsListByDatabaseOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolDataConnectionsListByDatabaseResponse = DataConnectionListResult;

// @public
export interface KustoPoolDataConnectionsUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type KustoPoolDataConnectionsUpdateResponse = DataConnectionUnion;

// @public
export interface KustoPoolListResult {
    value?: KustoPool[];
}

// @public
export interface KustoPoolPrincipalAssignments {
    beginCreateOrUpdate(workspaceName: string, kustoPoolName: string, principalAssignmentName: string, resourceGroupName: string, parameters: ClusterPrincipalAssignment, options?: KustoPoolPrincipalAssignmentsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<KustoPoolPrincipalAssignmentsCreateOrUpdateResponse>, KustoPoolPrincipalAssignmentsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(workspaceName: string, kustoPoolName: string, principalAssignmentName: string, resourceGroupName: string, parameters: ClusterPrincipalAssignment, options?: KustoPoolPrincipalAssignmentsCreateOrUpdateOptionalParams): Promise<KustoPoolPrincipalAssignmentsCreateOrUpdateResponse>;
    beginDelete(workspaceName: string, kustoPoolName: string, principalAssignmentName: string, resourceGroupName: string, options?: KustoPoolPrincipalAssignmentsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(workspaceName: string, kustoPoolName: string, principalAssignmentName: string, resourceGroupName: string, options?: KustoPoolPrincipalAssignmentsDeleteOptionalParams): Promise<void>;
    checkNameAvailability(workspaceName: string, kustoPoolName: string, resourceGroupName: string, principalAssignmentName: ClusterPrincipalAssignmentCheckNameRequest, options?: KustoPoolPrincipalAssignmentsCheckNameAvailabilityOptionalParams): Promise<KustoPoolPrincipalAssignmentsCheckNameAvailabilityResponse>;
    get(workspaceName: string, kustoPoolName: string, principalAssignmentName: string, resourceGroupName: string, options?: KustoPoolPrincipalAssignmentsGetOptionalParams): Promise<KustoPoolPrincipalAssignmentsGetResponse>;
    list(workspaceName: string, kustoPoolName: string, resourceGroupName: string, options?: KustoPoolPrincipalAssignmentsListOptionalParams): PagedAsyncIterableIterator<ClusterPrincipalAssignment>;
}

// @public
export interface KustoPoolPrincipalAssignmentsCheckNameAvailabilityOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolPrincipalAssignmentsCheckNameAvailabilityResponse = CheckNameResult;

// @public
export interface KustoPoolPrincipalAssignmentsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type KustoPoolPrincipalAssignmentsCreateOrUpdateResponse = ClusterPrincipalAssignment;

// @public
export interface KustoPoolPrincipalAssignmentsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface KustoPoolPrincipalAssignmentsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolPrincipalAssignmentsGetResponse = ClusterPrincipalAssignment;

// @public
export interface KustoPoolPrincipalAssignmentsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolPrincipalAssignmentsListResponse = ClusterPrincipalAssignmentListResult;

// @public
export interface KustoPools {
    beginAddLanguageExtensions(workspaceName: string, kustoPoolName: string, resourceGroupName: string, languageExtensionsToAdd: LanguageExtensionsList, options?: KustoPoolsAddLanguageExtensionsOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginAddLanguageExtensionsAndWait(workspaceName: string, kustoPoolName: string, resourceGroupName: string, languageExtensionsToAdd: LanguageExtensionsList, options?: KustoPoolsAddLanguageExtensionsOptionalParams): Promise<void>;
    beginCreateOrUpdate(workspaceName: string, resourceGroupName: string, kustoPoolName: string, parameters: KustoPool, options?: KustoPoolsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<KustoPoolsCreateOrUpdateResponse>, KustoPoolsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(workspaceName: string, resourceGroupName: string, kustoPoolName: string, parameters: KustoPool, options?: KustoPoolsCreateOrUpdateOptionalParams): Promise<KustoPoolsCreateOrUpdateResponse>;
    beginDelete(workspaceName: string, resourceGroupName: string, kustoPoolName: string, options?: KustoPoolsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(workspaceName: string, resourceGroupName: string, kustoPoolName: string, options?: KustoPoolsDeleteOptionalParams): Promise<void>;
    beginDetachFollowerDatabases(workspaceName: string, kustoPoolName: string, resourceGroupName: string, followerDatabaseToRemove: FollowerDatabaseDefinition, options?: KustoPoolsDetachFollowerDatabasesOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDetachFollowerDatabasesAndWait(workspaceName: string, kustoPoolName: string, resourceGroupName: string, followerDatabaseToRemove: FollowerDatabaseDefinition, options?: KustoPoolsDetachFollowerDatabasesOptionalParams): Promise<void>;
    beginRemoveLanguageExtensions(workspaceName: string, kustoPoolName: string, resourceGroupName: string, languageExtensionsToRemove: LanguageExtensionsList, options?: KustoPoolsRemoveLanguageExtensionsOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRemoveLanguageExtensionsAndWait(workspaceName: string, kustoPoolName: string, resourceGroupName: string, languageExtensionsToRemove: LanguageExtensionsList, options?: KustoPoolsRemoveLanguageExtensionsOptionalParams): Promise<void>;
    beginStart(workspaceName: string, kustoPoolName: string, resourceGroupName: string, options?: KustoPoolsStartOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginStartAndWait(workspaceName: string, kustoPoolName: string, resourceGroupName: string, options?: KustoPoolsStartOptionalParams): Promise<void>;
    beginStop(workspaceName: string, kustoPoolName: string, resourceGroupName: string, options?: KustoPoolsStopOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginStopAndWait(workspaceName: string, kustoPoolName: string, resourceGroupName: string, options?: KustoPoolsStopOptionalParams): Promise<void>;
    beginUpdate(workspaceName: string, resourceGroupName: string, kustoPoolName: string, parameters: KustoPoolUpdate, options?: KustoPoolsUpdateOptionalParams): Promise<PollerLike<PollOperationState<KustoPoolsUpdateResponse>, KustoPoolsUpdateResponse>>;
    beginUpdateAndWait(workspaceName: string, resourceGroupName: string, kustoPoolName: string, parameters: KustoPoolUpdate, options?: KustoPoolsUpdateOptionalParams): Promise<KustoPoolsUpdateResponse>;
    checkNameAvailability(location: string, kustoPoolName: KustoPoolCheckNameRequest, options?: KustoPoolsCheckNameAvailabilityOptionalParams): Promise<KustoPoolsCheckNameAvailabilityResponse>;
    get(workspaceName: string, kustoPoolName: string, resourceGroupName: string, options?: KustoPoolsGetOptionalParams): Promise<KustoPoolsGetResponse>;
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: KustoPoolsListByWorkspaceOptionalParams): Promise<KustoPoolsListByWorkspaceResponse>;
    listFollowerDatabases(workspaceName: string, kustoPoolName: string, resourceGroupName: string, options?: KustoPoolsListFollowerDatabasesOptionalParams): PagedAsyncIterableIterator<FollowerDatabaseDefinition>;
    listLanguageExtensions(workspaceName: string, kustoPoolName: string, resourceGroupName: string, options?: KustoPoolsListLanguageExtensionsOptionalParams): PagedAsyncIterableIterator<LanguageExtension>;
    listSkus(options?: KustoPoolsListSkusOptionalParams): PagedAsyncIterableIterator<SkuDescription>;
    listSkusByResource(workspaceName: string, kustoPoolName: string, resourceGroupName: string, options?: KustoPoolsListSkusByResourceOptionalParams): PagedAsyncIterableIterator<AzureResourceSku>;
}

// @public
export interface KustoPoolsAddLanguageExtensionsOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface KustoPoolsCheckNameAvailabilityOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolsCheckNameAvailabilityResponse = CheckNameResult;

// @public
export interface KustoPoolsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    ifMatch?: string;
    ifNoneMatch?: string;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type KustoPoolsCreateOrUpdateResponse = KustoPool;

// @public
export interface KustoPoolsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface KustoPoolsDetachFollowerDatabasesOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface KustoPoolsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolsGetResponse = KustoPool;

// @public
export interface KustoPoolsListByWorkspaceOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolsListByWorkspaceResponse = KustoPoolListResult;

// @public
export interface KustoPoolsListFollowerDatabasesOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolsListFollowerDatabasesResponse = FollowerDatabaseListResult;

// @public
export interface KustoPoolsListLanguageExtensionsOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolsListLanguageExtensionsResponse = LanguageExtensionsList;

// @public
export interface KustoPoolsListSkusByResourceOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolsListSkusByResourceResponse = ListResourceSkusResult;

// @public
export interface KustoPoolsListSkusOptionalParams extends coreClient.OperationOptions {
}

// @public
export type KustoPoolsListSkusResponse = SkuDescriptionList;

// @public
export interface KustoPoolsRemoveLanguageExtensionsOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface KustoPoolsStartOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface KustoPoolsStopOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface KustoPoolsUpdateOptionalParams extends coreClient.OperationOptions {
    ifMatch?: string;
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type KustoPoolsUpdateResponse = KustoPool;

// @public
export type KustoPoolUpdate = Resource & {
    tags?: {
        [propertyName: string]: string;
    };
    sku?: AzureSku;
    readonly state?: State;
    readonly provisioningState?: ResourceProvisioningState;
    readonly uri?: string;
    readonly dataIngestionUri?: string;
    readonly stateReason?: string;
    optimizedAutoscale?: OptimizedAutoscale;
    enableStreamingIngest?: boolean;
    enablePurge?: boolean;
    readonly languageExtensions?: LanguageExtensionsList;
    workspaceUID?: string;
};

// @public
export interface LanguageExtension {
    languageExtensionName?: LanguageExtensionName;
}

// @public
export type LanguageExtensionName = string;

// @public
export interface LanguageExtensionsList {
    value?: LanguageExtension[];
}

// @public
export interface Libraries {
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: LibrariesListByWorkspaceOptionalParams): PagedAsyncIterableIterator<LibraryResource>;
}

// @public
export interface LibrariesListByWorkspaceNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type LibrariesListByWorkspaceNextResponse = LibraryListResponse;

// @public
export interface LibrariesListByWorkspaceOptionalParams extends coreClient.OperationOptions {
}

// @public
export type LibrariesListByWorkspaceResponse = LibraryListResponse;

// @public
export interface Library {
    get(resourceGroupName: string, libraryName: string, workspaceName: string, options?: LibraryGetOptionalParams): Promise<LibraryGetResponse>;
}

// @public
export interface LibraryGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type LibraryGetResponse = LibraryResource;

// @public
export interface LibraryInfo {
    containerName?: string;
    readonly creatorId?: string;
    name?: string;
    path?: string;
    readonly provisioningStatus?: string;
    type?: string;
    uploadedTimestamp?: Date;
}

// @public
export interface LibraryListResponse {
    nextLink?: string;
    value: LibraryResource[];
}

// @public
export interface LibraryRequirements {
    content?: string;
    filename?: string;
    readonly time?: Date;
}

// @public
export type LibraryResource = SubResource & {
    namePropertiesName?: string;
    path?: string;
    containerName?: string;
    uploadedTimestamp?: Date;
    typePropertiesType?: string;
    readonly provisioningStatus?: string;
    readonly creatorId?: string;
};

// @public
export interface LinkedIntegrationRuntime {
    readonly createTime?: Date;
    readonly dataFactoryLocation?: string;
    readonly dataFactoryName?: string;
    readonly name?: string;
    readonly subscriptionId?: string;
}

// @public
export type LinkedIntegrationRuntimeKeyAuthorization = LinkedIntegrationRuntimeType & {
    authorizationType: "Key";
    key: SecureString;
};

// @public
export type LinkedIntegrationRuntimeRbacAuthorization = LinkedIntegrationRuntimeType & {
    authorizationType: "RBAC";
    resourceId: string;
};

// @public
export interface LinkedIntegrationRuntimeType {
    authorizationType: "Key" | "RBAC";
}

// @public (undocumented)
export type LinkedIntegrationRuntimeTypeUnion = LinkedIntegrationRuntimeType | LinkedIntegrationRuntimeKeyAuthorization | LinkedIntegrationRuntimeRbacAuthorization;

// @public
export interface ListResourceSkusResult {
    value?: AzureResourceSku[];
}

// @public
export interface ListSqlPoolSecurityAlertPolicies {
    readonly nextLink?: string;
    readonly value?: SqlPoolSecurityAlertPolicy[];
}

// @public
export type MaintenanceWindowOptions = ProxyResource & {
    isEnabled?: boolean;
    maintenanceWindowCycles?: MaintenanceWindowTimeRange[];
    minDurationInMinutes?: number;
    defaultDurationInMinutes?: number;
    minCycles?: number;
    timeGranularityInMinutes?: number;
    allowMultipleMaintenanceWindowsPerCycle?: boolean;
};

// @public
export type MaintenanceWindows = ProxyResource & {
    timeRanges?: MaintenanceWindowTimeRange[];
};

// @public
export interface MaintenanceWindowTimeRange {
    dayOfWeek?: DayOfWeek;
    duration?: string;
    startTime?: string;
}

// @public
export interface ManagedIdentity {
    readonly principalId?: string;
    readonly tenantId?: string;
    type?: ResourceIdentityType;
    userAssignedIdentities?: {
        [propertyName: string]: UserAssignedManagedIdentity;
    };
}

// @public
export type ManagedIdentitySqlControlSettingsModel = ProxyResource & {
    grantSqlControlToManagedIdentity?: ManagedIdentitySqlControlSettingsModelPropertiesGrantSqlControlToManagedIdentity;
};

// @public
export interface ManagedIdentitySqlControlSettingsModelPropertiesGrantSqlControlToManagedIdentity {
    readonly actualState?: ManagedIdentitySqlControlSettingsModelPropertiesGrantSqlControlToManagedIdentityActualState;
    desiredState?: ManagedIdentitySqlControlSettingsModelPropertiesGrantSqlControlToManagedIdentityDesiredState;
}

// @public
export type ManagedIdentitySqlControlSettingsModelPropertiesGrantSqlControlToManagedIdentityActualState = string;

// @public
export type ManagedIdentitySqlControlSettingsModelPropertiesGrantSqlControlToManagedIdentityDesiredState = string;

// @public
export type ManagedIntegrationRuntime = IntegrationRuntime & {
    type: "Managed";
    readonly state?: IntegrationRuntimeState;
    referenceName?: string;
    typeManagedVirtualNetworkType?: string;
    id?: string;
    computeProperties?: IntegrationRuntimeComputeProperties;
    ssisProperties?: IntegrationRuntimeSsisProperties;
};

// @public
export interface ManagedIntegrationRuntimeError {
    [property: string]: any;
    readonly code?: string;
    readonly message?: string;
    readonly parameters?: string[];
    readonly time?: Date;
}

// @public
export interface ManagedIntegrationRuntimeNode {
    [property: string]: any;
    errors?: ManagedIntegrationRuntimeError[];
    readonly nodeId?: string;
    readonly status?: ManagedIntegrationRuntimeNodeStatus;
}

// @public
export type ManagedIntegrationRuntimeNodeStatus = string;

// @public
export interface ManagedIntegrationRuntimeOperationResult {
    [property: string]: any;
    readonly activityId?: string;
    readonly errorCode?: string;
    readonly parameters?: string[];
    readonly result?: string;
    readonly startTime?: Date;
    readonly type?: string;
}

// @public
export type ManagedIntegrationRuntimeStatus = IntegrationRuntimeStatus & {
    type: "Managed";
    readonly createTime?: Date;
    readonly nodes?: ManagedIntegrationRuntimeNode[];
    readonly otherErrors?: ManagedIntegrationRuntimeError[];
    readonly lastOperation?: ManagedIntegrationRuntimeOperationResult;
};

// @public
export interface ManagedVirtualNetworkSettings {
    allowedAadTenantIdsForLinking?: string[];
    linkedAccessCheckOnTargetResource?: boolean;
    preventDataExfiltration?: boolean;
}

// @public
export type ManagementOperationState = string;

// @public
export type MetadataSyncConfig = ProxyResource & {
    enabled?: boolean;
    syncIntervalInMinutes?: number;
};

// @public
export type NodeSize = string;

// @public
export type NodeSizeFamily = string;

// @public
export interface Operation {
    display?: OperationDisplay;
    name?: string;
    origin?: string;
    properties?: Record<string, unknown>;
}

// @public
export interface OperationDisplay {
    description?: string;
    operation?: string;
    provider?: string;
    resource?: string;
}

// @public
export interface OperationListResult {
    readonly nextLink?: string;
    value?: Operation[];
}

// @public
export interface OperationMetaLogSpecification {
    blobDuration?: string;
    displayName?: string;
    name?: string;
}

// @public
export interface OperationMetaMetricDimensionSpecification {
    displayName?: string;
    name?: string;
    toBeExportedForShoebox?: boolean;
}

// @public
export interface OperationMetaMetricSpecification {
    aggregationType?: string;
    dimensions?: OperationMetaMetricDimensionSpecification[];
    displayDescription?: string;
    displayName?: string;
    enableRegionalMdmAccount?: boolean;
    metricFilterPattern?: string;
    name?: string;
    sourceMdmAccount?: string;
    sourceMdmNamespace?: string;
    supportsInstanceLevelAggregation?: boolean;
    unit?: string;
}

// @public
export interface OperationMetaServiceSpecification {
    logSpecifications?: OperationMetaLogSpecification[];
    metricSpecifications?: OperationMetaMetricSpecification[];
}

// @public
export interface OperationResource {
    endTime?: Date;
    error?: ErrorDetail;
    id?: string;
    name?: string;
    percentComplete?: number;
    properties?: Record<string, unknown>;
    startTime?: Date;
    status?: OperationStatus;
}

// @public
export interface Operations {
    checkNameAvailability(request: CheckNameAvailabilityRequest, options?: OperationsCheckNameAvailabilityOptionalParams): Promise<OperationsCheckNameAvailabilityResponse>;
    getAzureAsyncHeaderResult(resourceGroupName: string, workspaceName: string, operationId: string, options?: OperationsGetAzureAsyncHeaderResultOptionalParams): Promise<OperationsGetAzureAsyncHeaderResultResponse>;
    getLocationHeaderResult(resourceGroupName: string, workspaceName: string, operationId: string, options?: OperationsGetLocationHeaderResultOptionalParams): Promise<void>;
    list(options?: OperationsListOptionalParams): Promise<OperationsListResponse>;
}

// @public
export interface OperationsCheckNameAvailabilityOptionalParams extends coreClient.OperationOptions {
}

// @public
export type OperationsCheckNameAvailabilityResponse = CheckNameAvailabilityResponse;

// @public
export interface OperationsGetAzureAsyncHeaderResultOptionalParams extends coreClient.OperationOptions {
}

// @public
export type OperationsGetAzureAsyncHeaderResultResponse = OperationResource;

// @public
export interface OperationsGetLocationHeaderResultOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface OperationsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type OperationsListResponse = AvailableRpOperation[];

// @public
export type OperationStatus = string;

// @public
export interface OptimizedAutoscale {
    isEnabled: boolean;
    maximum: number;
    minimum: number;
    version: number;
}

// @public
export type PrincipalsModificationKind = string;

// @public
export type PrincipalType = string;

// @public
export interface PrivateEndpoint {
    readonly id?: string;
}

// @public
export type PrivateEndpointConnection = ProxyResource & {
    privateEndpoint?: PrivateEndpoint;
    privateLinkServiceConnectionState?: PrivateLinkServiceConnectionState;
    readonly provisioningState?: string;
};

// @public (undocumented)
export type PrivateEndpointConnectionForPrivateLinkHub = PrivateEndpointConnectionForPrivateLinkHubBasicAutoGenerated & {
    name?: string;
    type?: string;
};

// @public
export interface PrivateEndpointConnectionForPrivateLinkHubBasic {
    readonly id?: string;
    privateEndpoint?: PrivateEndpoint;
    privateLinkServiceConnectionState?: PrivateLinkServiceConnectionState;
    readonly provisioningState?: string;
}

// @public (undocumented)
export interface PrivateEndpointConnectionForPrivateLinkHubBasicAutoGenerated {
    // (undocumented)
    id?: string;
    properties?: PrivateEndpointConnectionProperties;
}

// @public (undocumented)
export interface PrivateEndpointConnectionForPrivateLinkHubResourceCollectionResponse {
    // (undocumented)
    nextLink?: string;
    // (undocumented)
    value?: PrivateEndpointConnectionForPrivateLinkHub[];
}

// @public
export interface PrivateEndpointConnectionList {
    readonly nextLink?: string;
    readonly value?: PrivateEndpointConnection[];
}

// @public
export interface PrivateEndpointConnectionProperties {
    privateEndpoint?: PrivateEndpoint;
    privateLinkServiceConnectionState?: PrivateLinkServiceConnectionState;
    readonly provisioningState?: string;
}

// @public
export interface PrivateEndpointConnections {
    beginCreate(resourceGroupName: string, workspaceName: string, privateEndpointConnectionName: string, request: PrivateEndpointConnection, options?: PrivateEndpointConnectionsCreateOptionalParams): Promise<PollerLike<PollOperationState<PrivateEndpointConnectionsCreateResponse>, PrivateEndpointConnectionsCreateResponse>>;
    beginCreateAndWait(resourceGroupName: string, workspaceName: string, privateEndpointConnectionName: string, request: PrivateEndpointConnection, options?: PrivateEndpointConnectionsCreateOptionalParams): Promise<PrivateEndpointConnectionsCreateResponse>;
    beginDelete(resourceGroupName: string, workspaceName: string, privateEndpointConnectionName: string, options?: PrivateEndpointConnectionsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, workspaceName: string, privateEndpointConnectionName: string, options?: PrivateEndpointConnectionsDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, privateEndpointConnectionName: string, options?: PrivateEndpointConnectionsGetOptionalParams): Promise<PrivateEndpointConnectionsGetResponse>;
    list(resourceGroupName: string, workspaceName: string, options?: PrivateEndpointConnectionsListOptionalParams): PagedAsyncIterableIterator<PrivateEndpointConnection>;
}

// @public
export interface PrivateEndpointConnectionsCreateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type PrivateEndpointConnectionsCreateResponse = PrivateEndpointConnection;

// @public
export interface PrivateEndpointConnectionsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface PrivateEndpointConnectionsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateEndpointConnectionsGetResponse = PrivateEndpointConnection;

// @public
export interface PrivateEndpointConnectionsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateEndpointConnectionsListNextResponse = PrivateEndpointConnectionList;

// @public
export interface PrivateEndpointConnectionsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateEndpointConnectionsListResponse = PrivateEndpointConnectionList;

// @public
export interface PrivateEndpointConnectionsPrivateLinkHub {
    get(resourceGroupName: string, privateLinkHubName: string, privateEndpointConnectionName: string, options?: PrivateEndpointConnectionsPrivateLinkHubGetOptionalParams): Promise<PrivateEndpointConnectionsPrivateLinkHubGetResponse>;
    list(resourceGroupName: string, privateLinkHubName: string, options?: PrivateEndpointConnectionsPrivateLinkHubListOptionalParams): PagedAsyncIterableIterator<PrivateEndpointConnectionForPrivateLinkHub>;
}

// @public
export interface PrivateEndpointConnectionsPrivateLinkHubGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateEndpointConnectionsPrivateLinkHubGetResponse = PrivateEndpointConnectionForPrivateLinkHub;

// @public
export interface PrivateEndpointConnectionsPrivateLinkHubListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateEndpointConnectionsPrivateLinkHubListNextResponse = PrivateEndpointConnectionForPrivateLinkHubResourceCollectionResponse;

// @public
export interface PrivateEndpointConnectionsPrivateLinkHubListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateEndpointConnectionsPrivateLinkHubListResponse = PrivateEndpointConnectionForPrivateLinkHubResourceCollectionResponse;

// @public
export type PrivateLinkHub = TrackedResource & {
    provisioningState?: string;
    readonly privateEndpointConnections?: PrivateEndpointConnectionForPrivateLinkHubBasic[];
};

// @public
export interface PrivateLinkHubInfoListResult {
    nextLink?: string;
    value?: PrivateLinkHub[];
}

// @public
export interface PrivateLinkHubPatchInfo {
    tags?: {
        [propertyName: string]: string;
    };
}

// @public
export interface PrivateLinkHubPrivateLinkResources {
    get(resourceGroupName: string, privateLinkHubName: string, privateLinkResourceName: string, options?: PrivateLinkHubPrivateLinkResourcesGetOptionalParams): Promise<PrivateLinkHubPrivateLinkResourcesGetResponse>;
    list(resourceGroupName: string, privateLinkHubName: string, options?: PrivateLinkHubPrivateLinkResourcesListOptionalParams): PagedAsyncIterableIterator<PrivateLinkResource>;
}

// @public
export interface PrivateLinkHubPrivateLinkResourcesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkHubPrivateLinkResourcesGetResponse = PrivateLinkResource;

// @public
export interface PrivateLinkHubPrivateLinkResourcesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkHubPrivateLinkResourcesListNextResponse = PrivateLinkResourceListResult;

// @public
export interface PrivateLinkHubPrivateLinkResourcesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkHubPrivateLinkResourcesListResponse = PrivateLinkResourceListResult;

// @public
export interface PrivateLinkHubs {
    beginDelete(resourceGroupName: string, privateLinkHubName: string, options?: PrivateLinkHubsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, privateLinkHubName: string, options?: PrivateLinkHubsDeleteOptionalParams): Promise<void>;
    createOrUpdate(resourceGroupName: string, privateLinkHubName: string, privateLinkHubInfo: PrivateLinkHub, options?: PrivateLinkHubsCreateOrUpdateOptionalParams): Promise<PrivateLinkHubsCreateOrUpdateResponse>;
    get(resourceGroupName: string, privateLinkHubName: string, options?: PrivateLinkHubsGetOptionalParams): Promise<PrivateLinkHubsGetResponse>;
    list(options?: PrivateLinkHubsListOptionalParams): PagedAsyncIterableIterator<PrivateLinkHub>;
    listByResourceGroup(resourceGroupName: string, options?: PrivateLinkHubsListByResourceGroupOptionalParams): PagedAsyncIterableIterator<PrivateLinkHub>;
    update(resourceGroupName: string, privateLinkHubName: string, privateLinkHubPatchInfo: PrivateLinkHubPatchInfo, options?: PrivateLinkHubsUpdateOptionalParams): Promise<PrivateLinkHubsUpdateResponse>;
}

// @public
export interface PrivateLinkHubsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkHubsCreateOrUpdateResponse = PrivateLinkHub;

// @public
export interface PrivateLinkHubsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface PrivateLinkHubsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkHubsGetResponse = PrivateLinkHub;

// @public
export interface PrivateLinkHubsListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkHubsListByResourceGroupNextResponse = PrivateLinkHubInfoListResult;

// @public
export interface PrivateLinkHubsListByResourceGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkHubsListByResourceGroupResponse = PrivateLinkHubInfoListResult;

// @public
export interface PrivateLinkHubsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkHubsListNextResponse = PrivateLinkHubInfoListResult;

// @public
export interface PrivateLinkHubsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkHubsListResponse = PrivateLinkHubInfoListResult;

// @public
export interface PrivateLinkHubsUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkHubsUpdateResponse = PrivateLinkHub;

// @public
export type PrivateLinkResource = ProxyResource & {
    readonly properties?: PrivateLinkResourceProperties;
};

// @public
export interface PrivateLinkResourceListResult {
    readonly nextLink?: string;
    readonly value?: PrivateLinkResource[];
}

// @public
export interface PrivateLinkResourceProperties {
    readonly groupId?: string;
    readonly requiredMembers?: string[];
    readonly requiredZoneNames?: string[];
}

// @public
export interface PrivateLinkResources {
    get(resourceGroupName: string, workspaceName: string, privateLinkResourceName: string, options?: PrivateLinkResourcesGetOptionalParams): Promise<PrivateLinkResourcesGetResponse>;
    list(resourceGroupName: string, workspaceName: string, options?: PrivateLinkResourcesListOptionalParams): PagedAsyncIterableIterator<PrivateLinkResource>;
}

// @public
export interface PrivateLinkResourcesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkResourcesGetResponse = PrivateLinkResource;

// @public
export interface PrivateLinkResourcesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkResourcesListNextResponse = PrivateLinkResourceListResult;

// @public
export interface PrivateLinkResourcesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type PrivateLinkResourcesListResponse = PrivateLinkResourceListResult;

// @public
export interface PrivateLinkServiceConnectionState {
    readonly actionsRequired?: string;
    description?: string;
    status?: string;
}

// @public
export type ProvisioningState = string;

// @public
export type ProxyResource = Resource & {};

// @public
export interface PurviewConfiguration {
    purviewResourceId?: string;
}

// @public
export type QueryAggregationFunction = "min" | "max" | "avg" | "sum";

// @public
export type QueryExecutionType = "any" | "regular" | "irregular" | "aborted" | "exception";

// @public
export interface QueryInterval {
    readonly executionCount?: number;
    readonly intervalStartTime?: Date;
    readonly metrics?: QueryMetric[];
}

// @public
export interface QueryMetric {
    readonly displayName?: string;
    readonly name?: string;
    readonly unit?: QueryMetricUnit;
    readonly value?: number;
}

// @public
export type QueryMetricUnit = "percentage" | "KB" | "microseconds";

// @public
export type QueryObservedMetricType = "cpu" | "io" | "logio" | "duration" | "executionCount";

// @public
export interface QueryStatistic {
    readonly intervals?: QueryInterval[];
    readonly queryId?: string;
}

// @public
export type ReadOnlyFollowingDatabase = Database & {
    readonly provisioningState?: ResourceProvisioningState;
    readonly softDeletePeriod?: string;
    hotCachePeriod?: string;
    readonly statistics?: DatabaseStatistics;
    readonly leaderClusterResourceId?: string;
    readonly attachedDatabaseConfigurationName?: string;
    readonly principalsModificationKind?: PrincipalsModificationKind;
};

// @public
export type ReadWriteDatabase = Database & {
    readonly provisioningState?: ResourceProvisioningState;
    softDeletePeriod?: string;
    hotCachePeriod?: string;
    readonly statistics?: DatabaseStatistics;
    readonly isFollowed?: boolean;
};

// @public
export type Reason = string;

// @public
export type RecommendedSensitivityLabelUpdate = ProxyResource & {
    op?: RecommendedSensitivityLabelUpdateKind;
    schema?: string;
    table?: string;
    column?: string;
};

// @public
export type RecommendedSensitivityLabelUpdateKind = "enable" | "disable";

// @public
export interface RecommendedSensitivityLabelUpdateList {
    // (undocumented)
    operations?: RecommendedSensitivityLabelUpdate[];
}

// @public
export type RecoverableSqlPool = ProxyResource & {
    readonly edition?: string;
    readonly serviceLevelObjective?: string;
    readonly elasticPoolName?: string;
    readonly lastAvailableBackupDate?: Date;
};

// @public
export interface RecoverableSqlPoolListResult {
    readonly nextLink?: string;
    readonly value?: RecoverableSqlPool[];
}

// @public
export interface ReplaceAllFirewallRulesOperationResponse {
    operationId?: string;
}

// @public
export interface ReplaceAllIpFirewallRulesRequest {
    ipFirewallRules?: {
        [propertyName: string]: IpFirewallRuleProperties;
    };
}

// @public
export type ReplicationLink = ProxyResource & {
    readonly location?: string;
    readonly isTerminationAllowed?: boolean;
    readonly replicationMode?: string;
    readonly partnerServer?: string;
    readonly partnerDatabase?: string;
    readonly partnerLocation?: string;
    readonly role?: ReplicationRole;
    readonly partnerRole?: ReplicationRole;
    readonly startTime?: Date;
    readonly percentComplete?: number;
    readonly replicationState?: ReplicationState;
};

// @public
export interface ReplicationLinkListResult {
    readonly nextLink?: string;
    value?: ReplicationLink[];
}

// @public
export type ReplicationRole = "Primary" | "Secondary" | "NonReadableSecondary" | "Source" | "Copy";

// @public
export type ReplicationState = string;

// @public
export interface Resource {
    readonly id?: string;
    readonly name?: string;
    readonly type?: string;
}

// @public
export type ResourceIdentityType = "None" | "SystemAssigned" | "SystemAssigned,UserAssigned";

// @public
export interface ResourceMoveDefinition {
    id: string;
}

// @public
export type ResourceProvisioningState = string;

// @public
export type RestorableDroppedSqlPool = ProxyResource & {
    readonly location?: string;
    readonly databaseName?: string;
    readonly edition?: string;
    readonly maxSizeBytes?: string;
    readonly serviceLevelObjective?: string;
    readonly elasticPoolName?: string;
    readonly creationDate?: Date;
    readonly deletionDate?: Date;
    readonly earliestRestoreDate?: Date;
};

// @public
export interface RestorableDroppedSqlPoolListResult {
    value: RestorableDroppedSqlPool[];
}

// @public
export interface RestorableDroppedSqlPools {
    get(resourceGroupName: string, workspaceName: string, restorableDroppedSqlPoolId: string, options?: RestorableDroppedSqlPoolsGetOptionalParams): Promise<RestorableDroppedSqlPoolsGetResponse>;
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: RestorableDroppedSqlPoolsListByWorkspaceOptionalParams): PagedAsyncIterableIterator<RestorableDroppedSqlPool>;
}

// @public
export interface RestorableDroppedSqlPoolsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type RestorableDroppedSqlPoolsGetResponse = RestorableDroppedSqlPool;

// @public
export interface RestorableDroppedSqlPoolsListByWorkspaceOptionalParams extends coreClient.OperationOptions {
}

// @public
export type RestorableDroppedSqlPoolsListByWorkspaceResponse = RestorableDroppedSqlPoolListResult;

// @public
export type RestorePoint = ProxyResource & {
    readonly location?: string;
    readonly restorePointType?: RestorePointType;
    readonly earliestRestoreDate?: Date;
    readonly restorePointCreationDate?: Date;
    readonly restorePointLabel?: string;
};

// @public
export interface RestorePointListResult {
    readonly nextLink?: string;
    readonly value?: RestorePoint[];
}

// @public
export type RestorePointType = "CONTINUOUS" | "DISCRETE";

// @public
export interface SecretBase {
    type: "SecureString";
}

// @public (undocumented)
export type SecretBaseUnion = SecretBase | SecureString;

// @public
export type SecureString = SecretBase & {
    type: "SecureString";
    value: string;
};

// @public
export type SecurityAlertPolicyName = string;

// @public
export type SecurityAlertPolicyNameAutoGenerated = string;

// @public
export type SecurityAlertPolicyState = "New" | "Enabled" | "Disabled";

// @public
export type SelfHostedIntegrationRuntime = IntegrationRuntime & {
    type: "SelfHosted";
    linkedInfo?: LinkedIntegrationRuntimeTypeUnion;
};

// @public
export interface SelfHostedIntegrationRuntimeNode {
    [property: string]: any;
    readonly capabilities?: {
        [propertyName: string]: string;
    };
    readonly concurrentJobsLimit?: number;
    readonly expiryTime?: Date;
    readonly hostServiceUri?: string;
    readonly isActiveDispatcher?: boolean;
    readonly lastConnectTime?: Date;
    readonly lastEndUpdateTime?: Date;
    readonly lastStartTime?: Date;
    readonly lastStartUpdateTime?: Date;
    readonly lastStopTime?: Date;
    readonly lastUpdateResult?: IntegrationRuntimeUpdateResult;
    readonly machineName?: string;
    readonly maxConcurrentJobs?: number;
    readonly nodeName?: string;
    readonly registerTime?: Date;
    readonly status?: SelfHostedIntegrationRuntimeNodeStatus;
    readonly version?: string;
    readonly versionStatus?: string;
}

// @public
export type SelfHostedIntegrationRuntimeNodeStatus = string;

// @public
export type SelfHostedIntegrationRuntimeStatus = IntegrationRuntimeStatus & {
    type: "SelfHosted";
    readonly createTime?: Date;
    readonly taskQueueId?: string;
    readonly nodeCommunicationChannelEncryptionMode?: string;
    readonly internalChannelEncryption?: IntegrationRuntimeInternalChannelEncryptionMode;
    readonly version?: string;
    nodes?: SelfHostedIntegrationRuntimeNode[];
    readonly scheduledUpdateDate?: Date;
    readonly updateDelayOffset?: string;
    readonly localTimeZoneOffset?: string;
    readonly capabilities?: {
        [propertyName: string]: string;
    };
    readonly serviceUrls?: string[];
    readonly autoUpdate?: IntegrationRuntimeAutoUpdate;
    readonly versionStatus?: string;
    links?: LinkedIntegrationRuntime[];
    readonly pushedVersion?: string;
    readonly latestVersion?: string;
    readonly autoUpdateETA?: Date;
    serviceRegion?: string;
    newerVersions?: string[];
};

// @public
export type SensitivityLabel = ProxyResource & {
    readonly managedBy?: string;
    readonly schemaName?: string;
    readonly tableName?: string;
    readonly columnName?: string;
    labelName?: string;
    labelId?: string;
    informationType?: string;
    informationTypeId?: string;
    readonly isDisabled?: boolean;
    rank?: SensitivityLabelRank;
};

// @public
export interface SensitivityLabelListResult {
    readonly nextLink?: string;
    readonly value?: SensitivityLabel[];
}

// @public
export type SensitivityLabelRank = "None" | "Low" | "Medium" | "High" | "Critical";

// @public
export type SensitivityLabelSource = "current" | "recommended";

// @public
export type SensitivityLabelUpdate = ProxyResource & {
    op?: SensitivityLabelUpdateKind;
    schema?: string;
    table?: string;
    column?: string;
    sensitivityLabel?: SensitivityLabel;
};

// @public
export type SensitivityLabelUpdateKind = "set" | "remove";

// @public
export interface SensitivityLabelUpdateList {
    // (undocumented)
    operations?: SensitivityLabelUpdate[];
}

// @public
export type ServerBlobAuditingPolicy = ProxyResource & {
    state?: BlobAuditingPolicyState;
    storageEndpoint?: string;
    storageAccountAccessKey?: string;
    retentionDays?: number;
    auditActionsAndGroups?: string[];
    storageAccountSubscriptionId?: string;
    isStorageSecondaryKeyInUse?: boolean;
    isAzureMonitorTargetEnabled?: boolean;
    queueDelayMs?: number;
    isDevopsAuditEnabled?: boolean;
};

// @public
export interface ServerBlobAuditingPolicyListResult {
    readonly nextLink?: string;
    readonly value?: ServerBlobAuditingPolicy[];
}

// @public
export type ServerKeyType = string;

// @public
export type ServerSecurityAlertPolicy = ProxyResource & {
    state?: SecurityAlertPolicyState;
    disabledAlerts?: string[];
    emailAddresses?: string[];
    emailAccountAdmins?: boolean;
    storageEndpoint?: string;
    storageAccountAccessKey?: string;
    retentionDays?: number;
    readonly creationTime?: Date;
};

// @public
export interface ServerSecurityAlertPolicyListResult {
    readonly nextLink?: string;
    readonly value?: ServerSecurityAlertPolicy[];
}

// @public
export interface ServerUsage {
    readonly currentValue?: number;
    readonly displayName?: string;
    readonly limit?: number;
    readonly name?: string;
    readonly nextResetTime?: Date;
    readonly resourceName?: string;
    readonly unit?: string;
}

// @public
export interface ServerUsageListResult {
    readonly nextLink?: string;
    value: ServerUsage[];
}

// @public
export type ServerVulnerabilityAssessment = ProxyResource & {
    storageContainerPath?: string;
    storageContainerSasKey?: string;
    storageAccountAccessKey?: string;
    recurringScans?: VulnerabilityAssessmentRecurringScansProperties;
};

// @public
export interface ServerVulnerabilityAssessmentListResult {
    readonly nextLink?: string;
    readonly value?: ServerVulnerabilityAssessment[];
}

// @public
export interface Sku {
    capacity?: number;
    name?: string;
    tier?: string;
}

// @public
export interface SkuDescription {
    readonly locationInfo?: SkuLocationInfoItem[];
    readonly locations?: string[];
    readonly name?: string;
    readonly resourceType?: string;
    readonly restrictions?: Record<string, unknown>[];
    readonly size?: string;
}

// @public
export interface SkuDescriptionList {
    readonly value?: SkuDescription[];
}

// @public
export interface SkuLocationInfoItem {
    location: string;
    zones?: string[];
}

// @public
export type SkuName = string;

// @public
export type SkuSize = string;

// @public
export interface SparkConfigProperties {
    configurationType?: ConfigurationType;
    content?: string;
    filename?: string;
    readonly time?: Date;
}

// @public
export interface SparkConfiguration {
    get(resourceGroupName: string, sparkConfigurationName: string, workspaceName: string, options?: SparkConfigurationGetOptionalParams): Promise<SparkConfigurationGetResponse>;
}

// @public
export interface SparkConfigurationGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SparkConfigurationGetResponse = SparkConfigurationResource;

// @public
export interface SparkConfigurationListResponse {
    nextLink?: string;
    value: SparkConfigurationResource[];
}

// @public
export type SparkConfigurationResource = SubResource & {
    description?: string;
    configs: {
        [propertyName: string]: string;
    };
    annotations?: string[];
    notes?: string;
    createdBy?: string;
    created?: Date;
};

// @public
export interface SparkConfigurations {
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: SparkConfigurationsListByWorkspaceOptionalParams): PagedAsyncIterableIterator<SparkConfigurationResource>;
}

// @public
export interface SparkConfigurationsListByWorkspaceNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SparkConfigurationsListByWorkspaceNextResponse = SparkConfigurationListResponse;

// @public
export interface SparkConfigurationsListByWorkspaceOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SparkConfigurationsListByWorkspaceResponse = SparkConfigurationListResponse;

// @public
export type SqlPool = TrackedResource & {
    sku?: Sku;
    maxSizeBytes?: number;
    collation?: string;
    sourceDatabaseId?: string;
    recoverableDatabaseId?: string;
    provisioningState?: string;
    readonly status?: string;
    restorePointInTime?: Date;
    createMode?: CreateMode;
    readonly creationDate?: Date;
    storageAccountType?: StorageAccountType;
    sourceDatabaseDeletionDate?: Date;
};

// @public
export interface SqlPoolBlobAuditingPolicies {
    createOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, parameters: SqlPoolBlobAuditingPolicy, options?: SqlPoolBlobAuditingPoliciesCreateOrUpdateOptionalParams): Promise<SqlPoolBlobAuditingPoliciesCreateOrUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolBlobAuditingPoliciesGetOptionalParams): Promise<SqlPoolBlobAuditingPoliciesGetResponse>;
    listBySqlPool(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolBlobAuditingPoliciesListBySqlPoolOptionalParams): PagedAsyncIterableIterator<SqlPoolBlobAuditingPolicy>;
}

// @public
export interface SqlPoolBlobAuditingPoliciesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolBlobAuditingPoliciesCreateOrUpdateResponse = SqlPoolBlobAuditingPolicy;

// @public
export interface SqlPoolBlobAuditingPoliciesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolBlobAuditingPoliciesGetResponse = SqlPoolBlobAuditingPolicy;

// @public
export interface SqlPoolBlobAuditingPoliciesListBySqlPoolNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolBlobAuditingPoliciesListBySqlPoolNextResponse = SqlPoolBlobAuditingPolicyListResult;

// @public
export interface SqlPoolBlobAuditingPoliciesListBySqlPoolOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolBlobAuditingPoliciesListBySqlPoolResponse = SqlPoolBlobAuditingPolicyListResult;

// @public
export type SqlPoolBlobAuditingPolicy = ProxyResource & {
    readonly kind?: string;
    state?: BlobAuditingPolicyState;
    storageEndpoint?: string;
    storageAccountAccessKey?: string;
    retentionDays?: number;
    auditActionsAndGroups?: string[];
    storageAccountSubscriptionId?: string;
    isStorageSecondaryKeyInUse?: boolean;
    isAzureMonitorTargetEnabled?: boolean;
};

// @public
export interface SqlPoolBlobAuditingPolicyListResult {
    readonly nextLink?: string;
    readonly value?: SqlPoolBlobAuditingPolicy[];
}

// @public
export interface SqlPoolBlobAuditingPolicySqlPoolOperationListResult {
    readonly nextLink?: string;
    readonly value?: SqlPoolOperation[];
}

// @public
export type SqlPoolColumn = ProxyResource & {
    columnType?: ColumnDataType;
    readonly isComputed?: boolean;
};

// @public
export interface SqlPoolColumnListResult {
    readonly nextLink?: string;
    readonly value?: SqlPoolColumn[];
}

// @public
export interface SqlPoolColumns {
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, schemaName: string, tableName: string, columnName: string, options?: SqlPoolColumnsGetOptionalParams): Promise<SqlPoolColumnsGetResponse>;
}

// @public
export interface SqlPoolColumnsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolColumnsGetResponse = SqlPoolColumn;

// @public
export interface SqlPoolConnectionPolicies {
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, connectionPolicyName: ConnectionPolicyName, options?: SqlPoolConnectionPoliciesGetOptionalParams): Promise<SqlPoolConnectionPoliciesGetResponse>;
}

// @public
export interface SqlPoolConnectionPoliciesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolConnectionPoliciesGetResponse = SqlPoolConnectionPolicy;

// @public
export type SqlPoolConnectionPolicy = ProxyResource & {
    readonly kind?: string;
    readonly location?: string;
    securityEnabledAccess?: string;
    proxyDnsName?: string;
    proxyPort?: string;
    visibility?: string;
    useServerDefault?: string;
    redirectionState?: string;
    state?: string;
};

// @public
export interface SqlPoolDataWarehouseUserActivities {
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, dataWarehouseUserActivityName: DataWarehouseUserActivityName, options?: SqlPoolDataWarehouseUserActivitiesGetOptionalParams): Promise<SqlPoolDataWarehouseUserActivitiesGetResponse>;
}

// @public
export interface SqlPoolDataWarehouseUserActivitiesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolDataWarehouseUserActivitiesGetResponse = DataWarehouseUserActivities;

// @public
export interface SqlPoolGeoBackupPolicies {
    createOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, geoBackupPolicyName: GeoBackupPolicyName, parameters: GeoBackupPolicy, options?: SqlPoolGeoBackupPoliciesCreateOrUpdateOptionalParams): Promise<SqlPoolGeoBackupPoliciesCreateOrUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, geoBackupPolicyName: GeoBackupPolicyName, options?: SqlPoolGeoBackupPoliciesGetOptionalParams): Promise<SqlPoolGeoBackupPoliciesGetResponse>;
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolGeoBackupPoliciesListOptionalParams): PagedAsyncIterableIterator<GeoBackupPolicy>;
}

// @public
export interface SqlPoolGeoBackupPoliciesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolGeoBackupPoliciesCreateOrUpdateResponse = GeoBackupPolicy;

// @public
export interface SqlPoolGeoBackupPoliciesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolGeoBackupPoliciesGetResponse = GeoBackupPolicy;

// @public
export interface SqlPoolGeoBackupPoliciesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolGeoBackupPoliciesListResponse = GeoBackupPolicyListResult;

// @public
export interface SqlPoolInfoListResult {
    nextLink?: string;
    value?: SqlPool[];
}

// @public
export interface SqlPoolMaintenanceWindowOptions {
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, maintenanceWindowOptionsName: string, options?: SqlPoolMaintenanceWindowOptionsGetOptionalParams): Promise<SqlPoolMaintenanceWindowOptionsGetResponse>;
}

// @public
export interface SqlPoolMaintenanceWindowOptionsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolMaintenanceWindowOptionsGetResponse = MaintenanceWindowOptions;

// @public
export interface SqlPoolMaintenanceWindows {
    createOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, maintenanceWindowName: string, parameters: MaintenanceWindows, options?: SqlPoolMaintenanceWindowsCreateOrUpdateOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, maintenanceWindowName: string, options?: SqlPoolMaintenanceWindowsGetOptionalParams): Promise<SqlPoolMaintenanceWindowsGetResponse>;
}

// @public
export interface SqlPoolMaintenanceWindowsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface SqlPoolMaintenanceWindowsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolMaintenanceWindowsGetResponse = MaintenanceWindows;

// @public
export interface SqlPoolMetadataSyncConfigs {
    create(resourceGroupName: string, workspaceName: string, sqlPoolName: string, metadataSyncConfiguration: MetadataSyncConfig, options?: SqlPoolMetadataSyncConfigsCreateOptionalParams): Promise<SqlPoolMetadataSyncConfigsCreateResponse>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolMetadataSyncConfigsGetOptionalParams): Promise<SqlPoolMetadataSyncConfigsGetResponse>;
}

// @public
export interface SqlPoolMetadataSyncConfigsCreateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolMetadataSyncConfigsCreateResponse = MetadataSyncConfig;

// @public
export interface SqlPoolMetadataSyncConfigsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolMetadataSyncConfigsGetResponse = MetadataSyncConfig;

// @public
export type SqlPoolOperation = ProxyResource & {
    readonly databaseName?: string;
    readonly operation?: string;
    readonly operationFriendlyName?: string;
    readonly percentComplete?: number;
    readonly serverName?: string;
    readonly startTime?: Date;
    readonly state?: ManagementOperationState;
    readonly errorCode?: number;
    readonly errorDescription?: string;
    readonly errorSeverity?: number;
    readonly isUserError?: boolean;
    readonly estimatedCompletionTime?: Date;
    readonly description?: string;
    readonly isCancellable?: boolean;
};

// @public
export interface SqlPoolOperationResults {
    getLocationHeaderResult(resourceGroupName: string, workspaceName: string, sqlPoolName: string, operationId: string, options?: SqlPoolOperationResultsGetLocationHeaderResultOptionalParams): Promise<SqlPoolOperationResultsGetLocationHeaderResultResponse>;
}

// @public
export interface SqlPoolOperationResultsGetLocationHeaderResultOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolOperationResultsGetLocationHeaderResultResponse = Record<string, unknown>;

// @public
export interface SqlPoolOperations {
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolOperationsListOptionalParams): PagedAsyncIterableIterator<SqlPoolOperation>;
}

// @public
export interface SqlPoolOperationsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolOperationsListNextResponse = SqlPoolBlobAuditingPolicySqlPoolOperationListResult;

// @public
export interface SqlPoolOperationsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolOperationsListResponse = SqlPoolBlobAuditingPolicySqlPoolOperationListResult;

// @public
export interface SqlPoolPatchInfo {
    collation?: string;
    createMode?: CreateMode;
    readonly creationDate?: Date;
    location?: string;
    maxSizeBytes?: number;
    provisioningState?: string;
    recoverableDatabaseId?: string;
    restorePointInTime?: Date;
    sku?: Sku;
    sourceDatabaseDeletionDate?: Date;
    sourceDatabaseId?: string;
    readonly status?: string;
    storageAccountType?: StorageAccountType;
    tags?: {
        [propertyName: string]: string;
    };
}

// @public
export interface SqlPoolRecommendedSensitivityLabels {
    update(resourceGroupName: string, workspaceName: string, sqlPoolName: string, parameters: RecommendedSensitivityLabelUpdateList, options?: SqlPoolRecommendedSensitivityLabelsUpdateOptionalParams): Promise<void>;
}

// @public
export interface SqlPoolRecommendedSensitivityLabelsUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface SqlPoolReplicationLinks {
    getByName(resourceGroupName: string, workspaceName: string, sqlPoolName: string, linkId: string, options?: SqlPoolReplicationLinksGetByNameOptionalParams): Promise<SqlPoolReplicationLinksGetByNameResponse>;
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolReplicationLinksListOptionalParams): PagedAsyncIterableIterator<ReplicationLink>;
}

// @public
export interface SqlPoolReplicationLinksGetByNameOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolReplicationLinksGetByNameResponse = ReplicationLink;

// @public
export interface SqlPoolReplicationLinksListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolReplicationLinksListNextResponse = ReplicationLinkListResult;

// @public
export interface SqlPoolReplicationLinksListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolReplicationLinksListResponse = ReplicationLinkListResult;

// @public
export interface SqlPoolRestorePoints {
    beginCreate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, parameters: CreateSqlPoolRestorePointDefinition, options?: SqlPoolRestorePointsCreateOptionalParams): Promise<PollerLike<PollOperationState<SqlPoolRestorePointsCreateResponse>, SqlPoolRestorePointsCreateResponse>>;
    beginCreateAndWait(resourceGroupName: string, workspaceName: string, sqlPoolName: string, parameters: CreateSqlPoolRestorePointDefinition, options?: SqlPoolRestorePointsCreateOptionalParams): Promise<SqlPoolRestorePointsCreateResponse>;
    delete(resourceGroupName: string, workspaceName: string, sqlPoolName: string, restorePointName: string, options?: SqlPoolRestorePointsDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, restorePointName: string, options?: SqlPoolRestorePointsGetOptionalParams): Promise<SqlPoolRestorePointsGetResponse>;
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolRestorePointsListOptionalParams): PagedAsyncIterableIterator<RestorePoint>;
}

// @public
export interface SqlPoolRestorePointsCreateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type SqlPoolRestorePointsCreateResponse = RestorePoint;

// @public
export interface SqlPoolRestorePointsDeleteOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface SqlPoolRestorePointsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolRestorePointsGetResponse = RestorePoint;

// @public
export interface SqlPoolRestorePointsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolRestorePointsListNextResponse = RestorePointListResult;

// @public
export interface SqlPoolRestorePointsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolRestorePointsListResponse = RestorePointListResult;

// @public
export interface SqlPools {
    beginCreate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, sqlPoolInfo: SqlPool, options?: SqlPoolsCreateOptionalParams): Promise<PollerLike<PollOperationState<SqlPoolsCreateResponse>, SqlPoolsCreateResponse>>;
    beginCreateAndWait(resourceGroupName: string, workspaceName: string, sqlPoolName: string, sqlPoolInfo: SqlPool, options?: SqlPoolsCreateOptionalParams): Promise<SqlPoolsCreateResponse>;
    beginDelete(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolsDeleteOptionalParams): Promise<PollerLike<PollOperationState<SqlPoolsDeleteResponse>, SqlPoolsDeleteResponse>>;
    beginDeleteAndWait(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolsDeleteOptionalParams): Promise<SqlPoolsDeleteResponse>;
    beginPause(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolsPauseOptionalParams): Promise<PollerLike<PollOperationState<SqlPoolsPauseResponse>, SqlPoolsPauseResponse>>;
    beginPauseAndWait(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolsPauseOptionalParams): Promise<SqlPoolsPauseResponse>;
    beginResume(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolsResumeOptionalParams): Promise<PollerLike<PollOperationState<SqlPoolsResumeResponse>, SqlPoolsResumeResponse>>;
    beginResumeAndWait(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolsResumeOptionalParams): Promise<SqlPoolsResumeResponse>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolsGetOptionalParams): Promise<SqlPoolsGetResponse>;
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: SqlPoolsListByWorkspaceOptionalParams): PagedAsyncIterableIterator<SqlPool>;
    rename(resourceGroupName: string, workspaceName: string, sqlPoolName: string, parameters: ResourceMoveDefinition, options?: SqlPoolsRenameOptionalParams): Promise<void>;
    update(resourceGroupName: string, workspaceName: string, sqlPoolName: string, sqlPoolInfo: SqlPoolPatchInfo, options?: SqlPoolsUpdateOptionalParams): Promise<SqlPoolsUpdateResponse>;
}

// @public
export type SqlPoolSchema = ProxyResource & {};

// @public
export interface SqlPoolSchemaListResult {
    readonly nextLink?: string;
    readonly value?: SqlPoolSchema[];
}

// @public
export interface SqlPoolSchemas {
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, schemaName: string, options?: SqlPoolSchemasGetOptionalParams): Promise<SqlPoolSchemasGetResponse>;
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolSchemasListOptionalParams): PagedAsyncIterableIterator<SqlPoolSchema>;
}

// @public
export interface SqlPoolSchemasGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolSchemasGetResponse = SqlPoolSchema;

// @public
export interface SqlPoolSchemasListNextOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type SqlPoolSchemasListNextResponse = SqlPoolSchemaListResult;

// @public
export interface SqlPoolSchemasListOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type SqlPoolSchemasListResponse = SqlPoolSchemaListResult;

// @public
export interface SqlPoolsCreateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type SqlPoolsCreateResponse = SqlPool;

// @public
export interface SqlPoolsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type SqlPoolsDeleteResponse = Record<string, unknown>;

// @public
export interface SqlPoolSecurityAlertPolicies {
    createOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, securityAlertPolicyName: SecurityAlertPolicyName, parameters: SqlPoolSecurityAlertPolicy, options?: SqlPoolSecurityAlertPoliciesCreateOrUpdateOptionalParams): Promise<SqlPoolSecurityAlertPoliciesCreateOrUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, securityAlertPolicyName: SecurityAlertPolicyName, options?: SqlPoolSecurityAlertPoliciesGetOptionalParams): Promise<SqlPoolSecurityAlertPoliciesGetResponse>;
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolSecurityAlertPoliciesListOptionalParams): PagedAsyncIterableIterator<SqlPoolSecurityAlertPolicy>;
}

// @public
export interface SqlPoolSecurityAlertPoliciesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolSecurityAlertPoliciesCreateOrUpdateResponse = SqlPoolSecurityAlertPolicy;

// @public
export interface SqlPoolSecurityAlertPoliciesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolSecurityAlertPoliciesGetResponse = SqlPoolSecurityAlertPolicy;

// @public
export interface SqlPoolSecurityAlertPoliciesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolSecurityAlertPoliciesListNextResponse = ListSqlPoolSecurityAlertPolicies;

// @public
export interface SqlPoolSecurityAlertPoliciesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolSecurityAlertPoliciesListResponse = ListSqlPoolSecurityAlertPolicies;

// @public
export type SqlPoolSecurityAlertPolicy = ProxyResource & {
    state?: SecurityAlertPolicyState;
    disabledAlerts?: string[];
    emailAddresses?: string[];
    emailAccountAdmins?: boolean;
    storageEndpoint?: string;
    storageAccountAccessKey?: string;
    retentionDays?: number;
    readonly creationTime?: Date;
};

// @public
export interface SqlPoolSensitivityLabels {
    createOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, schemaName: string, tableName: string, columnName: string, parameters: SensitivityLabel, options?: SqlPoolSensitivityLabelsCreateOrUpdateOptionalParams): Promise<SqlPoolSensitivityLabelsCreateOrUpdateResponse>;
    delete(resourceGroupName: string, workspaceName: string, sqlPoolName: string, schemaName: string, tableName: string, columnName: string, options?: SqlPoolSensitivityLabelsDeleteOptionalParams): Promise<void>;
    disableRecommendation(resourceGroupName: string, workspaceName: string, sqlPoolName: string, schemaName: string, tableName: string, columnName: string, options?: SqlPoolSensitivityLabelsDisableRecommendationOptionalParams): Promise<void>;
    enableRecommendation(resourceGroupName: string, workspaceName: string, sqlPoolName: string, schemaName: string, tableName: string, columnName: string, options?: SqlPoolSensitivityLabelsEnableRecommendationOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, schemaName: string, tableName: string, columnName: string, sensitivityLabelSource: SensitivityLabelSource, options?: SqlPoolSensitivityLabelsGetOptionalParams): Promise<SqlPoolSensitivityLabelsGetResponse>;
    listCurrent(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolSensitivityLabelsListCurrentOptionalParams): PagedAsyncIterableIterator<SensitivityLabel>;
    listRecommended(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolSensitivityLabelsListRecommendedOptionalParams): PagedAsyncIterableIterator<SensitivityLabel>;
    update(resourceGroupName: string, workspaceName: string, sqlPoolName: string, parameters: SensitivityLabelUpdateList, options?: SqlPoolSensitivityLabelsUpdateOptionalParams): Promise<void>;
}

// @public
export interface SqlPoolSensitivityLabelsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolSensitivityLabelsCreateOrUpdateResponse = SensitivityLabel;

// @public
export interface SqlPoolSensitivityLabelsDeleteOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface SqlPoolSensitivityLabelsDisableRecommendationOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface SqlPoolSensitivityLabelsEnableRecommendationOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface SqlPoolSensitivityLabelsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolSensitivityLabelsGetResponse = SensitivityLabel;

// @public
export interface SqlPoolSensitivityLabelsListCurrentNextOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type SqlPoolSensitivityLabelsListCurrentNextResponse = SensitivityLabelListResult;

// @public
export interface SqlPoolSensitivityLabelsListCurrentOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type SqlPoolSensitivityLabelsListCurrentResponse = SensitivityLabelListResult;

// @public
export interface SqlPoolSensitivityLabelsListRecommendedNextOptionalParams extends coreClient.OperationOptions {
    filter?: string;
    includeDisabledRecommendations?: boolean;
    skipToken?: string;
}

// @public
export type SqlPoolSensitivityLabelsListRecommendedNextResponse = SensitivityLabelListResult;

// @public
export interface SqlPoolSensitivityLabelsListRecommendedOptionalParams extends coreClient.OperationOptions {
    filter?: string;
    includeDisabledRecommendations?: boolean;
    skipToken?: string;
}

// @public
export type SqlPoolSensitivityLabelsListRecommendedResponse = SensitivityLabelListResult;

// @public
export interface SqlPoolSensitivityLabelsUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface SqlPoolsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolsGetResponse = SqlPool;

// @public
export interface SqlPoolsListByWorkspaceNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolsListByWorkspaceNextResponse = SqlPoolInfoListResult;

// @public
export interface SqlPoolsListByWorkspaceOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolsListByWorkspaceResponse = SqlPoolInfoListResult;

// @public
export interface SqlPoolsPauseOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type SqlPoolsPauseResponse = Record<string, unknown>;

// @public
export interface SqlPoolsRenameOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface SqlPoolsResumeOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type SqlPoolsResumeResponse = Record<string, unknown>;

// @public
export interface SqlPoolsUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolsUpdateResponse = SqlPool;

// @public
export type SqlPoolTable = ProxyResource & {};

// @public
export interface SqlPoolTableColumns {
    listByTableName(resourceGroupName: string, workspaceName: string, sqlPoolName: string, schemaName: string, tableName: string, options?: SqlPoolTableColumnsListByTableNameOptionalParams): PagedAsyncIterableIterator<SqlPoolColumn>;
}

// @public
export interface SqlPoolTableColumnsListByTableNameNextOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type SqlPoolTableColumnsListByTableNameNextResponse = SqlPoolColumnListResult;

// @public
export interface SqlPoolTableColumnsListByTableNameOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type SqlPoolTableColumnsListByTableNameResponse = SqlPoolColumnListResult;

// @public
export interface SqlPoolTableListResult {
    readonly nextLink?: string;
    readonly value?: SqlPoolTable[];
}

// @public
export interface SqlPoolTables {
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, schemaName: string, tableName: string, options?: SqlPoolTablesGetOptionalParams): Promise<SqlPoolTablesGetResponse>;
    listBySchema(resourceGroupName: string, workspaceName: string, sqlPoolName: string, schemaName: string, options?: SqlPoolTablesListBySchemaOptionalParams): PagedAsyncIterableIterator<SqlPoolTable>;
}

// @public
export interface SqlPoolTablesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolTablesGetResponse = SqlPoolTable;

// @public
export interface SqlPoolTablesListBySchemaNextOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type SqlPoolTablesListBySchemaNextResponse = SqlPoolTableListResult;

// @public
export interface SqlPoolTablesListBySchemaOptionalParams extends coreClient.OperationOptions {
    filter?: string;
}

// @public
export type SqlPoolTablesListBySchemaResponse = SqlPoolTableListResult;

// @public
export interface SqlPoolTransparentDataEncryptions {
    createOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, transparentDataEncryptionName: TransparentDataEncryptionName, parameters: TransparentDataEncryption, options?: SqlPoolTransparentDataEncryptionsCreateOrUpdateOptionalParams): Promise<SqlPoolTransparentDataEncryptionsCreateOrUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, transparentDataEncryptionName: TransparentDataEncryptionName, options?: SqlPoolTransparentDataEncryptionsGetOptionalParams): Promise<SqlPoolTransparentDataEncryptionsGetResponse>;
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolTransparentDataEncryptionsListOptionalParams): PagedAsyncIterableIterator<TransparentDataEncryption>;
}

// @public
export interface SqlPoolTransparentDataEncryptionsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolTransparentDataEncryptionsCreateOrUpdateResponse = TransparentDataEncryption;

// @public
export interface SqlPoolTransparentDataEncryptionsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolTransparentDataEncryptionsGetResponse = TransparentDataEncryption;

// @public
export interface SqlPoolTransparentDataEncryptionsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolTransparentDataEncryptionsListNextResponse = TransparentDataEncryptionListResult;

// @public
export interface SqlPoolTransparentDataEncryptionsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolTransparentDataEncryptionsListResponse = TransparentDataEncryptionListResult;

// @public
export interface SqlPoolUsage {
    readonly currentValue?: number;
    readonly displayName?: string;
    readonly limit?: number;
    readonly name?: string;
    readonly nextResetTime?: Date;
    readonly resourceName?: string;
    readonly unit?: string;
}

// @public
export interface SqlPoolUsageListResult {
    readonly nextLink?: string;
    value: SqlPoolUsage[];
}

// @public
export interface SqlPoolUsages {
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolUsagesListOptionalParams): PagedAsyncIterableIterator<SqlPoolUsage>;
}

// @public
export interface SqlPoolUsagesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolUsagesListNextResponse = SqlPoolUsageListResult;

// @public
export interface SqlPoolUsagesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolUsagesListResponse = SqlPoolUsageListResult;

// @public
export type SqlPoolVulnerabilityAssessment = ProxyResource & {
    storageContainerPath?: string;
    storageContainerSasKey?: string;
    storageAccountAccessKey?: string;
    recurringScans?: VulnerabilityAssessmentRecurringScansProperties;
};

// @public
export interface SqlPoolVulnerabilityAssessmentListResult {
    readonly nextLink?: string;
    readonly value?: SqlPoolVulnerabilityAssessment[];
}

// @public
export type SqlPoolVulnerabilityAssessmentRuleBaseline = ProxyResource & {
    baselineResults?: SqlPoolVulnerabilityAssessmentRuleBaselineItem[];
};

// @public
export interface SqlPoolVulnerabilityAssessmentRuleBaselineItem {
    result: string[];
}

// @public
export interface SqlPoolVulnerabilityAssessmentRuleBaselines {
    createOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, ruleId: string, baselineName: VulnerabilityAssessmentPolicyBaselineName, parameters: SqlPoolVulnerabilityAssessmentRuleBaseline, options?: SqlPoolVulnerabilityAssessmentRuleBaselinesCreateOrUpdateOptionalParams): Promise<SqlPoolVulnerabilityAssessmentRuleBaselinesCreateOrUpdateResponse>;
    delete(resourceGroupName: string, workspaceName: string, sqlPoolName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, ruleId: string, baselineName: VulnerabilityAssessmentPolicyBaselineName, options?: SqlPoolVulnerabilityAssessmentRuleBaselinesDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, ruleId: string, baselineName: VulnerabilityAssessmentPolicyBaselineName, options?: SqlPoolVulnerabilityAssessmentRuleBaselinesGetOptionalParams): Promise<SqlPoolVulnerabilityAssessmentRuleBaselinesGetResponse>;
}

// @public
export interface SqlPoolVulnerabilityAssessmentRuleBaselinesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolVulnerabilityAssessmentRuleBaselinesCreateOrUpdateResponse = SqlPoolVulnerabilityAssessmentRuleBaseline;

// @public
export interface SqlPoolVulnerabilityAssessmentRuleBaselinesDeleteOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface SqlPoolVulnerabilityAssessmentRuleBaselinesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolVulnerabilityAssessmentRuleBaselinesGetResponse = SqlPoolVulnerabilityAssessmentRuleBaseline;

// @public
export interface SqlPoolVulnerabilityAssessments {
    createOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, parameters: SqlPoolVulnerabilityAssessment, options?: SqlPoolVulnerabilityAssessmentsCreateOrUpdateOptionalParams): Promise<SqlPoolVulnerabilityAssessmentsCreateOrUpdateResponse>;
    delete(resourceGroupName: string, workspaceName: string, sqlPoolName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, options?: SqlPoolVulnerabilityAssessmentsDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, options?: SqlPoolVulnerabilityAssessmentsGetOptionalParams): Promise<SqlPoolVulnerabilityAssessmentsGetResponse>;
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolVulnerabilityAssessmentsListOptionalParams): PagedAsyncIterableIterator<SqlPoolVulnerabilityAssessment>;
}

// @public
export interface SqlPoolVulnerabilityAssessmentScans {
    beginInitiateScan(resourceGroupName: string, workspaceName: string, sqlPoolName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, scanId: string, options?: SqlPoolVulnerabilityAssessmentScansInitiateScanOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginInitiateScanAndWait(resourceGroupName: string, workspaceName: string, sqlPoolName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, scanId: string, options?: SqlPoolVulnerabilityAssessmentScansInitiateScanOptionalParams): Promise<void>;
    export(resourceGroupName: string, workspaceName: string, sqlPoolName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, scanId: string, options?: SqlPoolVulnerabilityAssessmentScansExportOptionalParams): Promise<SqlPoolVulnerabilityAssessmentScansExportResponse>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, scanId: string, options?: SqlPoolVulnerabilityAssessmentScansGetOptionalParams): Promise<SqlPoolVulnerabilityAssessmentScansGetResponse>;
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, options?: SqlPoolVulnerabilityAssessmentScansListOptionalParams): PagedAsyncIterableIterator<VulnerabilityAssessmentScanRecord>;
}

// @public
export type SqlPoolVulnerabilityAssessmentScansExport = ProxyResource & {
    readonly exportedReportLocation?: string;
};

// @public
export interface SqlPoolVulnerabilityAssessmentScansExportOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolVulnerabilityAssessmentScansExportResponse = SqlPoolVulnerabilityAssessmentScansExport;

// @public
export interface SqlPoolVulnerabilityAssessmentScansGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolVulnerabilityAssessmentScansGetResponse = VulnerabilityAssessmentScanRecord;

// @public
export interface SqlPoolVulnerabilityAssessmentScansInitiateScanOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface SqlPoolVulnerabilityAssessmentScansListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolVulnerabilityAssessmentScansListNextResponse = VulnerabilityAssessmentScanRecordListResult;

// @public
export interface SqlPoolVulnerabilityAssessmentScansListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolVulnerabilityAssessmentScansListResponse = VulnerabilityAssessmentScanRecordListResult;

// @public
export interface SqlPoolVulnerabilityAssessmentsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolVulnerabilityAssessmentsCreateOrUpdateResponse = SqlPoolVulnerabilityAssessment;

// @public
export interface SqlPoolVulnerabilityAssessmentsDeleteOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface SqlPoolVulnerabilityAssessmentsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolVulnerabilityAssessmentsGetResponse = SqlPoolVulnerabilityAssessment;

// @public
export interface SqlPoolVulnerabilityAssessmentsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolVulnerabilityAssessmentsListNextResponse = SqlPoolVulnerabilityAssessmentListResult;

// @public
export interface SqlPoolVulnerabilityAssessmentsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolVulnerabilityAssessmentsListResponse = SqlPoolVulnerabilityAssessmentListResult;

// @public
export interface SqlPoolWorkloadClassifier {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, workloadGroupName: string, workloadClassifierName: string, parameters: WorkloadClassifier, options?: SqlPoolWorkloadClassifierCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<SqlPoolWorkloadClassifierCreateOrUpdateResponse>, SqlPoolWorkloadClassifierCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, sqlPoolName: string, workloadGroupName: string, workloadClassifierName: string, parameters: WorkloadClassifier, options?: SqlPoolWorkloadClassifierCreateOrUpdateOptionalParams): Promise<SqlPoolWorkloadClassifierCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, workspaceName: string, sqlPoolName: string, workloadGroupName: string, workloadClassifierName: string, options?: SqlPoolWorkloadClassifierDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, workspaceName: string, sqlPoolName: string, workloadGroupName: string, workloadClassifierName: string, options?: SqlPoolWorkloadClassifierDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, workloadGroupName: string, workloadClassifierName: string, options?: SqlPoolWorkloadClassifierGetOptionalParams): Promise<SqlPoolWorkloadClassifierGetResponse>;
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, workloadGroupName: string, options?: SqlPoolWorkloadClassifierListOptionalParams): PagedAsyncIterableIterator<WorkloadClassifier>;
}

// @public
export interface SqlPoolWorkloadClassifierCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type SqlPoolWorkloadClassifierCreateOrUpdateResponse = WorkloadClassifier;

// @public
export interface SqlPoolWorkloadClassifierDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface SqlPoolWorkloadClassifierGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolWorkloadClassifierGetResponse = WorkloadClassifier;

// @public
export interface SqlPoolWorkloadClassifierListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolWorkloadClassifierListNextResponse = WorkloadClassifierListResult;

// @public
export interface SqlPoolWorkloadClassifierListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolWorkloadClassifierListResponse = WorkloadClassifierListResult;

// @public
export interface SqlPoolWorkloadGroup {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, sqlPoolName: string, workloadGroupName: string, parameters: WorkloadGroup, options?: SqlPoolWorkloadGroupCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<SqlPoolWorkloadGroupCreateOrUpdateResponse>, SqlPoolWorkloadGroupCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, sqlPoolName: string, workloadGroupName: string, parameters: WorkloadGroup, options?: SqlPoolWorkloadGroupCreateOrUpdateOptionalParams): Promise<SqlPoolWorkloadGroupCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, workspaceName: string, sqlPoolName: string, workloadGroupName: string, options?: SqlPoolWorkloadGroupDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, workspaceName: string, sqlPoolName: string, workloadGroupName: string, options?: SqlPoolWorkloadGroupDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, workloadGroupName: string, options?: SqlPoolWorkloadGroupGetOptionalParams): Promise<SqlPoolWorkloadGroupGetResponse>;
    list(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: SqlPoolWorkloadGroupListOptionalParams): PagedAsyncIterableIterator<WorkloadGroup>;
}

// @public
export interface SqlPoolWorkloadGroupCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type SqlPoolWorkloadGroupCreateOrUpdateResponse = WorkloadGroup;

// @public
export interface SqlPoolWorkloadGroupDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface SqlPoolWorkloadGroupGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolWorkloadGroupGetResponse = WorkloadGroup;

// @public
export interface SqlPoolWorkloadGroupListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolWorkloadGroupListNextResponse = WorkloadGroupListResult;

// @public
export interface SqlPoolWorkloadGroupListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type SqlPoolWorkloadGroupListResponse = WorkloadGroupListResult;

// @public
export type SsisEnvironment = SsisObjectMetadata & {
    type: "Environment";
    folderId?: number;
    variables?: SsisVariable[];
};

// @public
export interface SsisEnvironmentReference {
    environmentFolderName?: string;
    environmentName?: string;
    id?: number;
    referenceType?: string;
}

// @public
export type SsisFolder = SsisObjectMetadata & {
    type: "Folder";
};

// @public
export interface SsisObjectMetadata {
    description?: string;
    id?: number;
    name?: string;
    type: "Folder" | "Project" | "Package" | "Environment";
}

// @public
export interface SsisObjectMetadataListResponse {
    nextLink?: string;
    value?: SsisObjectMetadataUnion[];
}

// @public
export interface SsisObjectMetadataStatusResponse {
    error?: string;
    name?: string;
    properties?: string;
    status?: string;
}

// @public
export type SsisObjectMetadataType = string;

// @public (undocumented)
export type SsisObjectMetadataUnion = SsisObjectMetadata | SsisFolder | SsisProject | SsisPackage | SsisEnvironment;

// @public
export type SsisPackage = SsisObjectMetadata & {
    type: "Package";
    folderId?: number;
    projectVersion?: number;
    projectId?: number;
    parameters?: SsisParameter[];
};

// @public
export interface SsisParameter {
    dataType?: string;
    defaultValue?: string;
    description?: string;
    designDefaultValue?: string;
    id?: number;
    name?: string;
    required?: boolean;
    sensitive?: boolean;
    sensitiveDefaultValue?: string;
    valueSet?: boolean;
    valueType?: string;
    variable?: string;
}

// @public
export type SsisProject = SsisObjectMetadata & {
    type: "Project";
    folderId?: number;
    version?: number;
    environmentRefs?: SsisEnvironmentReference[];
    parameters?: SsisParameter[];
};

// @public
export interface SsisVariable {
    dataType?: string;
    description?: string;
    id?: number;
    name?: string;
    sensitive?: boolean;
    sensitiveValue?: string;
    value?: string;
}

// @public
export type State = string;

// @public
export type StateValue = string;

// @public
export type StorageAccountType = string;

// @public
export type SubResource = AzureEntityResource & {};

// @public (undocumented)
export class SynapseManagementClient extends coreClient.ServiceClient {
    // (undocumented)
    $host: string;
    constructor(credentials: coreAuth.TokenCredential, subscriptionId: string, options?: SynapseManagementClientOptionalParams);
    // (undocumented)
    azureADOnlyAuthentications: AzureADOnlyAuthentications;
    // (undocumented)
    bigDataPools: BigDataPools;
    // (undocumented)
    dataMaskingPolicies: DataMaskingPolicies;
    // (undocumented)
    dataMaskingRules: DataMaskingRules;
    // (undocumented)
    extendedSqlPoolBlobAuditingPolicies: ExtendedSqlPoolBlobAuditingPolicies;
    // (undocumented)
    integrationRuntimeAuthKeysOperations: IntegrationRuntimeAuthKeysOperations;
    // (undocumented)
    integrationRuntimeConnectionInfos: IntegrationRuntimeConnectionInfos;
    // (undocumented)
    integrationRuntimeCredentials: IntegrationRuntimeCredentials;
    // (undocumented)
    integrationRuntimeMonitoringDataOperations: IntegrationRuntimeMonitoringDataOperations;
    // (undocumented)
    integrationRuntimeNodeIpAddressOperations: IntegrationRuntimeNodeIpAddressOperations;
    // (undocumented)
    integrationRuntimeNodes: IntegrationRuntimeNodes;
    // (undocumented)
    integrationRuntimeObjectMetadata: IntegrationRuntimeObjectMetadata;
    // (undocumented)
    integrationRuntimes: IntegrationRuntimes;
    // (undocumented)
    integrationRuntimeStatusOperations: IntegrationRuntimeStatusOperations;
    // (undocumented)
    ipFirewallRules: IpFirewallRules;
    // (undocumented)
    keys: Keys;
    // (undocumented)
    kustoOperations: KustoOperations;
    // (undocumented)
    kustoPoolAttachedDatabaseConfigurations: KustoPoolAttachedDatabaseConfigurations;
    // (undocumented)
    kustoPoolChildResource: KustoPoolChildResource;
    // (undocumented)
    kustoPoolDatabasePrincipalAssignments: KustoPoolDatabasePrincipalAssignments;
    // (undocumented)
    kustoPoolDatabases: KustoPoolDatabases;
    // (undocumented)
    kustoPoolDataConnections: KustoPoolDataConnections;
    // (undocumented)
    kustoPoolPrincipalAssignments: KustoPoolPrincipalAssignments;
    // (undocumented)
    kustoPools: KustoPools;
    // (undocumented)
    libraries: Libraries;
    // (undocumented)
    library: Library;
    // (undocumented)
    operations: Operations;
    // (undocumented)
    privateEndpointConnections: PrivateEndpointConnections;
    // (undocumented)
    privateEndpointConnectionsPrivateLinkHub: PrivateEndpointConnectionsPrivateLinkHub;
    // (undocumented)
    privateLinkHubPrivateLinkResources: PrivateLinkHubPrivateLinkResources;
    // (undocumented)
    privateLinkHubs: PrivateLinkHubs;
    // (undocumented)
    privateLinkResources: PrivateLinkResources;
    // (undocumented)
    restorableDroppedSqlPools: RestorableDroppedSqlPools;
    // (undocumented)
    sparkConfiguration: SparkConfiguration;
    // (undocumented)
    sparkConfigurations: SparkConfigurations;
    // (undocumented)
    sqlPoolBlobAuditingPolicies: SqlPoolBlobAuditingPolicies;
    // (undocumented)
    sqlPoolColumns: SqlPoolColumns;
    // (undocumented)
    sqlPoolConnectionPolicies: SqlPoolConnectionPolicies;
    // (undocumented)
    sqlPoolDataWarehouseUserActivities: SqlPoolDataWarehouseUserActivities;
    // (undocumented)
    sqlPoolGeoBackupPolicies: SqlPoolGeoBackupPolicies;
    // (undocumented)
    sqlPoolMaintenanceWindowOptions: SqlPoolMaintenanceWindowOptions;
    // (undocumented)
    sqlPoolMaintenanceWindows: SqlPoolMaintenanceWindows;
    // (undocumented)
    sqlPoolMetadataSyncConfigs: SqlPoolMetadataSyncConfigs;
    // (undocumented)
    sqlPoolOperationResults: SqlPoolOperationResults;
    // (undocumented)
    sqlPoolOperations: SqlPoolOperations;
    // (undocumented)
    sqlPoolRecommendedSensitivityLabels: SqlPoolRecommendedSensitivityLabels;
    // (undocumented)
    sqlPoolReplicationLinks: SqlPoolReplicationLinks;
    // (undocumented)
    sqlPoolRestorePoints: SqlPoolRestorePoints;
    // (undocumented)
    sqlPools: SqlPools;
    // (undocumented)
    sqlPoolSchemas: SqlPoolSchemas;
    // (undocumented)
    sqlPoolSecurityAlertPolicies: SqlPoolSecurityAlertPolicies;
    // (undocumented)
    sqlPoolSensitivityLabels: SqlPoolSensitivityLabels;
    // (undocumented)
    sqlPoolTableColumns: SqlPoolTableColumns;
    // (undocumented)
    sqlPoolTables: SqlPoolTables;
    // (undocumented)
    sqlPoolTransparentDataEncryptions: SqlPoolTransparentDataEncryptions;
    // (undocumented)
    sqlPoolUsages: SqlPoolUsages;
    // (undocumented)
    sqlPoolVulnerabilityAssessmentRuleBaselines: SqlPoolVulnerabilityAssessmentRuleBaselines;
    // (undocumented)
    sqlPoolVulnerabilityAssessments: SqlPoolVulnerabilityAssessments;
    // (undocumented)
    sqlPoolVulnerabilityAssessmentScans: SqlPoolVulnerabilityAssessmentScans;
    // (undocumented)
    sqlPoolWorkloadClassifier: SqlPoolWorkloadClassifier;
    // (undocumented)
    sqlPoolWorkloadGroup: SqlPoolWorkloadGroup;
    // (undocumented)
    subscriptionId: string;
    // (undocumented)
    workspaceAadAdmins: WorkspaceAadAdmins;
    // (undocumented)
    workspaceManagedIdentitySqlControlSettings: WorkspaceManagedIdentitySqlControlSettings;
    // (undocumented)
    workspaceManagedSqlServerBlobAuditingPolicies: WorkspaceManagedSqlServerBlobAuditingPolicies;
    // (undocumented)
    workspaceManagedSqlServerEncryptionProtector: WorkspaceManagedSqlServerEncryptionProtector;
    // (undocumented)
    workspaceManagedSqlServerExtendedBlobAuditingPolicies: WorkspaceManagedSqlServerExtendedBlobAuditingPolicies;
    // (undocumented)
    workspaceManagedSqlServerRecoverableSqlPools: WorkspaceManagedSqlServerRecoverableSqlPools;
    // (undocumented)
    workspaceManagedSqlServerSecurityAlertPolicy: WorkspaceManagedSqlServerSecurityAlertPolicy;
    // (undocumented)
    workspaceManagedSqlServerUsages: WorkspaceManagedSqlServerUsages;
    // (undocumented)
    workspaceManagedSqlServerVulnerabilityAssessments: WorkspaceManagedSqlServerVulnerabilityAssessments;
    // (undocumented)
    workspaces: Workspaces;
    // (undocumented)
    workspaceSqlAadAdmins: WorkspaceSqlAadAdmins;
}

// @public
export interface SynapseManagementClientOptionalParams extends coreClient.ServiceClientOptions {
    $host?: string;
    endpoint?: string;
}

// @public
export interface SystemData {
    createdAt?: Date;
    createdBy?: string;
    createdByType?: CreatedByType;
    lastModifiedAt?: Date;
    lastModifiedBy?: string;
    lastModifiedByType?: CreatedByType;
}

// @public
export interface TableLevelSharingProperties {
    externalTablesToExclude?: string[];
    externalTablesToInclude?: string[];
    materializedViewsToExclude?: string[];
    materializedViewsToInclude?: string[];
    tablesToExclude?: string[];
    tablesToInclude?: string[];
}

// @public
export interface TopQueries {
    readonly aggregationFunction?: QueryAggregationFunction;
    readonly executionType?: QueryExecutionType;
    readonly intervalType?: string;
    readonly numberOfTopQueries?: number;
    readonly observationEndTime?: Date;
    readonly observationStartTime?: Date;
    readonly observedMetric?: QueryObservedMetricType;
    readonly queries?: QueryStatistic[];
}

// @public
export interface TopQueriesListResult {
    value: TopQueries[];
}

// @public
export type TrackedResource = Resource & {
    tags?: {
        [propertyName: string]: string;
    };
    location: string;
};

// @public
export type TransparentDataEncryption = ProxyResource & {
    readonly location?: string;
    status?: TransparentDataEncryptionStatus;
};

// @public
export interface TransparentDataEncryptionListResult {
    readonly nextLink?: string;
    readonly value?: TransparentDataEncryption[];
}

// @public
export type TransparentDataEncryptionName = string;

// @public
export type TransparentDataEncryptionStatus = "Enabled" | "Disabled";

// @public
export type Type = "Microsoft.Synapse/workspaces/kustoPools/databases" | "Microsoft.Synapse/workspaces/kustoPools/attachedDatabaseConfigurations";

// @public
export interface UpdateIntegrationRuntimeNodeRequest {
    concurrentJobsLimit?: number;
}

// @public
export interface UpdateIntegrationRuntimeRequest {
    autoUpdate?: IntegrationRuntimeAutoUpdate;
    updateDelayOffset?: string;
}

// @public
export interface UserAssignedManagedIdentity {
    readonly clientId?: string;
    readonly principalId?: string;
}

// @public
export interface VirtualNetworkProfile {
    computeSubnetId?: string;
}

// @public
export type VulnerabilityAssessmentName = string;

// @public
export type VulnerabilityAssessmentPolicyBaselineName = "master" | "default";

// @public
export interface VulnerabilityAssessmentRecurringScansProperties {
    emails?: string[];
    emailSubscriptionAdmins?: boolean;
    isEnabled?: boolean;
}

// @public
export interface VulnerabilityAssessmentScanError {
    readonly code?: string;
    readonly message?: string;
}

// @public
export type VulnerabilityAssessmentScanRecord = ProxyResource & {
    readonly scanId?: string;
    readonly triggerType?: VulnerabilityAssessmentScanTriggerType;
    readonly state?: VulnerabilityAssessmentScanState;
    readonly startTime?: Date;
    readonly endTime?: Date;
    readonly errors?: VulnerabilityAssessmentScanError[];
    readonly storageContainerPath?: string;
    readonly numberOfFailedSecurityChecks?: number;
};

// @public
export interface VulnerabilityAssessmentScanRecordListResult {
    readonly nextLink?: string;
    readonly value?: VulnerabilityAssessmentScanRecord[];
}

// @public
export type VulnerabilityAssessmentScanState = string;

// @public
export type VulnerabilityAssessmentScanTriggerType = string;

// @public
export type WorkloadClassifier = ProxyResource & {
    memberName?: string;
    label?: string;
    context?: string;
    startTime?: string;
    endTime?: string;
    importance?: string;
};

// @public
export interface WorkloadClassifierListResult {
    readonly nextLink?: string;
    readonly value?: WorkloadClassifier[];
}

// @public
export type WorkloadGroup = ProxyResource & {
    minResourcePercent?: number;
    maxResourcePercent?: number;
    minResourcePercentPerRequest?: number;
    maxResourcePercentPerRequest?: number;
    importance?: string;
    queryExecutionTimeout?: number;
};

// @public
export interface WorkloadGroupListResult {
    readonly nextLink?: string;
    readonly value?: WorkloadGroup[];
}

// @public
export type Workspace = TrackedResource & {
    identity?: ManagedIdentity;
    defaultDataLakeStorage?: DataLakeStorageAccountDetails;
    sqlAdministratorLoginPassword?: string;
    managedResourceGroupName?: string;
    readonly provisioningState?: string;
    sqlAdministratorLogin?: string;
    virtualNetworkProfile?: VirtualNetworkProfile;
    connectivityEndpoints?: {
        [propertyName: string]: string;
    };
    managedVirtualNetwork?: string;
    privateEndpointConnections?: PrivateEndpointConnection[];
    encryption?: EncryptionDetails;
    readonly workspaceUID?: string;
    readonly extraProperties?: {
        [propertyName: string]: Record<string, unknown>;
    };
    managedVirtualNetworkSettings?: ManagedVirtualNetworkSettings;
    workspaceRepositoryConfiguration?: WorkspaceRepositoryConfiguration;
    purviewConfiguration?: PurviewConfiguration;
    readonly adlaResourceId?: string;
    publicNetworkAccess?: WorkspacePublicNetworkAccess;
    cspWorkspaceAdminProperties?: CspWorkspaceAdminProperties;
    readonly settings?: {
        [propertyName: string]: Record<string, unknown>;
    };
    azureADOnlyAuthentication?: boolean;
    trustedServiceBypassEnabled?: boolean;
};

// @public
export type WorkspaceAadAdminInfo = ProxyResource & {
    tenantId?: string;
    login?: string;
    administratorType?: string;
    sid?: string;
};

// @public
export interface WorkspaceAadAdmins {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, aadAdminInfo: WorkspaceAadAdminInfo, options?: WorkspaceAadAdminsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<WorkspaceAadAdminsCreateOrUpdateResponse>, WorkspaceAadAdminsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, aadAdminInfo: WorkspaceAadAdminInfo, options?: WorkspaceAadAdminsCreateOrUpdateOptionalParams): Promise<WorkspaceAadAdminsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, workspaceName: string, options?: WorkspaceAadAdminsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, workspaceName: string, options?: WorkspaceAadAdminsDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, options?: WorkspaceAadAdminsGetOptionalParams): Promise<WorkspaceAadAdminsGetResponse>;
}

// @public
export interface WorkspaceAadAdminsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type WorkspaceAadAdminsCreateOrUpdateResponse = WorkspaceAadAdminInfo;

// @public
export interface WorkspaceAadAdminsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface WorkspaceAadAdminsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceAadAdminsGetResponse = WorkspaceAadAdminInfo;

// @public
export interface WorkspaceInfoListResult {
    nextLink?: string;
    value?: Workspace[];
}

// @public
export interface WorkspaceKeyDetails {
    keyVaultUrl?: string;
    name?: string;
}

// @public
export interface WorkspaceManagedIdentitySqlControlSettings {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, managedIdentitySqlControlSettings: ManagedIdentitySqlControlSettingsModel, options?: WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateResponse>, WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, managedIdentitySqlControlSettings: ManagedIdentitySqlControlSettingsModel, options?: WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateOptionalParams): Promise<WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, options?: WorkspaceManagedIdentitySqlControlSettingsGetOptionalParams): Promise<WorkspaceManagedIdentitySqlControlSettingsGetResponse>;
}

// @public
export interface WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateResponse = ManagedIdentitySqlControlSettingsModel;

// @public
export interface WorkspaceManagedIdentitySqlControlSettingsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedIdentitySqlControlSettingsGetResponse = ManagedIdentitySqlControlSettingsModel;

// @public
export interface WorkspaceManagedSqlServerBlobAuditingPolicies {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, blobAuditingPolicyName: BlobAuditingPolicyName, parameters: ServerBlobAuditingPolicy, options?: WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateResponse>, WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, blobAuditingPolicyName: BlobAuditingPolicyName, parameters: ServerBlobAuditingPolicy, options?: WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateOptionalParams): Promise<WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, blobAuditingPolicyName: BlobAuditingPolicyName, options?: WorkspaceManagedSqlServerBlobAuditingPoliciesGetOptionalParams): Promise<WorkspaceManagedSqlServerBlobAuditingPoliciesGetResponse>;
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: WorkspaceManagedSqlServerBlobAuditingPoliciesListByWorkspaceOptionalParams): PagedAsyncIterableIterator<ServerBlobAuditingPolicy>;
}

// @public
export interface WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateResponse = ServerBlobAuditingPolicy;

// @public
export interface WorkspaceManagedSqlServerBlobAuditingPoliciesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerBlobAuditingPoliciesGetResponse = ServerBlobAuditingPolicy;

// @public
export interface WorkspaceManagedSqlServerBlobAuditingPoliciesListByWorkspaceNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerBlobAuditingPoliciesListByWorkspaceNextResponse = ServerBlobAuditingPolicyListResult;

// @public
export interface WorkspaceManagedSqlServerBlobAuditingPoliciesListByWorkspaceOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerBlobAuditingPoliciesListByWorkspaceResponse = ServerBlobAuditingPolicyListResult;

// @public
export interface WorkspaceManagedSqlServerEncryptionProtector {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, encryptionProtectorName: EncryptionProtectorName, parameters: EncryptionProtector, options?: WorkspaceManagedSqlServerEncryptionProtectorCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<WorkspaceManagedSqlServerEncryptionProtectorCreateOrUpdateResponse>, WorkspaceManagedSqlServerEncryptionProtectorCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, encryptionProtectorName: EncryptionProtectorName, parameters: EncryptionProtector, options?: WorkspaceManagedSqlServerEncryptionProtectorCreateOrUpdateOptionalParams): Promise<WorkspaceManagedSqlServerEncryptionProtectorCreateOrUpdateResponse>;
    beginRevalidate(resourceGroupName: string, workspaceName: string, encryptionProtectorName: EncryptionProtectorName, options?: WorkspaceManagedSqlServerEncryptionProtectorRevalidateOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginRevalidateAndWait(resourceGroupName: string, workspaceName: string, encryptionProtectorName: EncryptionProtectorName, options?: WorkspaceManagedSqlServerEncryptionProtectorRevalidateOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, encryptionProtectorName: EncryptionProtectorName, options?: WorkspaceManagedSqlServerEncryptionProtectorGetOptionalParams): Promise<WorkspaceManagedSqlServerEncryptionProtectorGetResponse>;
    list(resourceGroupName: string, workspaceName: string, options?: WorkspaceManagedSqlServerEncryptionProtectorListOptionalParams): PagedAsyncIterableIterator<EncryptionProtector>;
}

// @public
export interface WorkspaceManagedSqlServerEncryptionProtectorCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type WorkspaceManagedSqlServerEncryptionProtectorCreateOrUpdateResponse = EncryptionProtector;

// @public
export interface WorkspaceManagedSqlServerEncryptionProtectorGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerEncryptionProtectorGetResponse = EncryptionProtector;

// @public
export interface WorkspaceManagedSqlServerEncryptionProtectorListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerEncryptionProtectorListNextResponse = EncryptionProtectorListResult;

// @public
export interface WorkspaceManagedSqlServerEncryptionProtectorListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerEncryptionProtectorListResponse = EncryptionProtectorListResult;

// @public
export interface WorkspaceManagedSqlServerEncryptionProtectorRevalidateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface WorkspaceManagedSqlServerExtendedBlobAuditingPolicies {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, blobAuditingPolicyName: BlobAuditingPolicyName, parameters: ExtendedServerBlobAuditingPolicy, options?: WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesCreateOrUpdateResponse>, WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, blobAuditingPolicyName: BlobAuditingPolicyName, parameters: ExtendedServerBlobAuditingPolicy, options?: WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesCreateOrUpdateOptionalParams): Promise<WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesCreateOrUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, blobAuditingPolicyName: BlobAuditingPolicyName, options?: WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesGetOptionalParams): Promise<WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesGetResponse>;
    listByWorkspace(resourceGroupName: string, workspaceName: string, options?: WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesListByWorkspaceOptionalParams): PagedAsyncIterableIterator<ExtendedServerBlobAuditingPolicy>;
}

// @public
export interface WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesCreateOrUpdateResponse = ExtendedServerBlobAuditingPolicy;

// @public
export interface WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesGetResponse = ExtendedServerBlobAuditingPolicy;

// @public
export interface WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesListByWorkspaceNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesListByWorkspaceNextResponse = ExtendedServerBlobAuditingPolicyListResult;

// @public
export interface WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesListByWorkspaceOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerExtendedBlobAuditingPoliciesListByWorkspaceResponse = ExtendedServerBlobAuditingPolicyListResult;

// @public
export interface WorkspaceManagedSqlServerRecoverableSqlPools {
    get(resourceGroupName: string, workspaceName: string, sqlPoolName: string, options?: WorkspaceManagedSqlServerRecoverableSqlPoolsGetOptionalParams): Promise<WorkspaceManagedSqlServerRecoverableSqlPoolsGetResponse>;
    list(resourceGroupName: string, workspaceName: string, options?: WorkspaceManagedSqlServerRecoverableSqlPoolsListOptionalParams): PagedAsyncIterableIterator<RecoverableSqlPool>;
}

// @public
export interface WorkspaceManagedSqlServerRecoverableSqlPoolsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerRecoverableSqlPoolsGetResponse = RecoverableSqlPool;

// @public
export interface WorkspaceManagedSqlServerRecoverableSqlPoolsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerRecoverableSqlPoolsListNextResponse = RecoverableSqlPoolListResult;

// @public
export interface WorkspaceManagedSqlServerRecoverableSqlPoolsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerRecoverableSqlPoolsListResponse = RecoverableSqlPoolListResult;

// @public
export interface WorkspaceManagedSqlServerSecurityAlertPolicy {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, securityAlertPolicyName: SecurityAlertPolicyNameAutoGenerated, parameters: ServerSecurityAlertPolicy, options?: WorkspaceManagedSqlServerSecurityAlertPolicyCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<WorkspaceManagedSqlServerSecurityAlertPolicyCreateOrUpdateResponse>, WorkspaceManagedSqlServerSecurityAlertPolicyCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, securityAlertPolicyName: SecurityAlertPolicyNameAutoGenerated, parameters: ServerSecurityAlertPolicy, options?: WorkspaceManagedSqlServerSecurityAlertPolicyCreateOrUpdateOptionalParams): Promise<WorkspaceManagedSqlServerSecurityAlertPolicyCreateOrUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, securityAlertPolicyName: SecurityAlertPolicyNameAutoGenerated, options?: WorkspaceManagedSqlServerSecurityAlertPolicyGetOptionalParams): Promise<WorkspaceManagedSqlServerSecurityAlertPolicyGetResponse>;
    list(resourceGroupName: string, workspaceName: string, options?: WorkspaceManagedSqlServerSecurityAlertPolicyListOptionalParams): PagedAsyncIterableIterator<ServerSecurityAlertPolicy>;
}

// @public
export interface WorkspaceManagedSqlServerSecurityAlertPolicyCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type WorkspaceManagedSqlServerSecurityAlertPolicyCreateOrUpdateResponse = ServerSecurityAlertPolicy;

// @public
export interface WorkspaceManagedSqlServerSecurityAlertPolicyGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerSecurityAlertPolicyGetResponse = ServerSecurityAlertPolicy;

// @public
export interface WorkspaceManagedSqlServerSecurityAlertPolicyListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerSecurityAlertPolicyListNextResponse = ServerSecurityAlertPolicyListResult;

// @public
export interface WorkspaceManagedSqlServerSecurityAlertPolicyListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerSecurityAlertPolicyListResponse = ServerSecurityAlertPolicyListResult;

// @public
export interface WorkspaceManagedSqlServerUsages {
    list(resourceGroupName: string, workspaceName: string, options?: WorkspaceManagedSqlServerUsagesListOptionalParams): PagedAsyncIterableIterator<ServerUsage>;
}

// @public
export interface WorkspaceManagedSqlServerUsagesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerUsagesListNextResponse = ServerUsageListResult;

// @public
export interface WorkspaceManagedSqlServerUsagesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerUsagesListResponse = ServerUsageListResult;

// @public
export interface WorkspaceManagedSqlServerVulnerabilityAssessments {
    createOrUpdate(resourceGroupName: string, workspaceName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, parameters: ServerVulnerabilityAssessment, options?: WorkspaceManagedSqlServerVulnerabilityAssessmentsCreateOrUpdateOptionalParams): Promise<WorkspaceManagedSqlServerVulnerabilityAssessmentsCreateOrUpdateResponse>;
    delete(resourceGroupName: string, workspaceName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, options?: WorkspaceManagedSqlServerVulnerabilityAssessmentsDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, vulnerabilityAssessmentName: VulnerabilityAssessmentName, options?: WorkspaceManagedSqlServerVulnerabilityAssessmentsGetOptionalParams): Promise<WorkspaceManagedSqlServerVulnerabilityAssessmentsGetResponse>;
    list(resourceGroupName: string, workspaceName: string, options?: WorkspaceManagedSqlServerVulnerabilityAssessmentsListOptionalParams): PagedAsyncIterableIterator<ServerVulnerabilityAssessment>;
}

// @public
export interface WorkspaceManagedSqlServerVulnerabilityAssessmentsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerVulnerabilityAssessmentsCreateOrUpdateResponse = ServerVulnerabilityAssessment;

// @public
export interface WorkspaceManagedSqlServerVulnerabilityAssessmentsDeleteOptionalParams extends coreClient.OperationOptions {
}

// @public
export interface WorkspaceManagedSqlServerVulnerabilityAssessmentsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerVulnerabilityAssessmentsGetResponse = ServerVulnerabilityAssessment;

// @public
export interface WorkspaceManagedSqlServerVulnerabilityAssessmentsListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerVulnerabilityAssessmentsListNextResponse = ServerVulnerabilityAssessmentListResult;

// @public
export interface WorkspaceManagedSqlServerVulnerabilityAssessmentsListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceManagedSqlServerVulnerabilityAssessmentsListResponse = ServerVulnerabilityAssessmentListResult;

// @public
export interface WorkspacePatchInfo {
    encryption?: EncryptionDetails;
    identity?: ManagedIdentity;
    managedVirtualNetworkSettings?: ManagedVirtualNetworkSettings;
    readonly provisioningState?: string;
    publicNetworkAccess?: WorkspacePublicNetworkAccess;
    purviewConfiguration?: PurviewConfiguration;
    sqlAdministratorLoginPassword?: string;
    tags?: {
        [propertyName: string]: string;
    };
    workspaceRepositoryConfiguration?: WorkspaceRepositoryConfiguration;
}

// @public
export type WorkspacePublicNetworkAccess = string;

// @public
export interface WorkspaceRepositoryConfiguration {
    accountName?: string;
    collaborationBranch?: string;
    hostName?: string;
    lastCommitId?: string;
    projectName?: string;
    repositoryName?: string;
    rootFolder?: string;
    tenantId?: string;
    type?: string;
}

// @public
export interface Workspaces {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, workspaceInfo: Workspace, options?: WorkspacesCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<WorkspacesCreateOrUpdateResponse>, WorkspacesCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, workspaceInfo: Workspace, options?: WorkspacesCreateOrUpdateOptionalParams): Promise<WorkspacesCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, workspaceName: string, options?: WorkspacesDeleteOptionalParams): Promise<PollerLike<PollOperationState<WorkspacesDeleteResponse>, WorkspacesDeleteResponse>>;
    beginDeleteAndWait(resourceGroupName: string, workspaceName: string, options?: WorkspacesDeleteOptionalParams): Promise<WorkspacesDeleteResponse>;
    beginUpdate(resourceGroupName: string, workspaceName: string, workspacePatchInfo: WorkspacePatchInfo, options?: WorkspacesUpdateOptionalParams): Promise<PollerLike<PollOperationState<WorkspacesUpdateResponse>, WorkspacesUpdateResponse>>;
    beginUpdateAndWait(resourceGroupName: string, workspaceName: string, workspacePatchInfo: WorkspacePatchInfo, options?: WorkspacesUpdateOptionalParams): Promise<WorkspacesUpdateResponse>;
    get(resourceGroupName: string, workspaceName: string, options?: WorkspacesGetOptionalParams): Promise<WorkspacesGetResponse>;
    list(options?: WorkspacesListOptionalParams): PagedAsyncIterableIterator<Workspace>;
    listByResourceGroup(resourceGroupName: string, options?: WorkspacesListByResourceGroupOptionalParams): PagedAsyncIterableIterator<Workspace>;
}

// @public
export interface WorkspacesCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type WorkspacesCreateOrUpdateResponse = Workspace;

// @public
export interface WorkspacesDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type WorkspacesDeleteResponse = Record<string, unknown>;

// @public
export interface WorkspacesGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspacesGetResponse = Workspace;

// @public
export interface WorkspacesListByResourceGroupNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspacesListByResourceGroupNextResponse = WorkspaceInfoListResult;

// @public
export interface WorkspacesListByResourceGroupOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspacesListByResourceGroupResponse = WorkspaceInfoListResult;

// @public
export interface WorkspacesListNextOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspacesListNextResponse = WorkspaceInfoListResult;

// @public
export interface WorkspacesListOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspacesListResponse = WorkspaceInfoListResult;

// @public
export interface WorkspaceSqlAadAdmins {
    beginCreateOrUpdate(resourceGroupName: string, workspaceName: string, aadAdminInfo: WorkspaceAadAdminInfo, options?: WorkspaceSqlAadAdminsCreateOrUpdateOptionalParams): Promise<PollerLike<PollOperationState<WorkspaceSqlAadAdminsCreateOrUpdateResponse>, WorkspaceSqlAadAdminsCreateOrUpdateResponse>>;
    beginCreateOrUpdateAndWait(resourceGroupName: string, workspaceName: string, aadAdminInfo: WorkspaceAadAdminInfo, options?: WorkspaceSqlAadAdminsCreateOrUpdateOptionalParams): Promise<WorkspaceSqlAadAdminsCreateOrUpdateResponse>;
    beginDelete(resourceGroupName: string, workspaceName: string, options?: WorkspaceSqlAadAdminsDeleteOptionalParams): Promise<PollerLike<PollOperationState<void>, void>>;
    beginDeleteAndWait(resourceGroupName: string, workspaceName: string, options?: WorkspaceSqlAadAdminsDeleteOptionalParams): Promise<void>;
    get(resourceGroupName: string, workspaceName: string, options?: WorkspaceSqlAadAdminsGetOptionalParams): Promise<WorkspaceSqlAadAdminsGetResponse>;
}

// @public
export interface WorkspaceSqlAadAdminsCreateOrUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type WorkspaceSqlAadAdminsCreateOrUpdateResponse = WorkspaceAadAdminInfo;

// @public
export interface WorkspaceSqlAadAdminsDeleteOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export interface WorkspaceSqlAadAdminsGetOptionalParams extends coreClient.OperationOptions {
}

// @public
export type WorkspaceSqlAadAdminsGetResponse = WorkspaceAadAdminInfo;

// @public
export interface WorkspacesUpdateOptionalParams extends coreClient.OperationOptions {
    resumeFrom?: string;
    updateIntervalInMs?: number;
}

// @public
export type WorkspacesUpdateResponse = Workspace;

// (No @packageDocumentation comment for this package)

```
