/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */

import { PagedAsyncIterableIterator } from "@azure/core-paging";
import {
  DataMaskingRule,
  DataMaskingRulesListBySqlPoolOptionalParams,
  DataMaskingRulesCreateOrUpdateOptionalParams,
  DataMaskingRulesCreateOrUpdateResponse,
  DataMaskingRulesGetOptionalParams,
  DataMaskingRulesGetResponse
} from "../models";

/// <reference lib="esnext.asynciterable" />
/** Interface representing a DataMaskingRules. */
export interface DataMaskingRules {
  /**
   * Gets a list of Sql pool data masking rules.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param sqlPoolName SQL pool name
   * @param options The options parameters.
   */
  listBySqlPool(
    resourceGroupName: string,
    workspaceName: string,
    sqlPoolName: string,
    options?: DataMaskingRulesListBySqlPoolOptionalParams
  ): PagedAsyncIterableIterator<DataMaskingRule>;
  /**
   * Creates or updates a Sql pool data masking rule.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param sqlPoolName SQL pool name
   * @param dataMaskingRuleName The name of the data masking rule.
   * @param parameters The required parameters for creating or updating a data masking rule.
   * @param options The options parameters.
   */
  createOrUpdate(
    resourceGroupName: string,
    workspaceName: string,
    sqlPoolName: string,
    dataMaskingRuleName: string,
    parameters: DataMaskingRule,
    options?: DataMaskingRulesCreateOrUpdateOptionalParams
  ): Promise<DataMaskingRulesCreateOrUpdateResponse>;
  /**
   * Gets the specific Sql pool data masking rule.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param sqlPoolName SQL pool name
   * @param dataMaskingRuleName The name of the data masking rule.
   * @param options The options parameters.
   */
  get(
    resourceGroupName: string,
    workspaceName: string,
    sqlPoolName: string,
    dataMaskingRuleName: string,
    options?: DataMaskingRulesGetOptionalParams
  ): Promise<DataMaskingRulesGetResponse>;
}
