/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */

import {
  IntegrationRuntimeRegenerateKeyParameters,
  IntegrationRuntimeAuthKeysRegenerateOptionalParams,
  IntegrationRuntimeAuthKeysRegenerateResponse,
  IntegrationRuntimeAuthKeysListOptionalParams,
  IntegrationRuntimeAuthKeysListResponse
} from "../models";

/** Interface representing a IntegrationRuntimeAuthKeysOperations. */
export interface IntegrationRuntimeAuthKeysOperations {
  /**
   * Regenerate the authentication key for an integration runtime
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param integrationRuntimeName Integration runtime name
   * @param regenerateKeyParameters The parameters for regenerating integration runtime authentication
   *                                key.
   * @param options The options parameters.
   */
  regenerate(
    resourceGroupName: string,
    workspaceName: string,
    integrationRuntimeName: string,
    regenerateKeyParameters: IntegrationRuntimeRegenerateKeyParameters,
    options?: IntegrationRuntimeAuthKeysRegenerateOptionalParams
  ): Promise<IntegrationRuntimeAuthKeysRegenerateResponse>;
  /**
   * List authentication keys in an integration runtime
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param integrationRuntimeName Integration runtime name
   * @param options The options parameters.
   */
  list(
    resourceGroupName: string,
    workspaceName: string,
    integrationRuntimeName: string,
    options?: IntegrationRuntimeAuthKeysListOptionalParams
  ): Promise<IntegrationRuntimeAuthKeysListResponse>;
}
