/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */

import { PagedAsyncIterableIterator } from "@azure/core-paging";
import {
  PrivateLinkResource,
  PrivateLinkHubPrivateLinkResourcesListOptionalParams,
  PrivateLinkHubPrivateLinkResourcesGetOptionalParams,
  PrivateLinkHubPrivateLinkResourcesGetResponse
} from "../models";

/// <reference lib="esnext.asynciterable" />
/** Interface representing a PrivateLinkHubPrivateLinkResources. */
export interface PrivateLinkHubPrivateLinkResources {
  /**
   * Get all private link resources for a private link hub
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param privateLinkHubName The name of the private link hub
   * @param options The options parameters.
   */
  list(
    resourceGroupName: string,
    privateLinkHubName: string,
    options?: PrivateLinkHubPrivateLinkResourcesListOptionalParams
  ): PagedAsyncIterableIterator<PrivateLinkResource>;
  /**
   * Get private link resource in private link hub
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param privateLinkHubName The name of the private link hub
   * @param privateLinkResourceName The name of the private link resource
   * @param options The options parameters.
   */
  get(
    resourceGroupName: string,
    privateLinkHubName: string,
    privateLinkResourceName: string,
    options?: PrivateLinkHubPrivateLinkResourcesGetOptionalParams
  ): Promise<PrivateLinkHubPrivateLinkResourcesGetResponse>;
}
