/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */

import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { PollerLike, PollOperationState } from "@azure/core-lro";
import {
  PrivateLinkHub,
  PrivateLinkHubsListByResourceGroupOptionalParams,
  PrivateLinkHubsListOptionalParams,
  PrivateLinkHubsGetOptionalParams,
  PrivateLinkHubsGetResponse,
  PrivateLinkHubPatchInfo,
  PrivateLinkHubsUpdateOptionalParams,
  PrivateLinkHubsUpdateResponse,
  PrivateLinkHubsCreateOrUpdateOptionalParams,
  PrivateLinkHubsCreateOrUpdateResponse,
  PrivateLinkHubsDeleteOptionalParams
} from "../models";

/// <reference lib="esnext.asynciterable" />
/** Interface representing a PrivateLinkHubs. */
export interface PrivateLinkHubs {
  /**
   * Returns a list of privateLinkHubs in a resource group
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param options The options parameters.
   */
  listByResourceGroup(
    resourceGroupName: string,
    options?: PrivateLinkHubsListByResourceGroupOptionalParams
  ): PagedAsyncIterableIterator<PrivateLinkHub>;
  /**
   * Returns a list of privateLinkHubs in a subscription
   * @param options The options parameters.
   */
  list(
    options?: PrivateLinkHubsListOptionalParams
  ): PagedAsyncIterableIterator<PrivateLinkHub>;
  /**
   * Gets a privateLinkHub
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param privateLinkHubName Name of the privateLinkHub
   * @param options The options parameters.
   */
  get(
    resourceGroupName: string,
    privateLinkHubName: string,
    options?: PrivateLinkHubsGetOptionalParams
  ): Promise<PrivateLinkHubsGetResponse>;
  /**
   * Updates a privateLinkHub
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param privateLinkHubName Name of the privateLinkHub
   * @param privateLinkHubPatchInfo PrivateLinkHub patch request properties
   * @param options The options parameters.
   */
  update(
    resourceGroupName: string,
    privateLinkHubName: string,
    privateLinkHubPatchInfo: PrivateLinkHubPatchInfo,
    options?: PrivateLinkHubsUpdateOptionalParams
  ): Promise<PrivateLinkHubsUpdateResponse>;
  /**
   * Creates or updates a privateLinkHub
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param privateLinkHubName Name of the privateLinkHub
   * @param privateLinkHubInfo PrivateLinkHub create or update request properties
   * @param options The options parameters.
   */
  createOrUpdate(
    resourceGroupName: string,
    privateLinkHubName: string,
    privateLinkHubInfo: PrivateLinkHub,
    options?: PrivateLinkHubsCreateOrUpdateOptionalParams
  ): Promise<PrivateLinkHubsCreateOrUpdateResponse>;
  /**
   * Deletes a privateLinkHub
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param privateLinkHubName Name of the privateLinkHub
   * @param options The options parameters.
   */
  beginDelete(
    resourceGroupName: string,
    privateLinkHubName: string,
    options?: PrivateLinkHubsDeleteOptionalParams
  ): Promise<PollerLike<PollOperationState<void>, void>>;
  /**
   * Deletes a privateLinkHub
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param privateLinkHubName Name of the privateLinkHub
   * @param options The options parameters.
   */
  beginDeleteAndWait(
    resourceGroupName: string,
    privateLinkHubName: string,
    options?: PrivateLinkHubsDeleteOptionalParams
  ): Promise<void>;
}
