/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */

import { PagedAsyncIterableIterator } from "@azure/core-paging";
import {
  SparkConfigurationResource,
  SparkConfigurationsListByWorkspaceOptionalParams
} from "../models";

/// <reference lib="esnext.asynciterable" />
/** Interface representing a SparkConfigurations. */
export interface SparkConfigurations {
  /**
   * List sparkConfigurations in a workspace.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param options The options parameters.
   */
  listByWorkspace(
    resourceGroupName: string,
    workspaceName: string,
    options?: SparkConfigurationsListByWorkspaceOptionalParams
  ): PagedAsyncIterableIterator<SparkConfigurationResource>;
}
