/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */

import {
  ConnectionPolicyName,
  SqlPoolConnectionPoliciesGetOptionalParams,
  SqlPoolConnectionPoliciesGetResponse
} from "../models";

/** Interface representing a SqlPoolConnectionPolicies. */
export interface SqlPoolConnectionPolicies {
  /**
   * Get a Sql pool's connection policy, which is used with table auditing.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param sqlPoolName SQL pool name
   * @param connectionPolicyName The name of the connection policy.
   * @param options The options parameters.
   */
  get(
    resourceGroupName: string,
    workspaceName: string,
    sqlPoolName: string,
    connectionPolicyName: ConnectionPolicyName,
    options?: SqlPoolConnectionPoliciesGetOptionalParams
  ): Promise<SqlPoolConnectionPoliciesGetResponse>;
}
