/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */

import { PagedAsyncIterableIterator } from "@azure/core-paging";
import {
  GeoBackupPolicy,
  SqlPoolGeoBackupPoliciesListOptionalParams,
  GeoBackupPolicyName,
  SqlPoolGeoBackupPoliciesCreateOrUpdateOptionalParams,
  SqlPoolGeoBackupPoliciesCreateOrUpdateResponse,
  SqlPoolGeoBackupPoliciesGetOptionalParams,
  SqlPoolGeoBackupPoliciesGetResponse
} from "../models";

/// <reference lib="esnext.asynciterable" />
/** Interface representing a SqlPoolGeoBackupPolicies. */
export interface SqlPoolGeoBackupPolicies {
  /**
   * Get list of SQL pool geo backup policies
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param sqlPoolName SQL pool name
   * @param options The options parameters.
   */
  list(
    resourceGroupName: string,
    workspaceName: string,
    sqlPoolName: string,
    options?: SqlPoolGeoBackupPoliciesListOptionalParams
  ): PagedAsyncIterableIterator<GeoBackupPolicy>;
  /**
   * Updates a SQL Pool geo backup policy.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param sqlPoolName SQL pool name
   * @param geoBackupPolicyName The name of the geo backup policy.
   * @param parameters The required parameters for creating or updating the geo backup policy.
   * @param options The options parameters.
   */
  createOrUpdate(
    resourceGroupName: string,
    workspaceName: string,
    sqlPoolName: string,
    geoBackupPolicyName: GeoBackupPolicyName,
    parameters: GeoBackupPolicy,
    options?: SqlPoolGeoBackupPoliciesCreateOrUpdateOptionalParams
  ): Promise<SqlPoolGeoBackupPoliciesCreateOrUpdateResponse>;
  /**
   * Get the specified SQL pool geo backup policy
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param sqlPoolName SQL pool name
   * @param geoBackupPolicyName The name of the geo backup policy.
   * @param options The options parameters.
   */
  get(
    resourceGroupName: string,
    workspaceName: string,
    sqlPoolName: string,
    geoBackupPolicyName: GeoBackupPolicyName,
    options?: SqlPoolGeoBackupPoliciesGetOptionalParams
  ): Promise<SqlPoolGeoBackupPoliciesGetResponse>;
}
