/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */

import { PollerLike, PollOperationState } from "@azure/core-lro";
import {
  WorkspaceManagedIdentitySqlControlSettingsGetOptionalParams,
  WorkspaceManagedIdentitySqlControlSettingsGetResponse,
  ManagedIdentitySqlControlSettingsModel,
  WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateOptionalParams,
  WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateResponse
} from "../models";

/** Interface representing a WorkspaceManagedIdentitySqlControlSettings. */
export interface WorkspaceManagedIdentitySqlControlSettings {
  /**
   * Get Managed Identity Sql Control Settings
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param options The options parameters.
   */
  get(
    resourceGroupName: string,
    workspaceName: string,
    options?: WorkspaceManagedIdentitySqlControlSettingsGetOptionalParams
  ): Promise<WorkspaceManagedIdentitySqlControlSettingsGetResponse>;
  /**
   * Create or update Managed Identity Sql Control Settings
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param managedIdentitySqlControlSettings Managed Identity Sql Control Settings
   * @param options The options parameters.
   */
  beginCreateOrUpdate(
    resourceGroupName: string,
    workspaceName: string,
    managedIdentitySqlControlSettings: ManagedIdentitySqlControlSettingsModel,
    options?: WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateOptionalParams
  ): Promise<
    PollerLike<
      PollOperationState<
        WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateResponse
      >,
      WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateResponse
    >
  >;
  /**
   * Create or update Managed Identity Sql Control Settings
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param managedIdentitySqlControlSettings Managed Identity Sql Control Settings
   * @param options The options parameters.
   */
  beginCreateOrUpdateAndWait(
    resourceGroupName: string,
    workspaceName: string,
    managedIdentitySqlControlSettings: ManagedIdentitySqlControlSettingsModel,
    options?: WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateOptionalParams
  ): Promise<WorkspaceManagedIdentitySqlControlSettingsCreateOrUpdateResponse>;
}
