/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */

import { PagedAsyncIterableIterator } from "@azure/core-paging";
import { PollerLike, PollOperationState } from "@azure/core-lro";
import {
  ServerBlobAuditingPolicy,
  WorkspaceManagedSqlServerBlobAuditingPoliciesListByWorkspaceOptionalParams,
  BlobAuditingPolicyName,
  WorkspaceManagedSqlServerBlobAuditingPoliciesGetOptionalParams,
  WorkspaceManagedSqlServerBlobAuditingPoliciesGetResponse,
  WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateOptionalParams,
  WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateResponse
} from "../models";

/// <reference lib="esnext.asynciterable" />
/** Interface representing a WorkspaceManagedSqlServerBlobAuditingPolicies. */
export interface WorkspaceManagedSqlServerBlobAuditingPolicies {
  /**
   * List workspace managed sql server's blob auditing policies.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param options The options parameters.
   */
  listByWorkspace(
    resourceGroupName: string,
    workspaceName: string,
    options?: WorkspaceManagedSqlServerBlobAuditingPoliciesListByWorkspaceOptionalParams
  ): PagedAsyncIterableIterator<ServerBlobAuditingPolicy>;
  /**
   * Get a workspace managed sql server's blob auditing policy.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param blobAuditingPolicyName The name of the blob auditing policy.
   * @param options The options parameters.
   */
  get(
    resourceGroupName: string,
    workspaceName: string,
    blobAuditingPolicyName: BlobAuditingPolicyName,
    options?: WorkspaceManagedSqlServerBlobAuditingPoliciesGetOptionalParams
  ): Promise<WorkspaceManagedSqlServerBlobAuditingPoliciesGetResponse>;
  /**
   * Create or Update a workspace managed sql server's blob auditing policy.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param blobAuditingPolicyName The name of the blob auditing policy.
   * @param parameters Properties of extended blob auditing policy.
   * @param options The options parameters.
   */
  beginCreateOrUpdate(
    resourceGroupName: string,
    workspaceName: string,
    blobAuditingPolicyName: BlobAuditingPolicyName,
    parameters: ServerBlobAuditingPolicy,
    options?: WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateOptionalParams
  ): Promise<
    PollerLike<
      PollOperationState<
        WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateResponse
      >,
      WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateResponse
    >
  >;
  /**
   * Create or Update a workspace managed sql server's blob auditing policy.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param blobAuditingPolicyName The name of the blob auditing policy.
   * @param parameters Properties of extended blob auditing policy.
   * @param options The options parameters.
   */
  beginCreateOrUpdateAndWait(
    resourceGroupName: string,
    workspaceName: string,
    blobAuditingPolicyName: BlobAuditingPolicyName,
    parameters: ServerBlobAuditingPolicy,
    options?: WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateOptionalParams
  ): Promise<
    WorkspaceManagedSqlServerBlobAuditingPoliciesCreateOrUpdateResponse
  >;
}
