/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */

import {
  VulnerabilityAssessmentName,
  SqlPoolVulnerabilityAssessmentRuleBaseline,
  VulnerabilityAssessmentPolicyBaselineName,
  SqlPoolVulnerabilityAssessmentRuleBaselinesCreateOrUpdateOptionalParams,
  SqlPoolVulnerabilityAssessmentRuleBaselinesCreateOrUpdateResponse,
  SqlPoolVulnerabilityAssessmentRuleBaselinesDeleteOptionalParams,
  SqlPoolVulnerabilityAssessmentRuleBaselinesGetOptionalParams,
  SqlPoolVulnerabilityAssessmentRuleBaselinesGetResponse
} from "../models";

/** Interface representing a SqlPoolVulnerabilityAssessmentRuleBaselines. */
export interface SqlPoolVulnerabilityAssessmentRuleBaselines {
  /**
   * Creates or updates a Sql pool's vulnerability assessment rule baseline.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param sqlPoolName SQL pool name
   * @param vulnerabilityAssessmentName The name of the vulnerability assessment.
   * @param ruleId The vulnerability assessment rule ID.
   * @param baselineName The name of the vulnerability assessment rule baseline (default implies a
   *                     baseline on a Sql pool level rule and master for workspace level rule).
   * @param parameters The requested rule baseline resource.
   * @param options The options parameters.
   */
  createOrUpdate(
    resourceGroupName: string,
    workspaceName: string,
    sqlPoolName: string,
    vulnerabilityAssessmentName: VulnerabilityAssessmentName,
    ruleId: string,
    baselineName: VulnerabilityAssessmentPolicyBaselineName,
    parameters: SqlPoolVulnerabilityAssessmentRuleBaseline,
    options?: SqlPoolVulnerabilityAssessmentRuleBaselinesCreateOrUpdateOptionalParams
  ): Promise<SqlPoolVulnerabilityAssessmentRuleBaselinesCreateOrUpdateResponse>;
  /**
   * Removes the database's vulnerability assessment rule baseline.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param sqlPoolName SQL pool name
   * @param vulnerabilityAssessmentName The name of the vulnerability assessment.
   * @param ruleId The vulnerability assessment rule ID.
   * @param baselineName The name of the vulnerability assessment rule baseline (default implies a
   *                     baseline on a Sql pool level rule and master for workspace level rule).
   * @param options The options parameters.
   */
  delete(
    resourceGroupName: string,
    workspaceName: string,
    sqlPoolName: string,
    vulnerabilityAssessmentName: VulnerabilityAssessmentName,
    ruleId: string,
    baselineName: VulnerabilityAssessmentPolicyBaselineName,
    options?: SqlPoolVulnerabilityAssessmentRuleBaselinesDeleteOptionalParams
  ): Promise<void>;
  /**
   * Gets a SqlPool's vulnerability assessment rule baseline.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param sqlPoolName SQL pool name
   * @param vulnerabilityAssessmentName The name of the vulnerability assessment.
   * @param ruleId The vulnerability assessment rule ID.
   * @param baselineName The name of the vulnerability assessment rule baseline (default implies a
   *                     baseline on a Sql pool level rule and master for server level rule).
   * @param options The options parameters.
   */
  get(
    resourceGroupName: string,
    workspaceName: string,
    sqlPoolName: string,
    vulnerabilityAssessmentName: VulnerabilityAssessmentName,
    ruleId: string,
    baselineName: VulnerabilityAssessmentPolicyBaselineName,
    options?: SqlPoolVulnerabilityAssessmentRuleBaselinesGetOptionalParams
  ): Promise<SqlPoolVulnerabilityAssessmentRuleBaselinesGetResponse>;
}
