/*
 * Copyright (c) Microsoft Corporation.
 * Licensed under the MIT License.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is regenerated.
 */

import { PagedAsyncIterableIterator } from "@azure/core-paging";
import {
  ServerVulnerabilityAssessment,
  WorkspaceManagedSqlServerVulnerabilityAssessmentsListOptionalParams,
  VulnerabilityAssessmentName,
  WorkspaceManagedSqlServerVulnerabilityAssessmentsGetOptionalParams,
  WorkspaceManagedSqlServerVulnerabilityAssessmentsGetResponse,
  WorkspaceManagedSqlServerVulnerabilityAssessmentsCreateOrUpdateOptionalParams,
  WorkspaceManagedSqlServerVulnerabilityAssessmentsCreateOrUpdateResponse,
  WorkspaceManagedSqlServerVulnerabilityAssessmentsDeleteOptionalParams
} from "../models";

/// <reference lib="esnext.asynciterable" />
/** Interface representing a WorkspaceManagedSqlServerVulnerabilityAssessments. */
export interface WorkspaceManagedSqlServerVulnerabilityAssessments {
  /**
   * Lists the vulnerability assessment policies associated with a workspace managed sql server.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param options The options parameters.
   */
  list(
    resourceGroupName: string,
    workspaceName: string,
    options?: WorkspaceManagedSqlServerVulnerabilityAssessmentsListOptionalParams
  ): PagedAsyncIterableIterator<ServerVulnerabilityAssessment>;
  /**
   * Get workspace managed sql server's vulnerability assessment.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param vulnerabilityAssessmentName The name of the vulnerability assessment.
   * @param options The options parameters.
   */
  get(
    resourceGroupName: string,
    workspaceName: string,
    vulnerabilityAssessmentName: VulnerabilityAssessmentName,
    options?: WorkspaceManagedSqlServerVulnerabilityAssessmentsGetOptionalParams
  ): Promise<WorkspaceManagedSqlServerVulnerabilityAssessmentsGetResponse>;
  /**
   * Create or Update workspace managed sql server's vulnerability assessment.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param vulnerabilityAssessmentName The name of the vulnerability assessment.
   * @param parameters Properties for vulnerability assessment.
   * @param options The options parameters.
   */
  createOrUpdate(
    resourceGroupName: string,
    workspaceName: string,
    vulnerabilityAssessmentName: VulnerabilityAssessmentName,
    parameters: ServerVulnerabilityAssessment,
    options?: WorkspaceManagedSqlServerVulnerabilityAssessmentsCreateOrUpdateOptionalParams
  ): Promise<
    WorkspaceManagedSqlServerVulnerabilityAssessmentsCreateOrUpdateResponse
  >;
  /**
   * Remove workspace managed sql server's vulnerability assessment.
   * @param resourceGroupName The name of the resource group. The name is case insensitive.
   * @param workspaceName The name of the workspace.
   * @param vulnerabilityAssessmentName The name of the vulnerability assessment.
   * @param options The options parameters.
   */
  delete(
    resourceGroupName: string,
    workspaceName: string,
    vulnerabilityAssessmentName: VulnerabilityAssessmentName,
    options?: WorkspaceManagedSqlServerVulnerabilityAssessmentsDeleteOptionalParams
  ): Promise<void>;
}
